2017-08-08  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Set release date to today.

2017-08-01  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to 2.6.11.
	* Makefile.am,
	(JDK_UPDATE_VERSION): Bump to 141.
	(BUILD_VERSION): Set to b01.
	(CORBA_CHANGESET): Update to icedtea-2.6.11.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.11.
	* hotspot.map.in: Update to icedtea-2.6.11.
	* patches/boot/ecj-diamond.patch:
	Regenerated. Add cases in
	java.util.jar.Attributes, java.util.jar.JarVerifier,
	javax.imageio.spi.ServiceRegistry,
	sun.management.ConnectorAddressLink,
	sun.management.counter.perf.PerfInstrumentation,
	sun.management.Flag,
	sun.management.GarbageCollectionNotifInfoCompositeData,
	sun.management.HotspotCompilation,
	sun.management.HotspotDiagnostic,
	sun.management.HotspotThread,
	sun.management.jmxremote.ConnectorBootstrap,
	sun.management.ManagementFactoryHelper,
	sun.management.MappedMXBeanType,
	sun.management.NotificationEmitterSupport,
	sun.management.RuntimeImpl,
	sun.net.RegisterDomain,
	sun.tools.jar.CommandLine,
	sun.tools.jar.Manifest and sun.tools.jar.SignatureFile
	* patches/boot/ecj-multicatch.patch:
	Add cases in
	com.sun.imageio.plugins.jpeg.JPEGImageReader,
	sun.management.Agent,
	sun.management.GarbageCollectionNotifInfoCompositeData,
	sun.management.GcInfoCompositeData,
	sun.rmi.server.UnicastRef, sun.rmi.server.UnicastServerRef,
	javax.xml.transform.TransformerException,
	com.sun.xml.internal.ws.util.xml.XmlUtil,
	sun.rmi.registry.RegistryImpl_Skel and
	sun.rmi.transport.DGCImpl_Stub
	* patches/boot/ecj-stringswitch.patch: Regenerated.
	* patches/boot/ecj-trywithresources.patch:
	Add cases in
	sun.management.jmxremote.ConnectorBootstrap.

2017-08-01  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to 2.6.11pre01.
	* Makefile.am,
	(CORBA_CHANGESET): Update to icedtea-2.6.11pre01.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.11pre01.
	* hotspot.map.in: Update to icedtea-2.6.11pre01.

2017-06-05  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Add section for 2.6.11.
	* configure.ac: Bump to 2.6.11pre00.

2017-05-16  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Set release date to today.

2017-05-15  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR3390: javac.in and javah.in should use @PERL@
	rather than a hardcoded path
	* javac.in: Use @PERL@.
	* javah.in: Likewise.

2017-05-10  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR3379: Perl should be mandatory
	* NEWS: Updated.
	* configure.ac:
	Change Perl macro invocation to use IT_FIND_TOOL
	and make it unconditional.

2017-05-12  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-2.6.10.
	(JDK_UPDATE_VERSION): Bump to 141.
	(BUILD_VERSION): Bump to b02.
	(CORBA_CHANGESET): Update to icedtea-2.6.10.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.10.
	* hotspot.map.in: Update to icedtea-2.6.10.
	* patches/boot/ecj-diamond.patch:
	Add new cases in java.awt.Cursor,
	java.awt.datatransfer.Clipboard,
	java.awt.EventQueue, java.awt.MenuBar,
	java.awt.Menu, java.awt.RenderingHints,
	sun.net.www.protocol.http.NegotiateAuthentication,
	com.sun.jndi.ldap.pool.Connections and
	com.sun.jndi.ldap.pool.Pool.
	* patches/boot/ecj-trywithresources.patch:
	Add new case in sun.awt.SunToolkit.

2017-04-03  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3349: Architectures unsupported by SystemTap
	tapsets throw a parse error
	Patch by David Smith <dsmith@redhat.com>
	* AUTHORS: Add David Smith.
	* NEWS: Updated.
	* tapset/jstack.stp.in:
	Call the error function if no architecture is matched.

2017-03-15  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3347: jstack.stp should support AArch64
	Patch by Andrew Dinn <adinn@redhat.com>
	and Mark Wielaard <mjw@redhat.com>
	* AUTHORS: Add Andrew Dinn.
	* NEWS: Updated.
	* tapset/jstack.stp.in:
	Add AArch64 support.

2017-04-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2732: Raise javadoc memory limits for CACAO
	again!
	* NEWS: Updated.

2015-11-30  James Le Cuirot  <chewi@gentoo.org>

	PR2732: Raise javadoc memory limits for CACAO
	again!
	* patches/cacao/memory.patch: Increase memory
	limits so a build with CACAO and doc generation
	succeeds.

2017-04-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-2.6.10pre01.
	* Makefile.am,
	(CORBA_CHANGESET): Update to icedtea-2.6.10pre01.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.10pre01.
	* hotspot.map.in: Update to icedtea-2.6.10pre01.
	* patches/boot/ecj-diamond.patch: Regenerated.
	* patches/rh1022017.patch: Likewise.

2017-04-03  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Add section for 2.6.10.
	* configure.ac: Bump to 2.6.10pre00.

2017-02-14  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Set release date to today.

2017-02-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-2.6.9.
	* Makefile.am:
	(JDK_UPDATE_VERSION): Bump to 131.
	(CORBA_CHANGESET): Update to icedtea-2.6.9.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(install-data-local): Install blacklisted.certs.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.9.
	* hotspot.map.in: Update to icedtea-2.6.9.
	* patches/boot/ecj-diamond.patch:
	Regenerated. Add new cases in
	com.sun.jndi.cosnaming.CNCtx,
	com.sun.jndi.cosnaming.CNNameParser,
	com.sun.jndi.cosnaming.IiopUrl,
	com.sun.jndi.dns.DnsContextFactory,
	com.sun.jndi.dns.DnsName,
	com.sun.jndi.dns.NameNode,
	com.sun.jndi.dns.ResourceRecords,
	com.sun.jndi.ldap.EventSupport,
	com.sun.jndi.ldap.LdapClient,
	com.sun.jndi.ldap.LdapCtxFactory,
	com.sun.jndi.ldap.LdapCtx,
	com.sun.jndi.ldap.LdapName,
	com.sun.jndi.ldap.LdapResult,
	com.sun.jndi.ldap.LdapSchemaParser,
	com.sun.jndi.ldap.NamingEventNotifier,
	com.sun.jndi.ldap.Obj,
	com.sun.jndi.ldap.pool.Connections,
	com.sun.jndi.ldap.pool.Pool,
	com.sun.jndi.ldap.sasl.LdapSasl,
	com.sun.jndi.toolkit.ctx.Continuation,
	com.sun.jndi.toolkit.dir.HierMemDirCtx,
	com.sun.jndi.toolkit.dir.SearchFilter,
	com.sun.jndi.toolkit.url.GenericURLContext,
	com.sun.naming.internal.FactoryEnumeration,
	com.sun.naming.internal.ResourceManager,
	com.sun.naming.internal.VersionHelper,
	java.util.logging.LogRecord,
	javax.naming.directory.BasicAttribute,
	javax.naming.directory.BasicAttributes,
	javax.naming.ldap.InitialLdapContext,
	javax.naming.ldap.LdapName,
	javax.naming.ldap.Rdn,
	javax.naming.ldap.Rdn,
	javax.naming.ldap.Rfc2253Parser,
	javax.naming.NamingImpl,
	javax.naming.Reference,
	javax.naming.spi.DirectoryManager,
	javax.naming.spi.NamingManager,
	org.jcp.xml.dsig.internal.dom.Policy,
	sun.awt.im.ExecutableInputMethodManager,
	sun.awt.im.InputContext,
	sun.misc.ObjectInputFilter,
	sun.security.ssl.ExtensionType,
	sun.security.ssl.SupportedEllipticCurvesExtension,
	sun.security.ssl.SupportedEllipticPointFormatsExtension,
	sun.security.tools.jarsigner.Main,
	sun.security.util.UntrustedCertificates,
	sun.security.util.AnchorCertificates,
	sun.security.util.DisabledAlgorithmConstraints and
	sun.security.x509.X509CertImpl.
	* patches/boot/ecj-multicatch.patch:
	Regenerated. Add new cases in
	com.sun.naming.internal.ResourceManager,
	sun.reflect.ReflectionFactory,
	sun.security.x509.X509CertImpl,
	com.sun.jndi.ldap.AbstractLdapNamingEnumeration,
	com.sun.jndi.ldap.Connection and
	com.sun.jndi.ldap.LdapCtx.
	Drop case in sun.security.util.UntrustedCertificates.
	* patches/boot/ecj-stringswitch.patch:
	Regenerated. Add new cases in
	com.sun.jndi.ldap.LdapCtx and
	org.jcp.xml.dsig.internal.dom.Policy.
	* patches/boot/ecj-trywithresources.patch:
	Regenerated. Updated case in
	sun.security.util.UntrustedCertificates.
	Add new cases in
	com.sun.jndi.ldap.Obj,
	sun.security.util.AnchorCertificates and
	sun.security.tools.jarsigner.Main.
	* patches/boot/ecj-underscored_literals.patch:
	Move case from sun.security.ssl.ServerHandshaker
	to sun.security.util.Parsing.
	* patches/pr2124.patch,
	Extend following changes made in 8148516.
	* patches/rh1022017.patch:
	Adapt to changes made in 8148516.

2017-01-24  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3318: Replace 'infinality' with
	'improved font rendering'
	* INSTALL:
	Rename --enable-infinality to
	--enable-improved-font-rendering, as
	the code no longer relies on the infinality
	patch set.
	* Makefile.am:
	Use ENABLE_IMPROVED_FONT_RENDERING, not
	ENABLE_INFINALITY.
	* acinclude.m4:
	(IT_ENABLE_IMPROVED_FONT_RENDERING): Renamed
	from IT_ENABLE_INFINALITY. Fix variables to match
	and remove unneeded test for infinality patches.
	* configure.ac:
	Invoke IT_ENABLE_IMPROVED_FONT_RENDERING instead
	of IT_ENABLE_INFINALITY.

2017-02-06  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-2.6.9pre01.
	* Makefile.am,
	(CORBA_CHANGESET): Update to icedtea-2.6.9pre01.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_ENV): Update INFINALITY_SUPPORT
	setting to IMPROVED_FONT_RENDERING,
	following PR3318.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.9pre01.
	* hotspot.map.in: Update to icedtea-2.6.9pre01.

2016-11-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Add section for 2.6.9.
	* configure.ac: Bump to 2.6.9pre00.

2016-11-13  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Set release date to today.

2016-11-11  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	Bump to icedtea-2.6.8.
	* Makefile.am:
	(JDK_UPDATE_VERSION): Bump to 121.
	(BUILD_VERSION): Reset to b00.
	(CORBA_CHANGESET): Update to icedtea-2.6.8.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.8.
	* hotspot.map.in: Update to icedtea-2.6.8.
	* patches/boot/ecj-diamond.patch:
	Regenerated. Add new cases in
	java.net.URLConnection, java.net.URL,
	sun.net.TransferProtocolClient,
	sun.net.www.protocol.http.AuthenticationHeader
	and sun.net.www.protocol.http.HttpURLConnection.
	* patches/boot/ecj-multicatch.patch:
	Add new cases in
	sun.net.www.protocol.http.HttpURLConnection,
	com.sun.net.httpserver.spi.HttpServerProvider and
	sun.net.ftp.FtpClientProvider.

2016-11-08  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR3212: Disable ARM32 JIT by default
	* NEWS: Updated.
	* acinclude.m4:
	(IT_ENABLE_ARM32JIT): Set default to no.

2016-11-03  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR3202: Update infinality configure test
	* NEWS: Updated.
	* acinclude.m4:
	(IT_ENABLE_INFINALITY): Allow Infinality to be
	enabled if TT_CONFIG_OPTION_SUBPIXEL_HINTING is
	set (FreeType >= 2.7)

2016-08-18  Stefan Ring <stefan@complang.tuwien.ac.at>

	PR3136: CACAO is broken due to 2 new native
	methods in sun.misc.Unsafe (from S8158260)
	* Makefile.am:
	(ICEDTEA_PATCHES): Add CACAO patch for PR3136.
	* NEWS: Updated.
	* patches/cacao/pr3136-unsafe_methods.patch:
	Add implementation of isBigEndian0 and unalignedAccess0.

2016-08-10  Tiago Stuermer Daitx  <tdaitx@gmail.com>

	PR3134: JamVM is broken due to 2 new native
	methods in sun.misc.Unsafe (from S8158260)
	* Makefile.am:
	(ICEDTEA_PATCHES): Add JamVM patch for PR3134.
	* NEWS: Updated.
	* patches/jamvm/pr3134-unsafe_methods.patch:
	Add implementation of isBigEndian0 and unalignedAccess0.

2016-08-19  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR3166: invalid zip timestamp handling leads to
	error building bootstrap-javac
	* AUTHORS: Add Ricardo Ribalda.
	* NEWS: Updated.

2016-08-19  Ricardo Ribalda  <ricardo.ribalda@gmail.com>

	PR3166: invalid zip timestamp handling leads to
	error building bootstrap-javac
	* Makefile.am:
	(rt): Don't use -u so files are always overwritten,
	regardless of timestamps.

2016-08-14  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR3141: Pass $(CC) and $(CXX) to OpenJDK build
	* Makefile.am:
	(ICEDTEA_ENV): Set CC and CXX instead
	of BUILD_GCC and BUILD_CXX.
	* NEWS: Updated.

2016-08-19  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR3135: Makefile.am rule
	stamps/add/tzdata-support-debug.stamp has a typo in
	add-tzdata dependency
	* NEWS: Updated.

2016-08-10  Tiago Sturmer Daitx  <tdaitx@linux.vnet.ibm.com>

	PR3135: Makefile.am rule
	stamps/add/tzdata-support-debug.stamp has a typo in
	add-tzdata dependency
	* Makefile.am:
	(icedtea-debug-stage2): Fix typo in
	add-tzdata-support-debug dependency.

2016-08-04  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR3128: pax-mark-vm script calls "exit -1" which
	is invalid in dash
	* NEWS: Updated.
	* pax-mark-vm.in:
	Use POSIX-compliant exit value.

2016-04-07  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3131: PaX marking fails on filesystems which
	don't support extended attributes
	* Makefile.am:
	(icedtea): Pass true to pax-mark-vm to fail
	if PaX marking fails.
	(icedtea-debug): Likewise.
	(icedtea-boot): Likewise.
	(install-exec-local): Pass false to pax-mark-vm
	so that only a warning is produced if PaX marking
	fails on the installed version.
	* NEWS: Updated.
	* pax-mark-vm.in:
	Add a second option, FAIL_ON_ERROR, which will
	cause the script to exit if it can't PaX mark
	when set to true, but just issue a warning when
	set to false.

2016-10-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	Bump to icedtea-2.6.8pre01.
	* Makefile.am,
	(CORBA_CHANGESET): Update to icedtea-2.6.8pre01.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.8pre01.
	* hotspot.map.in: Update to icedtea-2.6.8pre01.
	* patches/boot/ecj-diamond.patch:
	Add new case in com.sun.jndi.ldap.LdapClient.

2016-07-28  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Add section for 2.6.8.
	* configure.ac: Bump to 2.6.8pre00.

2016-04-06  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3119: Makefile handles cacerts as a symlink,
	but the configure check doesn't
	* Makefile.am:
	(JDK_CACERTS_FILE): Removed as no longer needed.
	(CACERTS_FILE): Just use @ALT_CACERTS_FILE@ directly
	as it will have been resolved by configure.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_WITH_CACERTS_FILE): Detect if the cacerts is
	a symlink and resolve it if so.

2016-07-28  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR3118: Path to agpl-3.0.txt not updated
	* Makefile.am:
	(EXTRA_DIST): Fix path to agpl-3.0.txt.
	* NEWS: Updated.

2016-07-28  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR3116: Add tests for Java debug info and
	source files
	* Makefile.am:
	(check-java-debug): Guard with
	ENABLE_JAVA_DEBUGINFO.
	* NEWS: Updated.

2016-07-15  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR3116: Add tests for Java debug info and
	source files
	* Makefile.am:
	(check-local): Depend on check-java-debug and
	check-java-src.
	(clean-tests): Depend on clean-check-java-debug
	and clean-check-java-src.
	(.PHONY): Add clean-check-java-src and
	clean-check-java-debug.
	(check-java-debug): Adapt Omair Majid's Java debug
	info test from Fedora RPM to IcedTea.
	(clean-check-java-debug): Cleanup target for
	check-java-debug.
	(check-java-src): Adapt Omair Majid's Java source
	file test from Fedora RPM to IcedTea.
	(clean-check-java-src): Cleanup target for
	check-java-src.

2016-07-27  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR3114: Don't assume system mime.types
	supports text/x-java-source
	* Makefile.am:
	(check-mimetype): Make second test depend
	on JAVA_SOURCE_SUPPORTED conditional,
	not MIME_TYPES_FILE_FOUND.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_CHECK_FOR_MIME_TYPES): Check if the
	system mime types file supports text/x-java-source.

2016-07-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR3103: Handle case in clean-fonts where
	linux.fontconfig.Gentoo.properties.old has
	not been created
	* Makefile.am:
	(clean-fonts): Guard movement of old
	Gentoo.properties.old file with a
	check to see if it exists.
	* NEWS: Updated.

2016-07-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR3091: SystemTap is heavily confused
	by multiple JDKs
	* AUTHORS: Added Felix Lu.
	* NEWS: Updated.

2016-07-13  Felix Lu  <flu@redhat.com>

	PR3091: SystemTap is heavily confused
	by multiple JDKs
	* tapset/hotspot.stp.in,
	* tapset/jstack.stp.in:
	Use the new private keyword in SystemTap
	>= 3.0 to resolve global variable name
	collision and function overloading
	to select the correct jstack_call at runtime.

2016-04-23  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2900: Don't use WithSeed versions of NSS
	functions as they don't fully process the seed
	* Makefile.am:
	(ECC_CHECK_SRCS): Add TestECDSA.java
	(ecccheck): Only compile tests if SunEC is enabled.
	(clean-ecccheck): Only remove build directory if
	SunEC is enabled.
	(check-ecc): Only run tests if SunEC is enabled.
	Add running of TestECDSA. Call set -e so rule
	fails if any test fails.
	* test/standalone/TestECDSA.java:
	New test to make sure SunEC can produce ECDSA
	signatures.

2015-05-20  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR3115: Add check for elliptic curve
	cryptography implementation.
	* TestCryptoLevel.java: Moved to
	test/standalone.
	* rewriter/agpl-3.0.txt: Moved to
	root directory.
	* test/RH1195203.java: Likewise.
	* Makefile.am:
	(ECC_CHECK_BUILD_DIR): Added.
	(CRYPTO_CHECK_SRCS): Update TestCryptoLevel.java
	path.
	(ECC_CHECK_SRCS): Added.
	(MIME_TYPE_CHECK_SRCS): Update path.
	(EXTRA_DIST): Add ECC_CHECK_SRCS.
	(check-local): Add check-ecc.
	(clean-tests): Add clean-check-ecc.
	(clean-local): Add clean-ecccheck.
	(ecccheck): Build ECC check test.
	(clean-ecccheck): Cleanup ECC check test.
	(check-ecc): Run ECC check test.
	(clean-check-ecc): Cleanup run of ECC check test.
	* NEWS: Updated.
	* agpl-3.0.txt: Moved from rewriter as also
	applies to tests.
	* test/standalone/RH1195203.java: Moved from test.
	* test/standalone/TestCryptoLevel.java: Moved from
	root directory.
	* test/standalone/TestEllipticCurveCryptoSupport.java:
	Add check for elliptic curve cryptography support.

2016-03-04  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR3111: Provide option to disable SystemTap tests
	* INSTALL: Document --disable-systemtap-tests.
	* Makefile.am:
	(SYSTEMTAP_TEST_SUITE): Define if SystemTap tests
	are enabled.
	(check-local): Use SYSTEMTAP_TEST_SUITE in place
	of check-tapset.
	(.PHONY): Add check-jdk, check-hotspot, check-langtools,
	jtregcheck, check-tapset, check-tapset-probes and
	check-tapset-jstack
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DISABLE_SYSTEMTAP_TESTS): Add option to
	disable SystemTap tests.
	* configure.ac:
	Call IT_DISABLE_SYSTEMTAP_TESTS.

2016-07-26  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR2799: Files are missing from resources.jar
	* Makefile.am:
	(MIME_TYPE_CHECK_BUILD_DIR): Add build directory
	for mime type check.
	(MIME_TYPE_CHECK_SRCS): Specify sources for
	mime type check.
	(EXTRA_DIST): Distribute mime type check sources.
	(check-local): Depend on check-mimetype.
	(clean-tests): Depend on clean-check-mimetype.
	(clean-local): Depend on clean-mimetypecheck.
	(.PHONY): Depend on clean-check-mimetype,
	clean-mimetypecheck, clean-add-mime-types-file,
	clean-add-mime-types-file-debug and
	clean-add-mime-types-file-boot.
	(add-mime-types-file): Add a symlink to the
	system mime.types file if found.
	(clean-add-mime-types-file): Remove symlink
	to the system mime types file.
	(add-mime-types-file-debug): Add a symlink to the
	system mime.types file, if found, in the debug build.
	(clean-add-mime-types-file-debug): Remove symlink
	to the system mime types file in the debug build.
	(icedtea-stage2): Depend on add-mime-types-file.
	(clean-icedtea-stage2): Depend on clean-add-mime-types-file.
	(icedtea-debug-stage2): Depend on add-mime-types-file-debug.
	(clean-icedtea-debug-stage2): Depend on clean-add-mime-types-file-debug.
	(add-mime-types-file-boot): Add a symlink to the
	system mime.types file, if found, in the bootstrap build.
	(clean-add-mime-types-file-boot): Remove symlink
	to the system mime types file in the bootstrap build.
	(icedtea-stage1): Depend on add-mime-types-file-boot.
	(clean-icedtea-stage1): Depend on clean-add-mime-types-file-boot.
	(check-mimetype): Check that we can recognise a HTML
	file and (if system mime.types is available) a Java file.
	(clean-check-mimetype): Cleanup after check-mimetype.
	(mimetypecheck): Build the MIME type check.
	(clean-mimetypecheck): Remove MIME type check build.
	(install-data-local): Install the mime.types symlink.
	* acinclude.m4:
	(IT_CHECK_FOR_MIME_TYPES): Check for a system mime.types
	file and define MIME_TYPES_FILE_FOUND if located.
	* configure.ac:
	Invoke IT_CHECK_FOR_MIME_TYPES.
	* test/RH1195203.java: Testcase to get Java to print
	the MIME type of a file.

2016-07-28  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	S7175845, PR1437, RH1207129: 'jar uf' changes file
	permissions unexpectedly
	* Makefile.am:
	(icedtea): Correct permissions of sa-jdi.jar and
	resources.jar if PR1437 was present in the bootstrap
	JDK.
	(icedtea-debug): Likewise.
	(icedtea-boot): Likewise.
	* acinclude.m4:
	(IT_FIND_JAR): Check for PR1437 in the bootstrap
	jar program and define PR1437_PRESENT if it exhibits.

2016-07-28  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	Bump to icedtea-2.6.7.
	* Makefile.am:
	(JDK_UPDATE_VERSION): Bump to 111.
	(BUILD_VERSION): Bump to b01.
	(CORBA_CHANGESET): Update to icedtea-2.6.7.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.7.
	* hotspot.map.in: Update to icedtea-2.6.7.
	* patches/boot/ecj-diamond.patch:
	Regenerated. Fix cases in
	com.sun.java.util.jar.pack.BandStructure,
	com.sun.java.util.jar.pack.Fixups,
	com.sun.java.util.jar.pack.Package,
	com.sun.java.util.jar.pack.PackageReader,
	com.sun.java.util.jar.pack.PropMap,
	java.security.Provider, java.security.Security,
	javax.crypto.Cipher, javax.crypto.AllPermission,
	javax.crypto.CryptoPermissions,
	javax.crypto.CryptoPolicyParser,
	javax.crypto.JceSecurity, javax.crypto.JceSecurityManager,
	sun.security.krb5.Krb5ServiceLocator,
	sun.security.provider.certpath.CertStoreHelper,
	sun.security.provider.certpath.ssl.SSLServerCertStore,
	sun.security.provider.certpath.URICertStore,
	sun.security.ssl.HandshakeMessage and
	sun.security.tools.jarsigner.Main
	* patches/boot/ecj-multicatch.patch,
	Fix cases in
	javax.crypto.EncryptedPrivateKeyInfo,
	javax.crypto.SealedObject,
	sun.security.provider.certpath.URICertStore,
	sun.security.pkcs11.P11KeyStore,
	sun.security.pkcs11.P11RSAKeyFactory and
	sun.security.tools.keytool.Main.
	* patches/boot/ecj-stringswitch.patch:
	Regenerated. Fix cases in
	sun.security.provider.certpath.X509CertPath,
	sun.security.ssl.HandshakeMessage,
	sun.security.ssl.X509KeyManagerImpl,
	sun.security.pkcs11.Config,
	sun.security.pkcs11.P11Key,
	com.sun.security.sasl.digest.DigestMD5Base,
	com.sun.security.sasl.digest.DigestMD5Server,
	com.sun.security.sasl.ntlm.NTLMClient,
	com.sun.security.sasl.ntlm.NTLMServer and
	com.sun.security.sasl.util.AbstractSaslImpl.
	* patches/boot/ecj-trywithresources.patch:
	Fix cases in
	sun.security.provider.certpath.URICertStore,
	sun.security.tools.KeyStoreUtil and
	sun.security.tools.keytool.Main.

2016-07-20  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* patches/boot/ecj-diamond.patch:
	Add new case in sun.java2d.cmm.lcms.LCMSProfile.
	* patches/boot/jar.patch:
	Adapt to fix for PR2799/RH1195203.

2016-04-26  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Add 2.6.7 section.
	* configure.ac: Bump to 2.6.7pre00.

2016-04-21  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS:
	Move entries from Backports section
	into port-specific sections.

2016-04-21  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	Bump to icedtea-2.6.6.
	* Makefile.am,
	(JDK_UPDATE_VERSION): Bump to 101.
	(CORBA_CHANGESET): Update to icedtea-2.6.6.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.6.
	* hotspot.map.in: Update to icedtea-2.6.6.
	* patches/boot/ecj-diamond.patch:
	Regenerated. Add new case in
	javax/management/remote/rmi/RMIJRMPServerImpl.java

2016-04-21  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2935: Check that freetype defines
	FT_CONFIG_OPTION_INFINALITY_PATCHSET if
	enabling infinality
	* NEWS: Updated.
	* acinclude.m4:
	(IT_ENABLE_INFINALITY): Depend on
	IT_CHECK_FOR_FREETYPE and check that
	FreeType defines
	FT_CONFIG_OPTION_INFINALITY_PATCHSET.
	(IT_CHECK_FOR_FREETYPE): Moved from
	configure.ac to its own macro so
	IT_ENABLE_INFINALITY can depend on it.
	* configure.ac:
	Move FreeType check to its own macro.

2016-04-21  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2929: configure: error: "A JDK home directory
	could not be found."
	* NEWS: Updated.
	* acinclude.m4:
	(IT_FIND_RHINO_JAR): Refactor to be more
	verbose and helpful to the user.
	(IT_CHECK_FOR_JDK): Point user to the
	configure option if we fail to find the JDK.

2016-04-20  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2665: icedtea/jamvm 2.6 fails as a
	build VM for icedtea
	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	* NEWS: Updated.
	* patches/jamvm/pr2665.patch:
	Set the classLoader field in java.lang.Class
	when a class is defined.

2016-04-17  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	Bump to icedtea-2.6.6pre01.
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-2.6.6pre01.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.6pre01.
	* hotspot.map.in: Update to icedtea-2.6.6pre01.

2016-04-14  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Add 2.6.6 section.
	* configure.ac: Bump to 2.6.6pre00.

2016-03-25  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Replace misplaced '.' with ','.

2016-03-24  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Set release date.

2016-03-24  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	Bump to icedtea-2.6.5.
	* INSTALL: Update X11 dependency documentation.
	* Makefile.am:
	(JDK_UPDATE_VERSION): Bump to 99.
	(CORBA_CHANGESET): Update to icedtea-2.6.5.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.5. Add check
	for libXcomposite as required by fix
	for PR2866. Correct variables used by
	xproto check.
	* hotspot.map.in: Update to icedtea-2.6.5.
	* patches/boot/ecj-multicatch.patch:
	Add new cases in java.lang.invoke.MemberName
	and sun.invoke.util.VerifyAccess

2016-03-18  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2886: Location of 'stap' executable is hard-coded
	* Makefile.am:
	(check-tapset-probes): Check for STAP and invoke
	generated script from build directory.
	(check-tapset-jstack): Likewise.
	* NEWS: Updated.
	* configure.ac: Detect stap and warn if not found.
	Generate test/tapset/jstaptest.pl.
	* test/tapset/jstaptest.pl.in:
	Moved from test/tapset/jstaptest.pl. Fill in location
	of stap and perl binaries from configure output.
	Fix capitalisation of "IcedTea".

2016-03-14  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2894: Add missing test directory in make check
	* Makefile.am:
	(CRYPTO_CHECK_BUILD_DIR): Locate inside the test
	directory.
	(jtregcheck): Create the test directory if it
	doesn't exist.
	(check-tapset-probes): Likewise.
	(check-tapset-jstack): Likewise.
	* NEWS: Updated.

2016-01-29  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2893: test/tapset/jstaptest.pl should be executable
	* Makefile.am:
	(check-tapset-probes): Check that Perl is available
	and, if so, use it to invoke the script.
	(check-tapset-jstack): Likewise.
	* NEWS: Updated.
	* configure.ac:
	Check for Perl if SystemTap is found, so the
	tests can be run if required.

2016-03-24  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2803: Make system CUPS optional
	* INSTALL: Document --enable-system-cups.
	* Makefile.am:
	(ICEDTEA_ENV): Set SYSTEM_CUPS to the
	value of ENABLE_SYSTEM_CUPS rather than 'true'.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_CHECK_FOR_CUPS): Only check for the library
	if --enable-system-cups is on.

2016-03-24  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2781, CA195: typeinfo.cpp: typeinfo_merge_nonarrays:
	Assertion `dest && result && x.any && y.any' failed
	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	* NEWS: Updated.
	* patches/cacao/pr2781-refactoring_error.patch:
	Backport of refactoring fix from
	https://bitbucket.org/Ringdingcoder/cacao-staging

2016-01-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 2.6.5 section.
	* configure.ac: Bump to 2.6.5pre00.

2016-01-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am,
	(JDK_UPDATE_VERSION): Bump to 95.
	(BUILD_VERSION): Reset to b00.
	(CORBA_CHANGESET): Update to icedtea-2.6.4.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Update and set release date.
	* configure.ac: Bump to 2.6.4.
	* hotspot.map.in: Update to icedtea-2.6.4.
	* patches/boot/ecj-diamond.patch:
	Regenerated. Add new case in
	sun.reflect.annotation.AnnotationInvocationHandler.
	* patches/boot/ecj-multicatch.patch:
	Add new case in sun.security.ssl.RSAClientKeyExchange

2015-11-17  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 2.6.4 section.
	* configure.ac: Bump to 2.6.4pre00.

2015-11-13  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/f14-fonts.patch,
	* patches/fonts-gentoo.patch,
	* patches/pr2683.patch:
	Removed as now applied directly in the forest.
	* Makefile.am:
	(BUILD_VERSION): Bump to b02.
	(CORBA_CHANGESET): Update to icedtea-2.6.3.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Reset to empty.
	(fonts): No need to copy Fedora files any more.
	Make a backup of the forest Gentoo fontconfig
	file before replacing with locally generated one.
	(clean-fonts): No need to remove Fedora files
	which are now provided in the forest. Restore
	the original Gentoo fontconfig from the backup.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.3.
	* hotspot.map.in: Update to icedtea-2.6.3.

2015-11-03  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Fix typos in 2.6.2 release
	notes and add missing RH bug ID.

2015-10-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 2.6.3 section.
	* configure.ac: Bump to 2.6.3pre00.

2015-10-22  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Separate 7u91 b00 and 7u91 b01.

2015-10-22  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Fix typo.

2015-10-22  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Bump release date.

2015-10-22  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2683: AArch64 port has broken Zero on AArch64
	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch.
	* NEWS: Updated.
	* patches/pr2683.patch:
	Turn off _updateBytesCRC32 and _crc_table_adr
	when building Zero on AArch64.

2015-10-22  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2686: Add generated Fedora & Gentoo font
	configurations for bootstrap stage
	* NEWS: Updated.
	* generated/fontconfig/fontconfig.Fedora.bfc,
	* generated/fontconfig/fontconfig.Ubuntu.bfc:
	Updated.
	* generated/fontconfig/fontconfig.Fedora.10.bfc
	* generated/fontconfig/fontconfig.Fedora.11.bfc
	* generated/fontconfig/fontconfig.Fedora.12.bfc
	* generated/fontconfig/fontconfig.Fedora.9.bfc
	* generated/fontconfig/fontconfig.Gentoo.bfc:
	Added.

2015-10-22  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2684: AArch64 port not selected on architectures
	where host_cpu != aarch64
	* NEWS: Updated.
	* acinclude.m4:
	(IT_HAS_NATIVE_HOTSPOT_PORT): Combine aarch64
	and arm64 as in IT_SET_ARCH_SETTINGS. Add sparc64.

2015-10-15  Stefan Ring <stefan@complang.tuwien.ac.at>

	PR2652: CACAO fails as a build VM for icedtea
	* Makefile.am:
	(ICEDTEA_PATCHES): Add CACAO patch for PR2652.
	* NEWS: Updated.
	* README: Fix CACAO URL.
	* patches/cacao/pr2652-classloader.patch:
	Set classLoader field in java.lang.Class as expected by JDK.

2015-10-21  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2557, G390663: Update Gentoo font configuration
	and allow font directory to be specified
	* Makefile.am:
	(clean-fonts): Remove linux.fontconfig.Gentoo.properties

2015-07-22  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2557, G390663: Update Gentoo font configuration
	and allow font directory to be specified
	* INSTALL: Document --with-fonts-dir.
	* Makefile.am:
	(fonts): Copy the generated Gentoo
	font properties file into the OpenJDK
	tree.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_WITH_FONTS_DIR): Allow the user
	to specify where the fonts are stored.
	* configure.ac: Invoke IT_WITH_FONTS_DIR
	and generate linux.fontconfig.Gentoo.properties
	* linux.fontconfig.Gentoo.properties.in:
	Template fontconfig file for Gentoo copied from
	the main Portage tree.
	* patches/fonts-gentoo.patch:
	Remove outdated copy of
	linux.fontconfig.Gentoo.properties from patch.

2010-08-02  Andrew John Hughes  <ahughes@redhat.com>

	PR2557: Forwardport Gentoo font configuration support
	* Makefile.am: Add patch below.
	* patches/fonts-gentoo.patch:
	Add a font configuration for Gentoo
	(currently a copy of Fedora's).

2015-10-21  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2557: Forwardport Fedora font configuration support
	* Makefile.am:
	Add alias for stamps/fonts.stamp
	(.PHONY): Add clean-fonts.
	(clean-extract-openjdk): Depend on clean-fonts.
	(clean-fonts): Add reversal for fonts target.

2010-11-10  Jiri Vanek  <jvanek@redhat.com>

	* Makefile.am:
        (FONTCONFIG_PATH): Added path to fontconfig files.
	(ICEDTEA_PATCHES): Add f14-fonts.patch.
	(fonts): Added cloning of fontconfig.Fedora
        to Fedora.12,11,10,9.
	(patch-fsg): Add stamps/fonts.stamp
	* patches/f14-fonts.patch
	Updated font configurations for Fedora 9-14
	Add additional fontconfig files to Makefile.

2015-10-21  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(JDK_UPDATE_VERSION): Bump to 91.
	(CORBA_CHANGESET): Update to icedtea-2.6.2.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.2.
	* hotspot.map.in: Update to icedtea-2.6.2.
	* patches/boot/ecj-diamond.patch:
	Regenerated. Add new case in sun.security.ssl.DHCrypt
	and numerous ones in JAXP.
	* patches/boot/ecj-multicatch.patch:
	Add new case in sun.security.krb5.PrincipalName.
	* patches/boot/ecj-trywithresources.patch:
	Regenerated.

2015-10-19  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-2.6.2pre02.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.2pre02.
	* hotspot.map.in: Update to icedtea-2.6.2pre02.
	* patches/boot/ecj-stringswitch.patch:
	Add new case in sun.security.krb.Config.
	* patches/boot/ecj-trywithresources.patch:
	Regenerated due to changes in java.util.Currency.
	* patches/boot/ecj-underscored_literals.patch:
	Add new case in com.sun.jndi.ldap.Connection.

2015-08-21  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Replace temporary OpenJDK 7
	bug IDs with allocated ones from the
	OpenJDK bug database.

2015-07-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 2.6.2 section.
	* configure.ac: Bump to 2.6.2pre00.

2015-07-21  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(JDK_UPDATE_VERSION): Set to 85.
	(BUILD_VERSION): Set to b01.
	(CORBA_CHANGESET): Update to icedtea-2.6.1.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_BRANCH): Split out branch version ('2.6')
	(ICEDTEA_PREFIX): Use ICEDTEA_MAJOR and ICEDTEA_BRANCH.
	(ICEDTEA_HG_URL): Use release branch.
	* NEWS: Add 2.6.1 section and update with fixes.
	* configure.ac: Bump to 2.6.1.
	* hotspot.map.in: Update to icedtea-2.6.1.
	* patches/boot/ecj-diamond.patch:
	Regenerated without SSLAlgorithmConstraints
	patch. Added new cases in
	sun.security.util.AlgorithmDecomposer,
	sun.security.ssl.SSLAlgorithmDecomposer and
	sun.security.util.LegacyAlgorithmConstraints.
	* patches/boot/ecj-multicatch.patch:
	Add cases in com.apple.laf.AquaUtils,
	sun.security.ssl.ECDHCrypt and Notepad.java
	demo code. Update CipherInputStream case.

2015-07-19  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Fix placement of CACAO and
	JamVM news items for 2.6.0.

2015-07-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Bump 2.6.0 release date.

2015-07-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2550: Desktop file doesn't reference versioned icon
	* NEWS: Updated
	* jconsole.desktop.in:
	Set Icon to java-@JAVA_VER@, so the icon can be found.
	* policytool.desktop.in: Likewise.

2015-07-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2548: install stage doesn't install symbolic links
	* Makefile.am:
	(install_file): Add function for installing
	files which handles symlinks correctly.
	(install-exec-local): Use install_file
	function to install files where symlinks
	may be encountered.
	(install-data-local): Likewise. Also
	copy the man/ja symlink.
	* NEWS: Updated.

2015-07-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2545: Extend tarball checksumming option to
	allow the checksum to be specified
	* INSTALL: Update documentation, replacing
	--disable-x-checksum options with
	--with-x-checksum options.
	* Makefile.am:
	(OPENJDK_SUM): Set to either OPENJDK_SHA256SUM
	or the checksum supplied by the user.
	(CORBA_SUM): Set to either CORBA_SHA256SUM
	or the checksum supplied by the user.
	(JAXP_SUM): Set to either JAXP_SHA256SUM
	or the checksum supplied by the user.
	(JAXWS_SUM): Set to either JAXWS_SHA256SUM
	or the checksum supplied by the user.
	(JDK_SUM): Set to either JDK_SHA256SUM
	or the checksum supplied by the user.
	(LANGTOOLS_SUM): Set to either LANGTOOLS_SHA256SUM
	or the checksum supplied by the user.
	(CACAO_SUM): Set to either CACAO_SHA256SUM
	or the checksum supplied by the user.
	(JAMVM_SUM): Set to either JAMVM_SHA256SUM
	or the checksum supplied by the user.
	(HOTSPOT_SUM): Set to either HS_SHA256SUM
	or the checksum supplied by the user.
	(download-openjdk): Use OPENJDK_SUM instead
	of OPENJDK_SHA256SUM directly.
	(download-corba): Use CORBA_SUM instead
	of CORBA_SHA256SUM directly.
	(download-jaxp): Use JAXP_SUM instead
	of JAXP_SHA256SUM directly.
	(download-jaxws): Use JAXWS_SUM instead
	of JAXWS_SHA256SUM directly.
	(download-jdk): Use JDK_SUM instead
	of JDK_SHA256SUM directly.
	(download-langtools): Use LANGTOOLS_SUM instead
	of LANGTOOLS_SHA256SUM directly.
	(download-cacao): Use CACAO_SUM instead
	of CACAO_SHA256SUM directly.
	(download-jamvm): Use JAMVM_SUM instead
	of JAMVM_SHA256SUM directly.
	(download-hotspot): Use HOTSPOT_SUM instead
	of HS_SHA256SUM directly.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_ENABLE_OPENJDK_CHECKSUM): Change from
	an enablement option to a with option, so
	that the user can specify a checksum.
	The conditional WITH_OPENJDK_CHECKSUM is
	set if the specified value is other than
	"yes" or "no".
	(IT_ENABLE_CORBA_CHECKSUM): Change from
	an enablement option to a with option, so
	that the user can specify a checksum.
	The conditional WITH_CORBA_CHECKSUM is
	set if the specified value is other than
	"yes" or "no".
	(IT_ENABLE_JAXP_CHECKSUM): Change from
	an enablement option to a with option, so
	that the user can specify a checksum.
	The conditional WITH_JAXP_CHECKSUM is
	set if the specified value is other than
	"yes" or "no".
	(IT_ENABLE_JAXWS_CHECKSUM): Change from
	an enablement option to a with option, so
	that the user can specify a checksum.
	The conditional WITH_JAXWS_CHECKSUM is
	set if the specified value is other than
	"yes" or "no".
	(IT_ENABLE_JDK_CHECKSUM): Change from
	an enablement option to a with option, so
	that the user can specify a checksum.
	The conditional WITH_JDK_CHECKSUM is
	set if the specified value is other than
	"yes" or "no".
	(IT_ENABLE_LANGTOOLS_CHECKSUM): Change from
	an enablement option to a with option, so
	that the user can specify a checksum.
	The conditional WITH_LANGTOOLS_CHECKSUM is
	set if the specified value is other than
	"yes" or "no".
	(IT_ENABLE_CACAO_CHECKSUM): Change from
	an enablement option to a with option, so
	that the user can specify a checksum.
	The conditional WITH_CACAO_CHECKSUM is
	set if the specified value is other than
	"yes" or "no".
	(IT_ENABLE_JAMVM_CHECKSUM): Change from
	an enablement option to a with option, so
	that the user can specify a checksum.
	The conditional WITH_JAMVM_CHECKSUM is
	set if the specified value is other than
	"yes" or "no".
	(IT_ENABLE_HOTSPOT_CHECKSUM): Change from
	an enablement option to a with option, so
	that the user can specify a checksum.
	The conditional WITH_HOTSPOT_CHECKSUM is
	set if the specified value is other than
	"yes" or "no".

2015-07-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2540: Specify a cacerts file for the OpenJDK
	build as we do for OpenJDK 8
	* INSTALL: Document --with-cacerts-file.
	* Makefile.am:
	(ICEDTEA_ENV): Pass ALT_CACERTS_FILE to OpenJDK
	build if specified and valid.
	(install-data-local): Install the cacerts file.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_WITH_CACERTS_FILE): Allow a cacerts file to
	be specified, defaulting to
	${SYSTEM_JDK_DIR}/jre/lib/security/cacerts
	* configure.ac:
	Invoke IT_WITH_CACERTS_FILE.

2015-06-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2540: Specify a cacerts file for the OpenJDK
	build as we do for OpenJDK 8
	* Makefile.am:
	(JDK_CACERTS_FILE): Added to specify the location
	of cacerts within the bootstrap JDK.
	(CACERTS_FILE): Find the regular cacerts file,
	dereferencing any symlinks which point to it.
	* configure.ac:
	Call IT_FIND_TOOL to locate the readlink tool,
	which is part of coreutils.

2015-07-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2539: Libraries in some subdirectories of
	jre/lib/{arch} are not installed
	* Makefile.am:
	(install-exec-local): Loop over jre/lib/$(INSTALL_ARCH_DIR)
	and all subdirectories to ensure all libraries are
	installed.
	* NEWS: Updated.

2015-07-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2537: Desktop files do not allow installation from
	multiple versions of IcedTea
	* jconsole.desktop: Moved to jconsole.desktop.in.
	* policytool.desktop: Moved to policytool.desktop.in.
	* Makefile.am:
	(ICEDTEA_ENV): Use @JAVA_VER@ in JRE_RELEASE_VERSION,
	rather than hardcoding version.
	(DESKTOP_FILES): Add Java version to filenames.
	(EXTRA_DIST): Remove $(DESKTOP_FILES) as they are
	now handled by autoconf and generated versions shouldn't
	be packaged.
	(all-local): Depend on $(DESKTOP_FILES) being created.
	(clean-local): Add clean-policytool-@JAVA_VER@.desktop
	and clean-jconsole-@JAVA_VER@.desktop
	(.PHONY): Likewise.
	(policytool-@JAVA_VER@.desktop): Generate desktop file
	by replacing _BINDIR_ with actual make variable $(bindir).
	(clean-policytool-@JAVA_VER@.desktop): Remove generated file.
	(jconsole-@JAVA_VER@.desktop): Generate desktop file
	by replacing _BINDIR_ with actual make variable $(bindir).
	(clean-jconsole-@JAVA_VER@.desktop): Remove generated file.
	(install-data-local): Replace hard-coded "1.7.0" with @JAVA_VER@.
	Copy desktop files from build directory.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Set JAVA_VER to 1.7.0 and include in
	configure output.
	* configure.ac:
	Generate jconsole.desktop and policytool.desktop.
	Drop AC_PREFIX_DEFAULT invocation, reverting to
	/usr/local as default installation directory.
	* jconsole.desktop.in: Moved from jconsole.desktop so
	that @JAVA_VER@ can be replaced by configure and
	_BINDIR_ by the build.
	* policytool.desktop.in: Likewise for policytool.desktop.

2015-07-15  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Set 2.6.0 release date.

2015-07-15  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(JDK_CHANGESET): Update to icedtea-2.6.0.
	(JDK_SHA256SUM): Likewise.
	* configure.ac: Bump to 2.6.0

2015-07-15  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2359: Ensure all stamp targets have aliases
	* Makefile.am:
	Add missing aliases for add-cacao,
	add-cacao-debug, add-jamvm, add-jamvm-debug,
	add-systemtap-boot, add-tzdata-support-boot,
	extract-jamvm, remove-intree-libraries,
	split-debuginfo, split-debuginfo-boot,
	split-debuginfo-debug and versioning.
	* NEWS: Updated.

2015-07-15  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR1888: Allow tarball checksumming to be disabled
	* INSTALL: Document new options.
	* Makefile.am:
	(OPENJDK_SHA256SUM_BIN): Define to either
	$(SHA256SUM) or true, depending on whether or
	not checksumming should be performed.
	(CORBA_SHA256SUM_BIN): Likewise.
	(JAXP_SHA256SUM_BIN): Likewise.
	(JAXWS_SHA256SUM_BIN): Likewise.
	(JDK_SHA256SUM_BIN): Likewise.
	(LANGTOOLS_SHA256SUM_BIN): Likewise.
	(CACAO_SHA256SUM_BIN): Likewise.
	(JAMVM_SHA256SUM_BIN): Likewise.
	(HOTSPOT_SHA256SUM_BIN): Likewise.
	(download-openjdk): Use OPENJDK_SHA256SUM_BIN
	instead of SHA256SUM directly.
	(download-corba): Use CORBA_SHA256SUM_BIN
	instead of SHA256SUM directly.
	(download-jaxp): Use JAXP_SHA256SUM_BIN
	instead of SHA256SUM directly.
	(download-jaxws): Use JAXWS_SHA256SUM_BIN
	instead of SHA256SUM directly.
	(download-jdk): Use JDK_SHA256SUM_BIN
	instead of SHA256SUM directly.
	(download-langtools): Use LANGTOOLS_SHA256SUM_BIN
	instead of SHA256SUM directly.
	(download-cacao): Use CACAO_SHA256SUM_BIN
	instead of SHA256SUM directly.
	(download-jamvm): Use JAMVM_SHA256SUM_BIN
	instead of SHA256SUM directly.
	(download-hotspot): Use HOTSPOT_SHA256SUM_BIN
	instead of SHA256SUM directly.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_WITH_OPENJDK_SRC_ZIP): Define only once.
	(IT_WITH_CACAO_SRC_ZIP): Likewise.
	(IT_WITH_HOTSPOT_SRC_ZIP): Likewise.
	(IT_WITH_CORBA_SRC_ZIP): Likewise.
	(IT_WITH_JAXP_SRC_ZIP): Likewise.
	(IT_WITH_JAXWS_SRC_ZIP): Likewise.
	(IT_WITH_JDK_SRC_ZIP): Likewise.
	(IT_WITH_LANGTOOLS_SRC_ZIP): Likewise.
	(IT_WITH_JAMVM_SRC_ZIP): Likewise.
	(IT_ENABLE_NON_NSS_CURVES): Check ${enableval}
	to catch values other than yes/no.
	(IT_ENABLE_OPENJDK_CHECKSUM): Provide
	--disable-openjdk-checksum option.
	(IT_ENABLE_CORBA_CHECKSUM): Provide
	--disable-corba-checksum option.
	(IT_ENABLE_JAXP_CHECKSUM): Provide
	--disable-jaxp-checksum option.
	(IT_ENABLE_JAXWS_CHECKSUM): Provide
	--disable-jaxws-checksum option.
	(IT_ENABLE_JDK_CHECKSUM): Provide
	--disable-jdk-checksum option.
	(IT_ENABLE_LANGTOOLS_CHECKSUM): Provide
	--disable-langtools-checksum option.
	(IT_ENABLE_CACAO_CHECKSUM): Provide
	--disable-cacao-checksum option.
	(IT_ENABLE_JAMVM_CHECKSUM): Provide
	--disable-jamvm-checksum option.
	(IT_ENABLE_HOTSPOT_CHECKSUM): Provide
	--disable-hotspot-checksum option.
	* configure.ac: Replace calls to
	IT_WITH_X_SRC_ZIP macros with calls
	to IT_ENABLE_X_CHECKSUM macros, which
	in turn require the IT_WITH_X_SRC_ZIP
	macro.

2015-07-15  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR1374: Provide option to strip and link debugging
	info after build
	* INSTALL: Document --enable-split-debuginfo.
	* Makefile.am:
	(BUILD_DEBUGINFO_DIR): Specify location of split
	binaries and libraries for main build.
	(BUILD_DEBUG_DEBUGINFO_DIR): Likewise for debug build.
	(BUILD_BOOT_DEBUGINFO_DIR): Likewise for bootstrap build.
	(DEBUG_PREFIX): Prefix for debuginfo installation directory.
	(.PHONY): Add clean-split-debuginfo, clean-split-debuginfo-debug
	and clean-split-debuginfo-boot.
	(split-debuginfo): Split ELF binaries into debuginfo and
	non-debuginfo files if --enable-split-debuginfo is enabled.
	(clean-split-debuginfo): Remove split debuginfo files.
	(split-debuginfo-debug): Equivalent of split-debuginfo
	for debug builds.
	(clean-split-debuginfo-debug): Remove split debuginfo
	files for debug build.
	(icedtea-stage2): Depend on stamps/split-debuginfo.stamp
	(clean-icedtea-stage2): Depend on clean-split-debuginfo.
	(icedtea-debug-stage2): Depend on
	stamps/split-debuginfo-debug.stamp
	(clean-icedtea-debug-stage2): Depend on
	clean-split-debuginfo-debug.
	(split-debuginfo-boot): Equivalent of split-debuginfo
	for bootstrap builds.
	(clean-split-debuginfo-boot): Remove split debuginfo
	files for bootstrap build.
	(icedtea-stage1): Depend on
	stamps/split-debuginfo-boot.stamp
	(clean-icedtea-stage1): Depend on
	clean-split-debuginfo-boot.
	(install-exec-local): Create debuginfo directories
	and install stripped file and debug file instead of
	original file if --enable-split-debuginfo is enabled
	and the file is not a symbolic link or the java-rmi.cgi
	script.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_ENABLE_SPLIT_DEBUGINFO): New macro to introduce
	the --enable-split-debuginfo option. The option is
	automatically disabled if native debuginfo is
	disabled. Turning the option on introduces a
	requirement for objcopy.
	* configure.ac: Invoke IT_ENABLE_SPLIT_DEBUGINFO.

2015-06-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2535: install-data-local needs to check that
	classes.jsa actually exists
	* Makefile.am:
	(install-data-local): Remove conditionals around
	classes.jsa installation, instead just checking
	that the file exists. Create the directory for it
	first, as technically install-data-local does not
	depend on install-exec-local and so should be
	self-sufficient.
	* NEWS: Updated.

2015-06-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2534: Install TRADEMARK, COPYING and ChangeLog
	as RPM spec file does
	* Makefile.am:
	(install-data-local): Install missing files.
	* NEWS: Updated.

2015-06-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2533: Allow greater control of Javadoc
	installation directory
	* Makefile.am:
	(install-data-local): Install Javadocs into
	$htmldir rather than $docdir/html, so the
	user has more control over where they end up.
	Copy the contents of docs rather than the
	directory itself.
	* NEWS: Updated.

2015-06-17  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2532: install stage fails where
	BUILD_ARCH_DIR != INSTALL_ARCH_DIR
	* Makefile.am:
	(install-exec-local): Use INSTALL_ARCH_DIR
	rather than BUILD_ARCH_DIR as the two are not
	the same on x86 (i386 vs. i586)
	(install-data-local): Likewise.
	* NEWS: Updated.

2015-05-24  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2531: Location of docs directory in
	install-data-local is incorrect
	* Makefile.am:
	(install-data-local): 'docs' directory
	is in BUILD_OUTPUT_DIR, not BUILD_IMAGE_DIR.
	* NEWS: Updated.

2015-05-20  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2530: PaX mark the installed JDK so it runs
	on hardened systems
	* Makefile.am:
	(install-exec-local): PaX mark installed JDK.
	* NEWS: Updated.

2015-07-14  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR94: empty install target in Makefile.am
	* Makefile.am:
	(add-tzdata-support): Redefine using BUILD_SDK_DIR.
	(clean-add-tzdata-support): Likewise.
	(add-tzdata-support-debug): Likewise using BUILD_DEBUG_SDK_DIR.
	(clean-add-tzdata-support-debug): Likewise.
	(add-tzdata-support-boot): Likewise using BUILD_BOOT_SDK_DIR.
	(clean-add-tzdata-support-boot): Likewise.
	(install-exec-local): Remove copying of *.so files
	from $(BUILD_SDK_DIR)/lib ; none in OpenJDK 7.
	(install-data-local): Remove blacklisted.certs and
	tzdb.dat which don't exist in OpenJDK 7. Add
	jre/lib/zi and fontconfig files. Copy icons as
	java-1.7.0.png.

2015-05-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR94: empty install target in Makefile.am
	* Makefile.am:
	(BUILD_SDK_DIR): Added.
	(BUILD_JRE_DIR): Likewise.
	(BUILD_JRE_ARCH_DIR): Redefine using BUILD_SDK_DIR.
	(BUILD_DEBUG_SDK_DIR): Added.
	(BUILD_DEBUG_JRE_DIR): Likewise.
	(BUILD_DEBUG_JRE_ARCH_DIR): Redefine using
	BUILD_DEBUG_SDK_DIR.
	(BUILD_BOOT_SDK_DIR): Added.
	(BUILD_BOOT_JRE_DIR): Likewise.
	(BUILD_BOOT_JRE_ARCH_DIR): Redefine using
	BUILD_BOOT_SDK_DIR.
	(DESKTOP_FILES): Likewise.
	(EXTRA_DIST): Redefine using DESKTOP_FILES.
	(install): Removed.
	(bootstrap-directory-stage2): Redefine using
	BUILD_BOOT_SDK_DIR.
	(icedtea): Redefine using BUILD_SDK_DIR and
	BUILD_JRE_DIR.
	(add-systemtap): Likewise.
	(clean-add-systemtap): Likewise.
	(check-crypto): Redefine using BUILD_SDK_DIR.
	(add-archive): Likewise.
	(icedtea-debug): Likewise using BUILD_DEBUG_SDK_DIR
	and BUILD_DEBUG_JRE_DIR.
	(add-systemtap-debug): Likewise.
	(clean-add-systemtap-debug): Likewise.
	(check-crypto-debug): Redefine using BUILD_DEBUG_SDK_DIR.
	(add-archive-debug): Likewise.
	(icedtea-boot): Redefine using BUILD_BOOT_SDK_DIR.
	(add-systemtap-boot): Likewise.
	(clean-add-systemtap-boot): Likewise.
	(check-crypto-boot): Redefine using BUILD_BOOT_SDK_DIR.
	(add-archive-boot): Likewise.
	(rebuild): Likewise.
	(hotspot): Redefine using BUILD_SDK_DIR and
	BUILD_BOOT_SDK_DIR.
	(ADD_ZERO_CONFIGURE_ARGS): Redefine using $(BUILD_SDK_DIR).
	(check-hotspot): Likewise.
	(check-langtools): Likewise.
	(check-jdk): Likewise.
	(install-exec-local): Added. Installs JDK binaries,
	headers, native libraries, tapsets, JAR and IDL files.
	(install-data-local): Installs property files, man
	pages, images, documentation and other miscellaneous
	data files, such as the timezone database.
	* NEWS: Updated.

2015-07-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2507, G541462: Only apply PaX markings by default
	on running PaX kernels
	* NEWS: Updated.
	* acinclude.m4:
	(IT_HAS_PAX): Use grep directly rather
	than piping from cat.
	(IT_WITH_PAX): Use ${pax_active} as the
	default value. Handle --with-pax and
	--without-pax options (i.e. without arguments)
	better.

2015-07-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2500: Add executable stack markings
	to callNative.S on JamVM
	* Makefile.am:
	(ICEDTEA_PATCHES): Add patch.
	(jamvm): Drop setting -noexecstack in
	LDFLAGS; replaced by code fix in JamVM.
	* NEWS: Updated.
	* patches/jamvm/noexecstack.patch:
	Add notes to assembly files in order to
	turn off executable stack.

2015-07-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2499: Update remove-intree-libraries.sh script
	* NEWS: Updated.
	* acinclude.m4:
	(IT_ENABLE_SUNEC): Rename enable_sunec to
	ENABLE_SUNEC and substitute into autoconf
	generated files.
	* remove-intree-libraries.sh.in:
	Bump zlib version to 1.2.8. Update enablement
	tests following PR1661. Check that system library
	code exists first before deleting and fail if not.

2015-07-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Add IcedTea issue to 8065238
	listing.

2015-07-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2390: Make elliptic curve removal
	optional
	* INSTALL:
	Document --enable-non-nss-curves.
	* Makefile.am:
	(ICEDTEA_PATCHES): Only apply
	the RH1022017 patch when non-NSS
	curves are not enabled.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_ENABLE_NON_NSS_CURVES): New
	macro to allow non-NSS curves to
	be turned on.
	* configure.ac:
	Invoke IT_ENABLE_NON_NSS_CURVES.
	* fsg.sh.in:
	Don't alter the curve list when
	non-NSS curves are enabled.

2015-07-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2172: --enable-jamvm builds broken, missing
	JVM_GetTemporaryDirectory impl
	* Makefile.am:
	(ICEDTEA_PATCHES): Add PR2172 patch.
	* NEWS: Updated.
	* patches/jamvm/pr2172-tempdir.patch:
	Implement JVM_GetTemporaryDirectory.

2015-07-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* AUTHORS: Add James.
	* NEWS: Updated.

2015-05-23  James Le Cuirot  <chewi@gentoo.org>

	PR2380: Raise javadoc and JAVAC_FLAGS memory
	limits for CACAO
	* patches/boot/compile-for-7-cacao-mem.patch:
	Increase memory limits so a build with CACAO
	and doc generation succeeds.
	* patches/cacao/memory.patch: Likewise.

2015-07-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2520: --enable-cacao builds broken, missing
	JVM_GetTemporaryDirectory impl.
	* Makefile.am:
	(ICEDTEA_PATCHES): Add CACAO patch for PR2520.
	* NEWS: Updated.
	* patches/cacao/pr2520-tempdir.patch:
	Implement JVM_GetTemporaryDirectory.

2015-05-12  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR2519: Update to latest CACAO
	* patches/cacao/armhf.patch:
	Removed; upstream in updated CACAO.
	* Makefile.am:
	(CACAO_VERSION): Bump to c182f119eaad,
	the latest tip.
	(CACAO_SHA256SUM): Updated.
	(CACAO_URL): Reuse CACAO_SRC_ZIP.
	(ICEDTEA_PATCHES): Drop armhf patch.
	(cacao); Pass --with-libatomic-ops=no as
	CACAO won't build otherwise. This forces
	its Boehm GC to use the internal version
	of libatomic-ops.
	* NEWS: Updated.
	* patches/cacao/pr2032.patch:
	Updated to work with latest CACAO, using
	original version from PR2032.

2015-07-07  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* INSTALL:
	Document --enable-system-sctp option
	and necessary dependencies.
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-2.6pre24.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_ENV): Add SYSTEM_SCTP, SCTP_CFLAGS
	and SCTP_LIBS to support the system SCTP
	option.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_CHECK_FOR_PCSC): Turn this option on
	by default.
	(IT_CHECK_FOR_SCTP): Add --enable-system-sctp
	option.
	* configure.ac: Invoke IT_CHECK_FOR_SCTP.
	* hotspot.map.in: Update to icedtea-2.6pre24.
	* patches/boot/ecj-stringswitch.patch:
	Add case in sun.security.smartcardio.PlatformPCSC

2015-07-06  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* INSTALL: Update list of detected
	JDKs, specifying that bootstrap mode is
	not specific to Classpath JDKs. Remove
	dead --with-netbeans-home, --with-ant-home,
	--with-xalan2-jar, --with-xalan2-serializer-jar,
	--with-xerces2-jar, --enable-systemtap and
	--with-gcj-home options. Document --with-jdk-home.
	Move --enable-system-kerberos to be listed with other
	system library options. Update XRender and SystemTap
	documentation. Document the SunEC provider. Update
	list of architectures supported by native HotSpot ports.
	Mention ARM32 JIT.
	* NEWS: Updated.
	* README: Remove outdated notes about in-development
	OpenJDK 7. Update list of architectures supported
	by native HotSpot ports and mention ARM32 JIT.
	Remove section about PulseAudio mixer (moved
	to IcedTea-Sound).
	* acinclude.m4:
	(IT_CHECK_FOR_JDK): Match ICEDTEA7_VMS ordering
	to ICEDTEA6_VMS ordering.

2015-07-06  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1816: Split download/extraction rules for OpenJDK
	so they can run in parallel
	* Makefile.am:
	(.PHONY): Add new clean-download-* and
	clean-extract-* targets.
	(download): Depend on download-{corba,hotspot,
	jaxp,jaxws,jdk,langtools}.
	(clean-download): Depend on
	clean-download-{hotspot,corba,jaxp,jaxws,jdk,langtools}.
	(download-openjdk): Don't do Mercurial checkout here.
	Do it as part of extract. Split corba, jaxp, jaxws,
	jdk and langtools downloads into their own targets.
	(download-corba): Split from download-openjdk.
	(download-jaxp): Likewise.
	(download-jaxws): Likewise.
	(download-jdk): Likewise.
	(download-langtools): Likewise.
	(clean-download-openjdk): Don't depend on
	clean-download-hotspot. Split corba, jaxp, jaxws,
	jdk and langtools cleanup into their own targets.
	(clean-download-corba): Split from clean-download-openjdk.
	(clean-download-jaxp): Likewise.
	(clean-download-jaxws): Likewise.
	(clean-download-jdk): Likewise.
	(clean-download-langtools): Likewise.
	(download-hotspot): No need to depend on download-openjdk.
	(extract): Depend on extract-{corba,jaxp,jaxws,jdk,langtools}.
	(extract-openjdk): Add cloning of root repository here.
	Split extraction of corba, jaxp, jaxws, jdk and langtools
	into their own targets.
	(clean-extract-openjdk): Depend on
	clean-extract-{jdk,jaxp,jaxws,corba,langtools}.
	(extract-corba): Split from extract-openjdk.
	(clean-extract-corba): New target to just remove corba.
	(extract-jaxp): Split from extract-openjdk.
	(clean-extract-jaxp): New target to just remove jaxp.
	(extract-jaxws): Split from extract-openjdk.
	(clean-extract-jaxws): New target to just remove jaxws.
	(extract-jdk): Split from extract-openjdk.
	(clean-extract-jdk): New target to just remove jdk.
	(extract-langtools): Split from extract-openlangtools.
	(clean-extract-langtools): New target to just remove langtools.
	(extract-hotspot): Handle Mercurial checkout.
	(sanitise-openjdk): Depend on extract-{jdk,langtools,corba,jaxp,jaxws}.
	(add-nss): Depend on extract-jdk.
	* NEWS: Updated.

2015-06-15  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS:
	Add missing external bug references. Add
	backport bug (PR2418) for S8029607 / RH1230702.

2015-06-12  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(BUILD_VERSION): Bump to b32.
	(CORBA_CHANGESET): Update to icedtea-2.6pre23.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated and duplicates removed.
	* configure.ac: Bump to 2.6.0pre23.
	* hotspot.map.in: Update to icedtea-2.6pre23.
	* patches/boot/ecj-diamond.patch: Regenerated.
	Add new cases in
	com.sun.org.apache.xalan.internal.xsltc.compiler.XSLTC and
	sun.security.pkcs12.PKCS12KeyStore.java.

2015-06-12  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* INSTALL:
	Document GConf2 option and requirements.
	* Makefile.am:
	(ICEDTEA_ENV): Add SYSTEM_GCONF, GCONF_LIBS
	and GCONF_CFLAGS.
	* acinclude.m4:
	(IT_CHECK_FOR_GCONF): Add --enable-system-gconf
	for building using the system installation of
	GConf. This is disabled by default on
	systems where the preferable GSettings API in GIO
	is found.
	* configure.ac: Call IT_CHECK_FOR_GCONF.

2015-06-09  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Add additional Red Hat and
	Gentoo bugs for issues fixed in 2.6pre22.

2015-06-09  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am,
	(CORBA_CHANGESET): Update to icedtea-2.6pre22.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.0pre22.
	* hotspot.map.in: Update to icedtea-2.6pre22.
	* patches/boot/ecj-diamond.patch:
	Add new case in sun.security.ssl.ClientHandshaker

2015-06-03  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Remove backport listed in 2.5.5
	which was already fixed in 2.5.3.

2015-06-03  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-2.6pre21.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* configure.ac: Bump to 2.6.0pre21.
	* hotspot.map.in: Update to icedtea-2.6pre21.

2015-06-03  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2395: Path to jvm.cfg is wrong in add-systemtap-boot
	* Makefile.am:
	(BUILD_BOOT_JRE_ARCH_DIR): Added.
	(clean-add-archive): Use BUILD_JRE_ARCH_DIR.
	(clean-add-archive-debug): Use BUILD_DEBUG_JRE_ARCH_DIR.
	(add-systemtap-boot): Use BUILD_BOOT_JRE_ARCH_DIR
	instead of BUILD_JRE_ARCH_DIR which doesn't yet exist.
	(clean-add-archive-boot): Use BUILD_BOOT_JRE_ARCH_DIR.
	* NEWS: Updated.

2015-06-03  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Updated.

2015-05-01  Tiago Sturmer Daitx  <tdaitx@linux.vnet.ibm.com>

	PR2328: GCJ uses ppc64el named libarch directory on ppc64le
	* Makefile.am:
	(bootstrap-directory-stage1): Handle boot JDK having
	a ppc64el directory by symlinking to ppc64le.

2015-06-03  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2394: ppc64le does not support -Xshare:dump
	* Makefile.am:
	(add-archive): Exclude ppc64le as well as ppc64.
	(add-archive-debug): Likewise.
	(add-archive-boot): Likewise.
	* NEWS: Updated.

2015-04-24  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	Update build following PR2233 & PR2236.
	* Makefile.am:
	(ICEDTEA_ENV): Set SYSTEM_GSETTINGS.
	(bootstrap-directory-stage1): Update ppc64le
	workaround for 2.5.x ppc64 -> 2.6.x ppc64le
	transition rather than 2.4.x ppc64le -> 2.5.x
	ppc64 transition.
	* acinclude.m4:
	(IT_SET_ARCH_SETTINGS): Update powerpc64le
	to use ppc64le for arch directory.
	(IT_ENABLE_ZERO_BUILD): Include ppc64le in
	ZERO_LIBARCH test, as ZERO_LIBARCH is based
	on INSTALL_ARCH_DIR.
	(IT_CHECK_FOR_GIO): Make GSettings API optional.

2015-04-16  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Add 2.5.5 release notes.

2015-04-05  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(JDK_CHANGESET): Include version update for raw
	OpenJDK builds.
	(JDK_SHA256SUM): Likewise.

2015-04-03  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-2.6pre20.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_BOOT_PATCHES): Turn on new underscored literals
	patch when the compiler doesn't support them.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_UNDERSCORE_CHECK): Check that the compiler supports
	underscored literals.
	* configure.ac:
	Bump to 2.6.0pre20 and run IT_UNDERSCORE_CHECK.
	* hotspot.map.in: Update to icedtea-2.6pre20.
	* patches/boot/ecj-underscored_literals.patch:
	New patch to remove underscored literals in
	sun.security.ssl.ServerHandshaker

2015-03-26  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS:
	Add 2.5.4 release notes.

2015-02-05  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-2.6pre19.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.0pre19.
	* hotspot.map.in: Update to icedtea-2.6pre19.

2015-01-30  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(BUILD_VERSION): Bump to b05.
	(CORBA_CHANGESET): Update to icedtea-2.6pre18.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.0pre18.
	* hotspot.map.in: Update to icedtea-2.6pre18.

2015-01-20  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* patches/boot/ecj-diamond.patch:
	Regenerated. Add new cases introduced in
	sun.security.ssl.ProtocolVersion and
	sun.security.ssl.SSLContextImpl

2015-01-20  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* patches/boot/ecj-trywithresources.patch:
	Add new case in
	sun.security.krb5.internal.ccache.FileCredentialsCache.
	Change is taken from the OpenJDK 6 version of
	the file.

2015-01-21  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-2.6pre17.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.0pre17.
	* hotspot.map.in: Update to icedtea-2.6pre17.

2011-08-15  Pavel Tisnovsky  <ptisnovs@redhat.com>

	PR2171: JamVM builds with executable stack,
	causing failures on SELinux & PaX kernels
	* Makefile.am:
	(jamvm): Added LDFLAGS for JamVM
	to fix the SELinux executable flag issue.

2015-01-07  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2050: JamVM lacks JVM_FindClassFromCaller introduced
	by security patch in 2.5.3
	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch when building
	JamVM.
	(EXTRA_DIST): Include patches from JamVM directory.
	* NEWS: Updated.
	* patches/jamvm/find_class_from_caller.patch:
	Backport JamVM patch to implement FindClassFromCaller.

2015-01-07  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2161: RHEL 6 has a version of GIO which meets
	the version criteria, but has no g_settings_*
	* NEWS: Updated.
	* acinclude.m4:
	(IT_CHECK_FOR_GIO): Replace version test with
	a check for g_settings_new.

2015-01-06  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2064: Unset OS before running OpenJDK build
	* Makefile.am:
	(ICEDTEA_UNSET): Introduce variable to
	store unsetting of environment variables.
	(ICEDTEA_ENV): Move JAVAC, JAVA_HOME and
	JDK_HOME to ICEDTEA_UNSET.
	(icedtea): Unset variables prior to running
	$(MAKE).
	(icedtea-debug): Likewise.
	(icedtea-boot): Likewise.
	* NEWS: Updated.

2015-01-06  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS:
	Fix RH bug reference in 2.5.3 release notes.

2014-12-30  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am,
	(CORBA_CHANGESET): Update to icedtea-2.6pre16.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.0pre16.
	* hotspot.map.in: Update to icedtea-2.6pre16.

2014-12-12  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(EXTRA_DIST): Drop reference to HotSpot patches
	as there is no longer an alternate HotSpot.
	* NEWS: Updated.

2014-12-11  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am,
	(CORBA_CHANGESET): Update to icedtea-2.6pre15.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.0pre15.
	* hotspot.map.in: Update to icedtea-2.6pre15.

2014-12-09  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am,
	(CORBA_CHANGESET): Update to icedtea-2.6pre14.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.0pre14.
	* hotspot.map.in: Update to icedtea-2.6pre14.

2014-12-05  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2124: Synchronise elliptic curves in
	sun.security.ec.NamedCurve with those listed by NSS
	* fsg.sh: Moved to...
	* Makefile.am:
	(EXTRA_DIST): Remove fsg.sh, now generated
	by configure.
	(sanitise-openjdk): Fix path to new generated
	fsg.sh and mark as executable
	* NEWS: Updated.
	* configure.ac: Add fsg.sh to AC_CONFIG_FILES.
	* fsg.sh.in: ... here and added application
	of PR2124 patch.
	* patches/pr2124.patch: Patch to remove curves
	unsupported by NSS.

2014-12-05  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR2123: SunEC provider crashes when built
	using system NSS
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-2.6pre13.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.0pre13.
	* hotspot.map.in: Update to icedtea-2.6pre13.

2014-12-04  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(BUILD_VERSION): Bump to b03.
	(CORBA_CHANGESET): Update to icedtea-2.6pre12.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_BOOT_PATCHES): Add workaround for bug
	in parsing end-of-year dates (Classpath PR64174).
	* NEWS: Updated.
	* acinclude.m4:
	(IT_PR64174_CHECK): Detect if the boot JDK suffers
	from PR64174 and apply the patch if so.
	* configure.ac: Bump to 2.6.0pre12. Call IT_PR64174_CHECK.
	* hotspot.map.in: Update to icedtea-2.6.0pre12.
	* patches/boot/ecj-diamond.patch: Regenerated.
	Add new case in java.util.Currency.
	* patches/boot/pr64174.patch: Drop the Latvian
	Euro changeover date, which is in the past anyway,
	and move Lithuania's two hours forward so it enters
	2015 and avoids the bug.

2014-11-11  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	Merge AArch64 port into mainline IcedTea7.
	* patches/hotspot/aarch64/20140715-8030763-validate_global_memory_allocation.patch,
	* patches/hotspot/aarch64/20140715-8032536-jvm_resolves_wrong_method.patch,
	* patches/hotspot/aarch64/20140715-8035119-fix_exceptions_to_bytecode_verification.patch,
	* patches/hotspot/aarch64/20140715-8036800-attribute_oom_to_right_code.patch,
	* patches/hotspot/aarch64/20140715-8037076-check_constant_pool_constants.patch,
	* patches/hotspot/aarch64/20140715-8037157-verify_init_call.patch,
	* patches/hotspot/aarch64/20140715-8037167-better_method_signature_resolution.patch,
	* patches/hotspot/aarch64/20141014-8015256-better_class_accessibility.patch,
	* patches/hotspot/aarch64/20141014-8036805-correct_linker_method_lookup.patch,
	* patches/hotspot/aarch64/20141014-8038899-safer_safepoints.patch,
	* patches/hotspot/aarch64/20141014-8038903-more_native_monitor_monitoring.patch,
	* patches/hotspot/aarch64/20141014-8041717-issue_with_class_file_parser.patch,
	* patches/hotspot/aarch64/20141014-8042603-safepointpolloffset.patch,
	* patches/hotspot/aarch64/20141014-8050485-super_causes_verifyerror.patch,
	* patches/hotspot/aarch64/8051012-verifier_regression.patch:
	Remove unneeded patches from AArch64 HotSpot build.
	* INSTALL: Remove mention of AArch64 HotSpot build.
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-2.6pre11.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Remove AArch64 HotSpot build
	patches.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_WITH_HOTSPOT_BUILD): Always use 'default'.
	* configure.ac: Bump to 2.6.0pre11.
	* hotspot.map.in: Update to icedtea-2.6.0pre11.
	Drop AArch64 build.

2014-11-06  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* INSTALL: Updated.
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-2.6pre10.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Only apply SystemTap GC
	patch to AArch64 port, as it's now in the main
	IcedTea7 forest.
	(TEST_IN_BUILD): New variable, set in accordance
	with the ENABLE_QUEENS conditional.
	(ICEDTEA_ENV): Pass user setting of TEST_IN_BUILD.
	(ICEDTEA_ENV_BOOT): Override above with false for
	bootstrap builds. Worksaround an issue with not
	being able to link to the OpenJDK 6 VM.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_ENABLE_QUEENS_TEST): New
	--disable-hotspot-test-in-build option which allows
	the Queens test (test_gamma) to be toggled by the
	user.
	* configure.ac: Bump to 2.6.0pre10. Call
	IT_ENABLE_QUEENS_TEST.
	* hotspot.map.in: Update to icedtea-2.6.0pre10.

2014-06-04  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* INSTALL: Replace documentation of
	--with-abs-install-dir with --prefix.
	* Makefile.am:
	(ICEDTEA_ENV): Set INSTALL_LOCATION to prefix.
	* configure.ac: Drop abs-install-dir
	option and use prefix in ABS_CLIENT_LIBJVM_SO and
	ABS_SERVER_LIBJVM_SO instead.
	* tapset/hotspot.stp.in,
	* tapset/hotspot_jni.stp.in,
	* tapset/jstack.stp.in:
	Replace ABS_JAVA_HOME_DIR with prefix.

2014-10-29  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/hotspot/aarch64/systemtap_gc.patch,
	* patches/hotspot/aarch64/werror.patch:
	Removed as AArch64 port is now derived from
	IcedTea 7 forest.
	* patches/hotspot/default/systemtap_gc.patch:
	Moved to...
	* INSTALL: Update URL of AArch64 port.
	* Makefile.am:
	(ICEDTEA_PATCHES): Re-enable SystemTap GC patch.
	Add security patches for AArch64 fork.
	* NEWS: Updated.
	* hotspot.map.in:
	Update AArch64 build to tip of IcedTea7 fork.
	* patches/hotspot/aarch64/20140715-8030763-validate_global_memory_allocation.patch,
	* patches/hotspot/aarch64/20140715-8032536-jvm_resolves_wrong_method.patch,
	* patches/hotspot/aarch64/20140715-8035119-fix_exceptions_to_bytecode_verification.patch,
	* patches/hotspot/aarch64/20140715-8036800-attribute_oom_to_right_code.patch,
	* patches/hotspot/aarch64/20140715-8037076-check_constant_pool_constants.patch,
	* patches/hotspot/aarch64/20140715-8037157-verify_init_call.patch,
	* patches/hotspot/aarch64/20140715-8037167-better_method_signature_resolution.patch,
	* patches/hotspot/aarch64/20141014-8015256-better_class_accessibility.patch,
	* patches/hotspot/aarch64/20141014-8036805-correct_linker_method_lookup.patch,
	* patches/hotspot/aarch64/20141014-8038899-safer_safepoints.patch,
	* patches/hotspot/aarch64/20141014-8038903-more_native_monitor_monitoring.patch,
	* patches/hotspot/aarch64/20141014-8041717-issue_with_class_file_parser.patch,
	* patches/hotspot/aarch64/20141014-8042603-safepointpolloffset.patch,
	* patches/hotspot/aarch64/20141014-8050485-super_causes_verifyerror.patch,
	* patches/hotspot/aarch64/8051012-verifier_regression.patch:
	Backports of recent security fixes for AArch64 fork.
	* patches/systemtap_gc.patch: ...here.

2014-10-29  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch for CACAO
	builds.
	* NEWS: Updated.
	* patches/cacao/pr2032.patch:
	Implement JVM_FindClassFromCaller as same
	as JVM_FindClassFromClassLoader for now.

2013-01-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	CA172, PR2030, G453612: Add ARM hardfloat support
	to CACAO on Gentoo.
	* Makefile.am:
	(ICEDTEA_PATCHES): Add armhf patch when building
	CACAO.
	* patches/cacao/armhf.patch:
	Patch to enable hardfloat on triplet used by Gentoo.

2014-10-14  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* INSTALL: Update section on hotspot.map
	to reflect recent changes.
	* Makefile.am:
	(download-hotspot): Use $(TAR_SUFFIX) in hg drops
	as well.

2014-10-14  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(TAR_SUFFIX): New variable to store filename
	suffix of OpenJDK drop tarballs.
	(OPENJDK_SRC_ZIP): Use TAR_SUFFIX.
	(CORBA_SRC_ZIP): Likewise.
	(JAXP_SRC_ZIP): Likewise.
	(JAXWS_SRC_ZIP): Likewise.
	(JDK_SRC_ZIP): Likewise.
	(LANGTOOLS_SRC_ZIP): Likewise.
	(HOTSPOT_SRC_ZIP): Likewise.
	(download-hotspot): Look for $(HSBUILD).$(TAR_SUFFIX)
	as the drop tarball filename in the URL if using
	a non-default HotSpot, rather than always looking
	for hotspot.$(TAR_SUFFIX).
	(ADD_ZERO_CONFIGURE_ARGS): Make use of $(TAR_SUFFIX).

2014-10-16  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am,
	(CORBA_CHANGESET): Update to icedtea-2.6pre09.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6.0pre09.
	* hotspot.map.in: Update to icedtea-2.6.0pre09.
	* patches/boot/ecj-diamond.patch:
	Add new cases in javax.swing.JDesktopPane and
	jdk.net.Sockets.
	* patches/boot/ecj-multicatch.patch:
	Add new cases in javax.crypto.CipherInputStream
	and javax.crypto.CipherOutputStream.
	* patches/boot/ecj-stringswitch.patch:
	Add new case in
	sun.reflect.annotation.AnnotationInvocationHandler.

2014-10-15  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Add 2.5.3 release notes.

2014-09-16  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(HS_TYPE): Fix hotspot.map path.
	(HS_URL): Likewise.
	(HS_CHANGESET): Likewise.
	(HS_SHA256SUM): Likewise.
	(EXTRA_DIST): Remove hotspot.map.
	hotspot.map.in is automatically added
	by autoconf.
	* NEWS: Updated.

2014-09-16  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* hotspot.map: Moved to...
	* Makefile.am:
	(ICEDTEA_URL): Include release in path to match
	release branches.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_DETERMINE_VERSION): Obtain branch and release
	version automatically from package version.
	* configure.ac: Call IT_DETERMINE_VERSION and
	generate hotspot.map. Add a trailing zero to the
	first release (2.6.0 instead of 2.6).
	* hotspot.map.in: ... here so the URL can be
	generated using the release version.

2014-09-12  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am,
	(CORBA_CHANGESET): Update to icedtea-2.6pre08.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6pre08.
	* hotspot.map: Update to icedtea-2.6pre08.

2014-09-03  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Add 2.5.2 release notes.

2014-08-29  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Update OpenJDK bug URL.

2014-08-27  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am,
	(BUILD_VERSION): Set to b02.
	(CORBA_CHANGESET): Update to icedtea-2.6pre07.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated. Cleanup duplicates.
	* configure.ac: Bump to 2.6pre07.
	* hotspot.map: Update to icedtea-2.6pre07.
	* patches/boot/ecj-diamond.patch:
	Regenerated. Add new case in OutputStreamHook.
	* patches/boot/ecj-multicatch.patch:
	Regenerated. Add new cases in
	SortingFocusTraversalPolicy, SecureRandom and
	ECDHCrypt.

2014-08-13  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am,
	(JDK_UPDATE_VERSION): Set to 80.
	(BUILD_VERSION): Set to b01.
	(CORBA_CHANGESET): Update to icedtea-2.6pre06.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6pre06.
	* hotspot.map: Update to icedtea-2.6pre06.
	* patches/boot/ecj-diamond.patch: Add new
	case introduced in java.beans.MethodRef.
	* patches/boot/ecj-multicatch.patch:
	Regenerated.

2014-07-16  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1867: Turn the infinality patch off by default
	* acinclude.m4:
	(IT_ENABLE_INFINALITY): Set default to no.

2014-08-05  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1846: Build fails when using IcedTea7 as bootstrap
	JDK with native ecj
	* NEWS: Updated.
	* patches/boot/icedteart.patch:
	Remove additions of ICEDTEA_RT to classpath which
	are no longer needed.

2014-06-13  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1848: Removal of project support leaves
	trailing '-' in version
	* Makefile.am:
	(versioning): Drop use of PROJECT_NAME removed
	in PR1365.

2014-06-13  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* javaws.desktop,
	* javaws.png:
	Remove obsolete files.
	* Makefile.am:
	(EXTRA_DIST): Remove above.

2014-06-12  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* .hgignore: Add compile script added by
	recent version of Automake.
	* scripts/create_tarballs.sh: New script
	to create tarballs using Mercurial, as used
	for the drops created for the previous bump.
	* scripts/gen_changeset_and_sha256sums.sh:
	Updated to latest local version, with support
	for tarballs created by create_tarballs.sh.
	* scripts/update_tarballs.sh:
	Updated to latest local version with support
	for OpenJDK 8.

2014-07-31  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-2.6pre05 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to pre05.
	* hotspot.map: Update to icedtea-2.6pre05tag. Set
	type of default to drop and aarch64 to hg.
	* patches/rhino.patch: Regenerated following
	removal of merge artefact.

2014-06-12  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* AUTHORS:
	Add authors of infinality patch. Websites are used
	as present as couldn't find any e-mail addresses.
	* INSTALL: Document --enable-infinality.
	* Makefile.am:
	(DROP_URL): Added to point to drops on IcedTea server.
	(CACAO_BASE_URL): Reference DROP_URL.
	(JAMVM_BASE_URL): Likewise.
	(ICEDTEA_MAJOR): Split out major release name ('IcedTea7')
	(ICEDTEA_PREFIX): Use ICEDTEA_MAJOR.
	(ICEDTEA_URL): Path to drops.
	(OPENJDK_URL): Removed.
	(CORBA_URL): Likewise.
	(JAXP_URL): Likewise.
	(JAXWS_URL): Likewise.
	(JDK_URL): Likewise.
	(LANGTOOLS_URL): Likewise.
	(HS_TYPE): Added. Differentiate between a drop tarball
	and a hg archive in hotspot.map.
	(HS_URL): Bump field number by 1 following addition of type.
	(HS_CHANGESET): Likewise.
	(HS_SHA256SUM): Likewise.
	(OPENJDK_SRC_ZIP): Change suffix to bz2.
	(CORBA_SRC_ZIP): Likewise.
	(JAXP_SRC_ZIP): Likewise.
	(JAXWS_SRC_ZIP): Likewise.
	(JDK_SRC_ZIP): Likewise.
	(LANGTOOLS_SRC_ZIP): Likewise.
	(HOTSPOT_SRC_ZIP): Likewise.
	(ICEDTEA_ENV): Set INFINALITY_SUPPORT=true when
	infinality is enabled.
	(download-openjdk): Use ICEDTEA_URL for all drops.
	(download-hotspot); Support HS_TYPE, appending
	"archive/$(HS_CHANGESET)" to hg archive URLs and
	"$(HOTSPOT_SRC_ZIP)" to drop URLs.
	(ADD_ZERO_CONFIGURE_ARGS): Change suffix to bz2.
	* acinclude.m4:
	(IT_ENABLE_INFINALITY): Macro for new option.
	* configure.ac: Invoke IT_ENABLE_INFINALITY instead
	of its dependency, IT_CHECK_FOR_FONTCONFIG.

2014-07-25  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Add release notes for 2.4.8 & 2.5.1.
	Remove duplicates listed under 2.6.0.

2014-06-13  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1847: Synchronise javac.in with IcedTea6
	* NEWS: Updated.

2013-05-15  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* javac.in: Handle -Xbootclasspath/p, -Xbootclasspath
	and -Xbootclasspath/a by prepending, setting or appending
	its value to the bootclasspath option used to ecj,
	respectively.

2012-05-09  Andrew John Hughes  <ahughes@redhat.com>

	* javac.in:
	Split out '-J' prefixed options and pass them
	to the VM rather than ecj.  Filter out
	'-J-Xbootclasspath/p:', which makes no sense
	as there's nothing to prepend, and confuses
	the VM.

2012-11-28  Andrew John Hughes  <gnu.andrew@redhat.com>

	* javac.in:
	Add final else block which exits with an error.

2014-06-25  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS:
	Add release notes for 2.5.0 and remove
	duplicates.

2014-06-12  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1843: Fail early if there is no native HotSpot JIT
	& all other options are disabled
	* acinclude.m4:
	(IT_ENABLE_ZERO_BUILD): Depend on
	IT_HAS_NATIVE_HOTSPOT_PORT. Split out arch-dependent
	code into that macro. Make ENABLE_CACAO test more
	readable.
	(IT_ENABLE_CACAO): Handle enableval same as other macros
	so possible values are only ever yes or no.
	(IT_ENABLE_JAMVM): Likewise.
	(IT_HAS_NATIVE_HOTSPOT_PORT): Architecture detection
	split out from IT_ENABLE_ZERO_BUILD. Now sets
	has_native_hotspot_port for later reference.
	* configure.ac:
	Error out if there is no native HotSpot port and
	Zero (which implies Shark & ARM32 JIT), CACAO and
	JamVM are all disabled.

2014-03-27  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* acinclude.m4:
	(IT_ENABLE_ZERO_BUILD): Default to off on aarch64/arm64.
	(IT_WITH_HOTSPOT_BUILD): Default to aarch64 port on aarch64.

2014-06-11  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1741: Break PulseAudio provider out into IcedTea-Sound
	* patches/pulse-soundproperties.patch,
	* pulseaudio/COPYING,
	* pulseaudio/README,
	* pulseaudio/src/java/META-INF/services/javax.sound.sampled.spi.MixerProvider,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/ContextEvent.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/ContextListener.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/Debug.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/EventLoop.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/Operation.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioClip.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioDataLine.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioLine.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioMixer.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioMixerInfo.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioMixerProvider.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioPlaybackLine.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioPort.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioSourceDataLine.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioSourcePort.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioTargetDataLine.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioTargetPort.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioVolumeControl.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/SecurityWrapper.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/Stream.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/StreamBufferAttributes.java,
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/StreamSampleSpecification.java,
	* pulseaudio/src/native/jni-common.c,
	* pulseaudio/src/native/jni-common.h,
	* pulseaudio/src/native/org_classpath_icedtea_pulseaudio_ContextEvent.c,
	* pulseaudio/src/native/org_classpath_icedtea_pulseaudio_EventLoop.c,
	* pulseaudio/src/native/org_classpath_icedtea_pulseaudio_Operation.c,
	* pulseaudio/src/native/org_classpath_icedtea_pulseaudio_PulseAudioSourcePort.c,
	* pulseaudio/src/native/org_classpath_icedtea_pulseaudio_PulseAudioTargetPort.c,
	* pulseaudio/src/native/org_classpath_icedtea_pulseaudio_Stream.c,
	* pulseaudio/testsounds/README,
	* pulseaudio/unittests/org/classpath/icedtea/pulseaudio/OtherSoundProvidersAvailableTest.java,
	* pulseaudio/unittests/org/classpath/icedtea/pulseaudio/PulseAudioClipTest.java,
	* pulseaudio/unittests/org/classpath/icedtea/pulseaudio/PulseAudioEventLoopOverhead.java,
	* pulseaudio/unittests/org/classpath/icedtea/pulseaudio/PulseAudioMixerProviderTest.java,
	* pulseaudio/unittests/org/classpath/icedtea/pulseaudio/PulseAudioMixerRawTest.java,
	* pulseaudio/unittests/org/classpath/icedtea/pulseaudio/PulseAudioMixerTest.java,
	* pulseaudio/unittests/org/classpath/icedtea/pulseaudio/PulseAudioSourceDataLineRawTest.java,
	* pulseaudio/unittests/org/classpath/icedtea/pulseaudio/PulseAudioSourceDataLineTest.java,
	* pulseaudio/unittests/org/classpath/icedtea/pulseaudio/PulseAudioSourcePortTest.java,
	* pulseaudio/unittests/org/classpath/icedtea/pulseaudio/PulseAudioTargetDataLineTest.java,
	* pulseaudio/unittests/org/classpath/icedtea/pulseaudio/PulseAudioTargetPortTest.java:
	Moved to IcedTea-Sound.
	* INSTALL: Remove PulseAudio references.
	* Makefile.am:
	(PULSE_JAVA_DIR): Removed.
	(PULSE_JAVA_NATIVE_SRCDIR): Likewise.
	(PULSE_JAVA_NATIVE_SRCS): Likewise.
	(PULSE_JAVA_BUILDDIR): Likewise.
	(PULSE_JAVA_NATIVE_BUILDDIR): Likewise.
	(PULSE_JAVA_NATIVE_OBJECTS): Likewise.
	(PULSE_JAVA_JAVA_SRCDIR): Likewise.
	(PULSE_JAVA_CLASS_DIR): Likewise.
	(PULSE_JAVA_TARGET): Removed.
	(ICEDTEA_PATCHES): Drop PulseAudio patch.
	(PULSEAUDIO_SRCS): Removed.
	(EXTRA_DIST): Removed PULSEAUDIO_SRCS.
	(clean-local): Remove clean-add-pulseaudio
	and clean-add-pulseaudio-debug.
	(.PHONY): Likewise and clean-add-pulseaudio-boot.
	(add-pulseaudio): Removed.
	(clean-add-pulseaudio): Likewise.
	(add-pulseaudio-debug): Likewise.
	(clean-add-pulseaudio-debug): Likewise.
	(icedtea-stage2): Remove add-pulseaudio dependency.
	(icedtea-debug-stage2): Remove add-pulseaudio-debug
	dependency.
	(add-pulseaudio-boot): Removed.
	(clean-add-pulseaudio-boot): Likewise.
	(icedtea-stage1): Remove add-pulseaudio-boot debug.
	(clean-icedtea-stage1): Remove clean-add-pulseaudio-boot
	dependency.
	(pulse-java): Removed.
	(pulse-java-class): Likewise.
	(pulse-java-jar): Likewise.
	(pulse-java-headers): Likewise.
	($(PULSE_JAVA_NATIVE_BUILDDIR)/%.o): Likewise.
	($(PULSE_JAVA_NATIVE_BUILDDIR)/libpulse-java.so): Likewise.
	(clean-pulse-java): Likewise.
	* NEWS: Updated.
	* configure.ac:
	Remove --enable-pulse-java option and PulseAudio library
	checks.

2014-06-10  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1833, RH1022017: Report elliptic curves
	supported by NSS, not the SunEC library
	* NEWS: Updated.
	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch when
	PKCS11+NSS or SunEC+NSS are enabled, so
	that the NSS set of curves are announced
	via SSL.
	* patches/rh1022017.patch:
	Reduce number of curves announced over SSL
	to just those supported by NSS.

2014-06-10  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1830: Drop version requirement for LCMS 2
	* INSTALL: Document lcms2 requirement.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_CHECK_FOR_LCMS): Drop 2.5 requirement.

2014-06-10  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1827: Support AM_MAINTAINER_MODE
	* NEWS: Updated.
	* configure.ac: Invoke the AM_MAINTAINER_MODE
	macro with a default of enabled.

2014-06-10  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1371: Provide option to build without debugging
	* INSTALL: Updated.
	* Makefile.am:
	(ICEDTEA_ENV): Only set DEBUG_CLASSFILES
	and DEBUG_BINARIES when ENABLE_JAVA_DEBUGINFO
	and ENABLE_NATIVE_DEBUGINFO are set, respectively.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_ENABLE_NATIVE_DEBUGINFO): New macro to add
	option --enable-native-debuginfo.
	(IT_ENABLE_JAVA_DEBUGINFO): New macro to add
	option --enable-java-debuginfo.
	* configure.ac: Invoke new macros.

2014-06-02  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1814: HotSpot URL should be used with --enable-hg
	* Makefile.am:
	(.PHONY): Add clean-download-hotspot.
	(download); Depend on download-hotspot.
	(clean-download): Move clean-download-nashorn
	to clean-download-openjdk to retain ordering.
	(download-openjdk): Remove hotspot from for loop
	and HotSpot zip download rules.
	(clean-download-openjdk): Depend on clean-download-hotspot.
	(download-hotspot): New target. Cloning now uses HS_URL
	as with zip downloading.
	(clean-download-hotspot): Separated from clean-download-openjdk.
	(extract-hotspot): Depend on download-hotspot.
	* NEWS: Updated.

2014-06-02  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1365: Replace hgforest support
	* INSTALL:
	Remove documentation of --with-project as
	option is being removed.
	* Makefile.am:
	(OPENJDK_HG_URL): Removed.
	(CVMI_HG_URL): Likewise.
	(CLOSURES_HG_URL): Likewise.
	(CACIOCAVALLO_HG_URL): Likewise.
	(BSD_HG_URL): Likewise.
	(NIO2_HG_URL): Likewise.
	(REV_ARG): Added and set conditionally if
	$(HGREV) is set.
	(clean-local): Drop clean-hgforest.
	(hgforest): Removed.
	(clean-hgforest): Likewise.
	(download-openjdk): Remove project conditionals.
	Replace fclone usage with multiple clone calls.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_ENABLE_HG): Drop IT_WITH_PROJECT dependency
	and simply to yes/no.
	(IT_WITH_PROJECT): Removed.
	* configure.ac: Drop IT_WITH_PROJECT.

2014-06-02  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1807: Support Debian/Ubuntu 7 OpenJDK
	Install as Boot JDK
	* NEWS: Updated.
	* acinclude.m4:
	(IT_CHECK_FOR_JDK): Add java-7-openjdk
	to ICEDTEA7_VMS.

2014-05-14  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1765: Boot JDK on ppc64le uses differently named
	arch directory to final build
	* Makefile.am:
	(bootstrap-directory-stage1): Handle ppc64le boot
	JDK using a different arch directory to the final
	build. Make output more verbose.
	* NEWS: Updated.

2014-05-13  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1763: ppc64 JIT doesn't support class data sharing
	* Makefile.am:
	(add-archive): Skip on ppc64.
	(add-archive-debug): Likewise.
	(add-archive-boot): Likewise.
	* NEWS: Updated.

2014-05-09  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1762: Undefined references when building with NSS 3.16.1
	* NEWS: Updated.
	* acinclude.m4:
	(IT_ENABLE_SUNEC): For NSS >= 3.16.1, add -lfreebl
	to SUNEC_LIBS, not SUNEC_CFLAGS, and use NSS_LIBS as
	the base, not NSS_SOFTOKN_LIBS.

2014-05-09  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(BUILD_VERSION): Bump to b15.
	(CORBA_CHANGESET): Update to icedtea-2.6pre04 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to pre03.
	* hotspot.map: Bump default to icedtea-2.6pre04 tag.
	* patches/boot/ecj-autoboxing.patch: Regenerated.
	* patches/boot/ecj-diamond.patch: Regenerated and
	cases in ScriptManager, JDK13Services and ServiceDelegator
	added.
	* patches/boot/ecj-trywithresources.patch: Regenerated.

2014-05-01  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* AUTHORS: Add Tiago.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_SET_ARCH_SETTINGS): Expand ppc64le to its
	own block to avoid potential future collisions.
	(IT_ENABLE_ZERO_BUILD): Likewise.

2014-05-01  Tiago Sturmer Daitx  <tdaitx@linux.vnet.ibm.com>

	* acinclude.m4:
	(IT_SET_ARCH_SETTINGS): Support ppc64le.
	(IT_ENABLE_ZERO_BUILD): Likewise and use correct
	host_cpu value for ppc64.

2014-05-01  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1756: Bootstrap with IcedTea broken
	* Makefile.am:
	(ICEDTEA_BOOT_PATCHES): Only apply ant-javac.patch
	when using bootstrap tools. Only patch JAXWS build
	when the bootstrap JDK doesn't have the com.sun.*
	classes it requires. Split the root patch in
	corba-dependencies.patch into its own file.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_CHECK_FOR_JDK): Make DEFUN_ONCE and fix typo.
	(IT_CHECK_FOR_CLASS): Depend on IT_CHECK_TOOLS_JAR_EXISTS
	and adds TOOLS_JAR to classpath.
	(IT_CHECK_TOOLS_JAR_EXISTS): Find a tools.jar so
	we can check for classes it contains.
	* configure.ac:
	Check for com.sun.mirror.type.TypeMirror and
	com.sun.net.httpserver.Headers, required by JAXWS.
	* patches/boot/corba-dependencies.patch:
	Remove root part of patch.
	* patches/boot/dependencies.patch:
	Root part of patch from corba-dependencies.
	* patches/boot/jaxws-jdk-dependency.patch:
	Regenerated.
	* patches/boot/jaxws-langtools-dependency.patch:
	Rewrite to use sources, not classes.

2014-04-30  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-2.6pre03 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated.
	* configure.ac: Bump to pre03.
	* hotspot.map: Update to icedtea-2.6pre03 tag.
	* patches/boot/jaxws-langtools-dependency.patch:
	Regenerated.

2014-04-23  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1742: Allow SunEC provider to be built with changes
	in NSS >= 3.16.1
	* Makefile.am:
	(BUILD_VERSION): Bump to b13.
	(CORBA_CHANGESET): Update to icedtea-2.6pre02 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_ENV): Use SUNEC_LIBS and SUNEC_CFLAGS
	instead of NSS_LIBS and NSS_CFLAGS respectively.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_ENABLE_SUNEC): Use SUNEC_CFLAGS and SUNEC_LIBS
	for clarity as NSS_CFLAGS and NSS_LIBS are also set
	by the NSS detection.
	* configure.ac: Bump to pre02.
	* hotspot.map: Update to icedtea-2.6pre03 tag.
	* patches/boot/break-processbuilder-dependency.patch:
	Regenerated.

2014-04-18  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(ICEDTEA_ENV): Only add DISABLE_INTREE_EC if
	ENABLE_SUNEC is not set. Set SYSTEM_NSS in both
	cases and NSS_LIBS, NSS_CFLAGS and ECC_JUST_SUITE_B
	when ENABLE_SUNEC is set.
	* acinclude.m4:
	(IT_LOCATE_NSS): Fix wording to make it clear that
	this is the PKCS11 provider, using NSS as the
	implementation.
	(IT_ENABLE_SUNEC): Allow the Sun elliptic curve
	crypto provider to be enabled.
	* configure.ac:
	Replace IT_LOCATE_NSS with IT_ENABLE_SUNEC (which
	depends on the former).
	* fsg.sh:
	Only delete the SunEC implementation code at this
	level. This is the part that is legally dubious,
	due to the use of many more elliptic curves than
	those provided by the NSS version.
	* remove-intree-libraries.sh.in:
	Include the remaining SunEC deletion from fsg.sh
	here and make it optional.

2014-04-16  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS:
	Mention PR1737.

2014-04-16  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS:
	Add 2.4.7 release notes.

2014-04-14  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* AUTHORS: Add Radim Kolar.
	* acinclude.m4:
	(IT_FIND_TOOL): Cleanup error message.
	(IT_FIND_TOOLS): Likewise.

2014-03-20  Radim Kolar  <hsn@sanatana.filez.com>

	* Makefile.am:
	(extract-openjdk): Use $(SED) instead of 'sed'.
	(versioning): Likewise.
	(add-systemtap): Likewise.
	(add-systemtap-debug): Likewise.
	(add-systemtap-boot): Likewise.
	(rewrite-rhino): Likewise.
	(clean-add-jamvm): Likewise.
	(clean-add-jamvm-debug): Likewise.
	(clean-add-cacao): Likewise.
	(clean-add-cacao-debug): Likewise.
	(clean-add-zero): Likewise.
	(clean-add-zero-debug): Likewise.
	(jtreg_processes): Likewise.
	(rt): Likewise.
	* acinclude.m4:
	(IT_FIND_TOOLS): New macro to check for
	multiple tools.
	* configure.ac: Check for gmake, gfind, gpatch,
	gsha256sum and gsed (GNU tools on *BSD).

2014-04-03  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(BUILD_VERSION): Bump to b04.
	(CORBA_CHANGESET): Update to icedtea-2.6pre01 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Temporarily disable systemtap_gc
	patch which breaks build.
	* NEWS: Updated.
	* configure.ac: Bump to 2.6pre01.
	* hotspot.map: Bump to 2.6pre01 tag.
	* patches/boot/ecj-diamond.patch,
	* patches/boot/ecj-trywithresources.patch:
	Regenerated.

2014-04-02  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* configure.ac: Set to 2.6pre00.
	* NEWS: Add 2.6.0 section.

2014-04-02  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Add release notes for 2.3.14 & 2.4.6.

2014-03-28  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_FIND_COMPILER): Check value of ECJ_JAR
	and JAVAC here ...
	(IT_FIND_ECJ_JAR): ... rather than here where
	${JAVAC} may not yet be defined.
	* NEWS: Updated.

2014-03-28  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* acinclude.m4:
	(IT_ENABLE_ARM32JIT): Make help text match setting.

2012-08-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add -Werror patch
	from IcedTea7 HEAD.
	* patches/hotspot/aarch64/werror.patch:
	Allow COMPILER_WARNINGS_FATAL to turn off -Werror.

2014-03-27  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* hotspot.map:
	Update to latest aarch64 tree.

2014-03-27  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(EXTRA_DIST): Don't look for patches in
	boot/hotspot/*. Do look for patches in
	hotspot/*.

2014-03-26  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	Perform configure checks using ecj.jar
	if native ecj is enabled.
	* Makefile.am:
	(native-ecj): Link against gcj explicitly.
	* acinclude.m4:
	(IT_FIND_COMPILER): Run IT_WITH_GCJ
	and set JAVAC to an invocation of the ECJ_JAR
	if native ecj is used. Depend on IT_FIND_JAVA
	and IT_FIND_ECJ_JAR for this.
	(IT_FIND_ECJ_JAR): Define only once.
	(IT_WITH_GCJ): Likewise.
	(IT_DIAMOND_CHECK): Depend on IT_CHECK_JAVA_AND_JAVAC_WORK.
	* configure.ac: Remove invocation of IT_WITH_GCJ.

2014-03-24  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* contrib/jck/compile-native-code.sh:
	Fixed compilation failure on Aarch64.

2014-03-21  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* acinclude.m4:
	(IT_ENABLE_ARM32JIT): Turn JIT on by default.

2014-03-08  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* acinclude:
	(IT_CHECK_FOR_PCSC): Default to off.

2014-03-07  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* patches/systemtap_gc.patch: Moved to...
	* Makefile.am: Make systemtap_gc.patch HotSpot-dependent.
	* hotspot.map: Add aarch64 HotSpot.
	* patches/hotspot/aarch64/systemtap_gc.patch:
	New patch against AArch64 HotSpot tarball.
	* patches/hotspot/default/systemtap_gc.patch:
	... here.

2014-02-24  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Add Gentoo bug reference for
	PaX update.

2014-02-24  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1684: Build fails with empty PAX_COMMAND
	* Makefile.am:
	(ICEDTEA_ENV): Only add PAX_COMMAND when defined.
	* NEWS: Updated.

2014-02-21  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* acinclude.m4:
	(IT_WITH_PAX): Leave PAX_COMMAND with the empty
	string rather than "not specified" to avoid build
	failures.
	* pax-mark-vm.in: Update PAX_COMMAND check.

2014-02-20  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Mention PR1626.

2014-02-19  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* patches/boot/test_gamma.patch,
	* patches/pax-mark-rmic-java.patch,
	* patches/test_gamma.patch:
	Removed.
	* INSTALL:
	Document ARM32 JIT and --enable-arm32-jit option.
	* Makefile.am:
	(CORBA_CHANGESET): Update to icedtea-2.5pre02 tag.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Remove PaX patches.
	(ICEDTEA_BOOT_PATCHES): Remove test_gamma
	patch (fixed by detection of non-Oracle JDK
	addition from PPC port)
	(ARM32JIT_STATUS): Set based on ENABLE_ARM32JIT.
	(ICEDTEA_ENV): Pass ARM32JIT and PAX_COMMAND to
	OpenJDK build.
	* NEWS: Move backports and bug fixes common to
	all archs above PPC items. Updated with PaX and
	ARM changes.
	* acinclude.m4:
	(IT_ENABLE_ARM32JIT): Allow the ARM32 JIT to be
	enabled.
	* configure.ac: Bump to 2.5pre02. Run
	IT_ENABLE_ARM32JIT macro.
	* hotspot.map: Update to icedtea-2.5pre02 tag.

2014-02-19  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1677: Update PaX support to detect running PaX
	kernel and use newer tools
	* NEWS: Updated.
	* acinclude.m4:
	(IT_HAS_PAX): New macro to detect whether the running
	kernel uses PaX.
	(IT_WITH_PAX): Rewritten to search for PaX tools -
	currently paxmark.sh, paxctl-ng, chpax and paxctl -
	and fail if a tool isn't found and a PaX kernel is
	being used.

2014-02-05  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(JDK_CHANGESET): Sync to HEAD.
	(JDK_SHA256SUM): Likewise.
	(ICEDTEA_ENV): Use updated SYSTEM_* variables
	and always set them.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_CHECK_FOR_LCMS): Set ENABLE_SYSTEM_LCMS to true,
	not yes.
	(IT_CHECK_FOR_ZLIB): Likewise for ENABLE_SYSTEM_ZLIB.
	(IT_CHECK_FOR_JPEG): Likewise for ENABLE_SYSTEM_JPEG.
	(IT_CHECK_FOR_JPEG): Likewise for ENABLE_SYSTEM_JPEG.
	(IT_CHECK_FOR_PNG): Likewise for ENABLE_SYSTEM_PNG.
	(IT_CHECK_FOR_GIF): Likewise for ENABLE_SYSTEM_GIF.
	(IT_CHECK_FOR_KERBEROS): Likewise for ENABLE_SYSTEM_KERBEROS.
	(IT_CHECK_FOR_GTK): Likewise for ENABLE_SYSTEM_GTK.
	(IT_CHECK_FOR_GIO): Likewise for ENABLE_SYSTEM_GIO.
	(IT_CHECK_FOR_FONTCONFIG): Likewise for ENABLE_SYSTEM_FONTCONFIG.
	(IT_CHECK_FOR_SYSCALLS): Likewise for ENABLE_SYSCALL_COMPILATION.
	(IT_CHECK_FOR_PCSC): Likewise for ENABLE_SYSTEM_PCSC.
	(IT_ENABLE_JAR_COMPRESSION): Use standard capitalisation and
	set to true rather than yes. Call AC_SUBST on ENABLE_JAR_COMPRESSION.
	* hotspot.map: Sync to HEAD.

2014-01-31  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* patches/boot/jaxp-dependency.patch:
	Removed as provided by PPC port integration.
	* patches/ppc/8026703-xsl_include.patch:
	Removed following PPC port integration.
	* INSTALL: Updated.
	* Makefile.am,
	(CORBA_CHANGESET): Update to current HEAD.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Drop PPC-specific patch.
	(ICEDTEA_BOOT_PATCHES): Drop jaxp-dependency.patch
	(ICEDTEA_ENV): Add system libpcsc options.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_ENABLE_ZERO_BUILD): Use host_cpu and don't enable
	on ppc64 any more.
	(IT_CHECK_FOR_PCSC): System libpcsclite support macro.
	* configure.ac:
	Call IT_CHECK_FOR_PCSC.
	* hotspot.map: Remove ppc. Update default to tip.
	* patches/boot/ant-javac.patch,
	* patches/boot/jaxws-langtools-dependency.patch:
	Regenerated.
	* remove-intree-libraries.sh.in:
	Remove libpcsclite headers when building with system
	version.

2014-01-30  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Add 2.4.5 release notes.

2014-01-24  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	Update to u60b03 and additional IcedTea fixes
	PR1653, PR1654 and PR1655.
	* Makefile.am:
	(BUILD_VERSION): Bump to b03.
	(CORBA_CHANGESET): Update to current HEAD.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Updated with changes.
	* hotspot.map: Sync with forest HEAD.
	* patches/boot/ecj-multicatch.patch:
	Add new cases in RSAClientKeyExchange
	and Handshaker.
	* patches/systemtap_gc.patch: Regenerated.

2014-01-22  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Add 2.3.13 & 2.4.4 release notes.

2014-01-17  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* patches/boot/hotspot/default/jdk-dependency.patch:
	Moved to...
	* patches/boot/hotspot/zero/jdk-dependency.patch:
	Removed.
	* Makefile.am:
	(ICEDTEA_PATCHES): Add 8026703.  Fix path to
	jdk-dependency patch.
	* hotspot.map: Add ppc.
	* patches/boot/hotspot-jdk-dependency.patch:
	...here.
	* patches/ppc/8026703-xsl_include.patch:
	Needed for PPC HotSpot build to bootstrap.

2014-01-09  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* acinclude.m4:
	(IT_ENABLE_ZERO_BUILD): Require IT_ENABLE_SHARK
	so use_shark is set.
	(IT_ENABLE_SHARK): Rewrite of IT_SET_SHARK_BUILD
	to simplify & match style of similar macros.
	* configure.ac:
	Don't invoke IT_SET_SHARK_BUILD explicitly.

2013-12-26  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(BUILD_VERSION): Bump to b02.
	(CORBA_CHANGESET): Update to current HEAD.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Add changes brought in and fix
	formatting.
	* hotspot.map: Sync with forest HEAD.
	* patches/boot/break-processbuilder-dependency.patch:
	Regenerated.
	* patches/boot/ecj-diamond.patch:
	Regenerated.  Add new cases in com.sun.beans.util.Cache
	and java.lang.reflect.WeakCache. Drop ThreadGroupContext
	changes as no longer needed.
	* patches/boot/ecj-multicatch.patch:
	Add new case in java.nio.charset.Charset.
	* patches/boot/ecj-stringswitch.patch:
	Update MethodHandleNatives change to include getDeclaringClass
	and getInvocationHandler.

2013-12-20  Xerxes Rånby  <xerxes@zafena.se>
	    Robert Lougher  <rob@jamvm.org.uk>

	JamVM
	* NEWS: Updated.
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2013-11-18 revision.
	(JAMVM_SHA256SUM): Updated.

2013-12-12  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1617: Include defs.make in vm.make so
	zeroshark.make is included
	* Makefile.am:
	(JDK_CHANGESET): Set to current HEAD.
	(JDK_SHA256SUM): Likewise.
	* NEWS: Updated with changes brought in.
	* hotspot.map: Set to current HEAD.

2013-10-23  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Add 2.4.3 release notes.

2013-10-02  Yasumasa Suenaga  <yasu@ysfactory.dip.jp>

	* jstack.stp should be adapted CR#7172967

2013-09-23  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Add 2.4.2 release notes.

2013-05-28  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1410: Icedtea 2.3.9 fails to build using icedtea 1.12.4
	* Makefile.am:
	(STAGE1_BOOT_RUNTIME): New variable to store path
	to stage 1 rt.jar.
	(STAGE2_BOOT_RUNTIME): Likewise for stage 2.
	(bootstrap-directory-stage1): Use STAGE1_BOOT_RUNTIME.
	(rt): Only update STAGE1_BOOT_RUNTIME if it exists.
	(clean-rt): Mirror creation of STAGE1_BOOT_RUNTIME in
	bootstrap-directory-stage1.

2013-01-15  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add patch when building
	with PaX.
	* patches/pax-mark-rmic-java.patch:
	PaX mark output directory before running just-built
	rmic.

2013-06-28  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* acinclude.m4:
	(IT_WITH_HOTSPOT_BUILD): Define once.
	* configure.ac: Drop IT_ENABLE_ZERO_BUILD; called
	by IT_WITH_HOTSPOT_BUILD.

2013-09-11  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* acinclude.m4:
	(IT_CHECK_FOR_LCMS): Make error message mention
	version.

2013-09-10  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(BUILD_VERSION): Renamed from OPENJDK_VERSION.
	(COMBINED_VERSION): Use BUILD_VERSION.
	(ICEDTEA_ENV): Likewise.
	(dist-openjdk): Should really use COMBINED_VERSION.
	(dist-openjdk-fsg): Likewise.
	(dist-openjdk-fsg-tz): Additional target which
	makes an xz tarball instead of a zip (for Jiri ;)

2013-09-09  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_SET_ARCH_SETTINGS): Add -D_LITTLE_ENDIAN to arm
	and support arm64|aarch64.
	(IT_ENABLE_ZERO_BUILD): Explicitly set ZERO_BITSPERWORD
	for aarch64, alpha, arm, ia64 && sh.  Replace sparc64 with
	sparcv9 which is what INSTALL_ARCH_DIR is set to.

2013-08-30  Andrew John Hughes  <gnu.andrew@redhat.com>

	* INSTALL: Update with --enable-system-kerberos
	option.
	* Makefile.am:
	(ICEDTEA_ENV): Set SYSTEM_KRB5, KRB5_LIBS
	and KRB5_CFLAGS.
	* acinclude.m4:
	(IT_CHECK_FOR_KERBEROS): Add --enable-system-kerberos
	option (on by default) which checks for libkrb5 and
	the krb5.h header.
	* configure.ac: Invoke IT_CHECK_FOR_KERBEROS.

2013-07-24  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* acinclude.m4:
	(IT_CHECK_FOR_LCMS): Turn system LCMS on by
	default if the version is 2.5 or above with the
	latest security fixes.

2013-09-19  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(OPENJDK_VERSION): Set to b00.
	(JDK_UPDATE_VERSION): Set to 60.
	(CORBA_CHANGESET): Update to current HEAD.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* hotspot.map: Update to HEAD.
	* patches/boot/ecj-diamond.patch:
	Regenerated.
	* patches/boot/ecj-trywithresources.patch:
	Add case in java.nio.file.Files.

2013-09-17  Xerxes Rånby  <xerxes@zafena.se>
	    Robert Lougher  <rob@jamvm.org.uk>

	JamVM
	- JSR 335: fix frame.c
	- Add support for CallerSensitive
	- JSR 335: handle interfaces when resolving a method
	- sun.misc.Unsafe: additional methods get/putAddress
	- JSR 292: make internal functions static
	* NEWS: Updated. Removed note about JSR 355 for IcedTea 2.
	  JSR 335 is only enabled for IcedTea 3 / OpenJDK 8 builds.
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2013-08-28 revision.
	(JAMVM_SHA256SUM): Updated.

2013-08-30  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* acinclude.m4:
	(IT_USE_BOOTSTRAP_TOOLS): Fix default following
	change to IT_BYTECODE7_CHECK.

2013-08-30  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* acinclude.m4:
	(IT_BYTECODE7_CHECK): Remove inverse logic to
	make things clearer.

2013-08-14  Xerxes Rånby  <xerxes@zafena.se>
	    Robert Lougher  <rob@jamvm.org.uk>

	JamVM
	- JSR 292: enable for OpenJDK 7/IcedTea 2
	- JSR 335: invokeinterface check in method resolution
	- JSR 335: java.lang.invoke.MagicLambdaImpl
	- JSR 292: invokedynamic is 5 bytes - non-direct interp
	- JSR 292: invokedynamic is 5 bytes in length
	- Minor formatting change
	- Minor fixes: use perror for mmap failure
	- FreeClassData: fix comment
	- FreeClassData: adjust method count for Miranda methods
	- JSR 335: remove GC hack
	- JSR 335: implement "bridge" methods for Mirandas
	- JSR 335: handle multiple defaults and conflicts
	* NEWS: Updated.
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2013-07-14 revision.
	(JAMVM_SHA256SUM): Updated.

2013-07-12  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* patches/boot/ecj-diamond.patch:
	Regenerate.  Add new cases in
	com.sun.org.apache.xml.internal.serializer.Encodings,
	sun.nio.ch.EPollArrayWrapper and
	sun.nio.ch.EPollSelectorImpl.
	Remove case in sun.util.logging.PlatformLogger.
	* patches/boot/ecj-multicatch.patch:
	Add new case in
	com.sun.org.apache.xml.internal.serializer.Encodings.

2013-07-12  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(OPENJDK_VERSION): Bump to b31.
	(CORBA_CHANGESET): Update to current HEAD.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* hotspot.map: Update default to current HEAD.

2013-07-01  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* patches/boot/ecj-diamond.patch,
	* patches/boot/ecj-multicatch.patch:
	Add new cases.
	* patches/boot/ecj-stringswitch.patch:
	Update MethodHandleNatives patch, including
	adding new case.
	* patches/boot/tobin.patch:
	Update following move from sun.awt.X11
	to sun.awt.
	* patches/rhino.patch,
	* patches/systemtap_gc.patch:
	Regenerated.

2013-06-11  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Add release notes for 2.1.9, 2.2.9,
	2.3.10 and 2.4.1

2013-06-11  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Update 2.4.0 following release
	annoucement, including setting release
	date.

2013-04-21  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(ICEDTEA_NAME): Make same across all versions.

2013-06-09  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(EXTRA_DIST): Remove non-existent JamVM patch
	directory.

2013-06-09  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(GENERATED_FILES): Remove non-existent jconsole
	directory.

2013-06-09  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Add Debian bug ID for PR1435.

2013-06-07  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* configure.ac: Set to 2.5pre.
	* NEWS: Add 2.5.0 section.

2013-06-07  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1276: Synchronise CACAO rules between IcedTea6/7/8
	where possible
	* NEWS: Updated.

2011-02-23  Andrew John Hughes  <ahughes@redhat.com>

	* acinclude.m4:
	(IT_WITH_CACAO_SRC_DIR): Renamed from
	IT_CHECK_WITH_CACAO_SRC_DIR.
	* configure.ac: Synchronise naming.

2011-02-21  Andrew John Hughes  <ahughes@redhat.com>

	Ensure all our macros have an IT_ prefix.
	* acinclude.m4:
	(IT_CHECK_WITH_CACAO_SRC_DIR): Renamed from
	AC_CHECK_WITH_CACAO_SRC_DIR.
	* configure.ac: Synchronise naming.

2010-01-16 Andrew John Hughes  <ahughes@redhat.com>

	* acinclude.m4:
	(AC_CHECK_WITH_CACAO_SRC_DIR): Quote checking
	output.

2009-10-01  Robert Schuster  <robertschuster@fsfe.org>

	* configure.ac: Added --with-cacao-src-dir option.
	* acinclude: New macro AC_CHECK_WITH_CACAO_SRC_DIR.
	* Makefile.am: Copy Cacao sources when USE_ALT_CACAO_SRC_DIR is used.

2013-06-06  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	S7191872: Xrender: No text displayed using
	64 bit JDK on solaris11-sparc
	S8014469: (tz) Support tzdata2013c
	S8014618, RH962568: Need to strip leading zeros
	in TlsPremasterSecret of DHKeyAgreement
	PR1435: OpenJDK 7 returns incorrect TrueType
	font metrics
	PR728: GTKLookAndFeel does not honor
	gtk-alternative-button-order
	* Makefile.am,
	(CORBA_CHANGESET): Update to IcedTea7 forest head.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* NEWS: Mention S7191872, S8014469, S8014618/RH962568,
	PR1435 and PR728.
	* hotspot.map: Update to IcedTea7 forest head.

2013-06-06  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* ChangeLog: Update my Red Hat e-mail address.

2013-06-06  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* AUTHORS: Include entries from THANKYOU.
	* THANKYOU: Removed.

2013-06-06  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* INSTALL:
	Synchronise list of VMs with macro in acinclude.m4.
	* acinclude.m4: Provide separate output for user
	specified JDKs and the checking process.  Extend
	the list of JVMs to include more from Fedora &
	RHEL and the newer Gentoo variants.
	* NEWS: Updated.

2013-03-21  Michal Vyskocil  <mvyskocil@suse.cz>

	PR1360: Check for /usr/lib64 JVMs and generic JPackage alternative
	* INSTALL: Add /etc/alternatives/java_sdk_openjdk.
	* acinclude.m4: Likewise.

2013-06-06  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* AUTHORS: Updated with Michal.

2013-03-21  Michal Vyskocil  <mvyskocil@suse.cz>

	PR1358: Make XRender mandatory.
	* configure.ac:
	Remove check on ENABLE_XRENDER variable
	which is no longer set.

2013-06-06  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(.PHONY): Add clean-cryptocheck.
	(clean-local): Likewise.

2013-06-05  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(check-crypto): Depend on icedtea.stamp.
	(add-archive): Move into correct position in file.
	(clean-add-archive): Likewise.
	(check-crypto-debug): Depend on icedtea-debug.stamp.
	(clean-crypto-boot): Depend on icedtea-boot.stamp.

2013-06-05  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1280: Updating/Installing OpenJDK should recreate the
	shared class-data archive
	* Makefile.am:
	(.PHONY): Add clean-add-archive, clean-add-archive-debug
	and clean-add-archive-boot.

2013-02-08  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR1301: PR1171 causes Zero builds to fail
	* Makefile.am:
	(add-archive): Don't run -Xshare:dump if building
	Zero.
	(add-archive-debug): Likewise.
	(add-archive-boot): Likewise.

2013-01-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(clean-add-archive): Delete the archive.
	(clean-add-archive-debug): Likewise for debug.
	(clean-add-archive-boot): Likewise for bootstrap.

2012-11-28  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(add-archive): Only run -Xshare:dump when java
	exists and we aren't building CACAO or JamVM.
	(add-archive-debug): Likewise.
	(add-archive-boot): Likewise.

2012-11-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	RH513605: Updating/Installing OpenJDK should recreate
	the shared class-data archive
	* Makefile.am:
	(add-archive): Run -Xshare:dump on the newly built JDK.
	(clean-add-archive): Delete stamp.
	(add-archive-debug): Same as add-archive for icedtea-debug.
	(clean-add-archive-debug): Same as clean-add-archive for icedtea-debug.
	(icedtea-stage2): Depend on add-archive.
	(clean-icedtea-stage2): Depend on clean-add-archive.
	(icedtea-debug-stage2): Depend on add-archive-debug.
	(clean-icedtea-debug-stage2): Depend on clean-add-archive-debug.
	(add-archive-boot): Same as add-archive for icedtea-boot.
	(clean-add-archive-boot): Same as clean-add-archive for icedtea-boot.
	(icedtea-stage1): Depend on add-archive-boot.
	(clean-icedtea-stage1): Depend on clean-add-archive-boot.
	* NEWS: Mention.

2013-06-05  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1170: Ensure unlimited crypto policy is in place.
	* Makefile.am:
	(CRYPTO_CHECK_BUILD_DIR): New variable.
	(EXTRA_DIST): Add TestCryptoLevel.java
	(.PHONY): Add new clean targets.
	(check-crypto): Run the crypto checker on a normal
	stage 2 build.
	(clean-check-crypto): Delete the check-crypto stamp.
	(check-crypto-debug): Run the crypto checker on a
	debug stage 2 build.
	(clean-check-crypto-debug): Delete the
	check-crypto-debug stamp.
	(icedtea-stage2): Depend on check-crypto.
	(clean-icedtea-stage2): Depend on clean-check-crypto.
	(icedtea-debug-stage2): Depend on check-crypto-debug.
	(clean-icedtea-debug-stage2): Depend on
	clean-check-crypto-debug.
	(check-crypto-boot): Run the crypto checker on
	the stage 1 build.
	(clean-check-crypto-boot): Delete the
	check-crypto-boot stamp.
	(icedtea-stage1): Depend on check-crypto-boot.
	(clean-icedtea-stage1): Depend on
	clean-check-crypto-boot.
	(cryptocheck): Build the crypto checker.
	(clean-cryptocheck): Revert cryptocheck.
	* NEWS: Updated.
	* TestCryptoLevel.java:
	Checks whether the unlimited crypto policy is in
	place or not.

2013-05-23  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Update with fixes brought in by latest
	forest updates.

2013-05-22  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Remove CACAO changes which only appear
	on the loop branch.

2013-05-22  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* NEWS: Add latest release notes.

2013-05-16  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* javac.in: Fix accidental inclusion of
	hardcoded path.

2013-05-15  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR716: IcedTea7 should bootstrap with IcedTea6
	* NEWS: Updated.
	* Makefile.am:
	(JDK_CHANGESET): Bring in CertificateRevokedException
	ambiguity fix.
	(JDK_SHA256SUM): Likewise.
	(ICEDTEA_BOOT_PATCHES): Rename ecj-fphexconstants
	to fphexconstants.  Make xbootclasspath and the new
	bootstrap-tools split-off patch conditional.
	* INSTALL: Document --disable-bootstrap-tools.
	* acinclude.m4:
	(IT_BYTECODE7_CHECK): Use AC_DEFUN_ONCE.
	(IT_USE_BOOTSTRAP_TOOLS): Add --disable-bootstrap-tools
	to decide whether to use the boot javac/javah or the
	one built as part of langtools.  Defaults to on for
	bootstrap tools that support Java 1.7.
	(IT_CHECK_FOR_XBOOTCLASSPATH): Check whether java
	can be passed -Xbootclasspath/p to prepend a path
	to the bootclasspath or not.
	* configure.ac: Invoke the new macros.
	* javac.in: Handle -Xbootclasspath/p by prepending
	its value to the bootclasspath option used to ecj.
	* patches/boot/bootstrap-tools.patch:
	Split from xbootclasspath.patch.  Uses the bootstrap
	javac and javah rather than the langtools one for
	CORBA and JDK.
	* patches/boot/corba-dependencies.patch:
	Include the langtools source directory on the sourcepath.
	* patches/boot/fphexconstants.patch:
	Replace additional cases in java.lang.Math (needed
	when using javac via gcj).
	* patches/boot/icedteart.patch:
	Split from xbootclasspath.patch; the parts that
	extend the classpath.  The java.text Makefile changes
	are changed to use -Xbootclasspath/a rather than a
	complete rewrite.
	* patches/boot/jaxws-jdk-dependency.patch:
	Include the generated sources on the sourcepath.
	* patches/boot/xbootclasspath.patch:
	Revised version of the java.text Makefile changes
	that replaces the use of -Xbootclasspath for those
	VMs that don't support it.

2013-05-07  Xerxes Rånby  <xerxes@zafena.se>

	JamVM
	- JSR 335: (lambda expressions) initial hack
	- JEP 171: Implement fence methods in sun.misc.Unsafe
	- Fix invokesuper check in invokespecial opcode
	- Fix non-direct interpreter invokespecial super-class check
	- When GC'ing a native method don't try to free code
	- Do not free unprepared Miranda method code data
	- Set anonymous class protection domain
	- JVM_IsVMGeneratedMethodIx stub
	- Dummy implementation of sun.misc.Perf natives
	* NEWS: Updated.
	* patches/jamvm/remove-sun.misc.Perf-debug-code.patch: Removed.
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2013-05-06 revision.
	(JAMVM_SHA256SUM): Updated.
	(ICEDTEA_PATCHES): Drop unneeded sun.misc.Perf patch. 

2013-04-17  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* patches/boot/ecj-diamond.patch:
	Regenerate due to security patches.

2013-04-24  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1278: Synchronise CACAO versions between IcedTea6/7/8
	where possible
	* patches/cacao/jsig.patch:
	Removed.
	* Makefile.am:
	(CACAO_VERSION): Bump to current tip.
	(CACAO_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Drop unneeded jsig patch.
	* NEWS: Updated.

2013-04-24  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am,
	(OPENJDK_VERSION): Bump to b20.
	(JDK_UPDATE_VERSION): Bump to 40.
	(CORBA_CHANGESET): Update to IcedTea7 forest head.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* hotspot.map: Update to IcedTea7 forest head.
	* patches/systemtap_gc.patch: Regenerated.

2013-04-18  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1404: Failure to bootstrap with ecj 4.2
	* Makefile.am:
	(ICEDTEA_BOOTSTRAP_CLASSES): Add SSLContext,
	SSLEngine and SslRMIServerSocketFactory if
	methods are missing.
	(IT_LANGUAGE_SOURCE_VERSION): Set to 7 if supported.
	(IT_CLASS_TARGET_VERSION): Likewise.
	* configure.ac: Mention bugs in comments.
	Add tests for getDefaultSSLParameters/setSSLParameters
	and new 7 SslRMIServerSocketFactory.

2013-01-11  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_CHECK_FOR_CLASS): Write class toString() output
	to System.err rather than throwing it away.  It then
	appears in config.log and may be useful in debugging.
	(IT_CHECK_FOR_METHOD): Fix documentation and add
	System.err output as for IT_CHECK_FOR_CLASS.
	(IT_CHECK_FOR_CONSTRUCTOR): New macro to test for
	the presence of a specific constructor.  Works
	with both private & protected constructors by
	using a subclass for the compile test.

2013-04-04  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* patches/zero_libffi.patch:
	Removed; upstreamed to IcedTea.
	* Makefile.am:
	(OPENJDK_VERSION): Bump to b17.
	(JDK_UPDATE_VERSION): Bump to 20.
	(CORBA_CHANGESET): Update to IcedTea7 forest head.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Set empty again.
	* hotspot.map: Update to IcedTea7 forest head.
	* patches/boot/ecj-diamond.patch:
	Regenerate, add new cases in JarFileFactory.java,
	java.util.logging.Level, java.util.logging.LogManager
	and JdpPacketReader.
	* patches/boot/ecj-multicatch.patch:
	Regenerate, add new case in java.lang.reflect.Proxy.
	* patches/boot/ecj-stringswitch.patch,
	* patches/boot/ecj-trywithresources.patch:
	Regenerated.
	* patches/boot/xsltproc.patch:
	Undo removal of XSLT setting as not needed (command
	line overrides anyway).  Patch new trace.make as
	well.
	* patches/systemtap_gc.patch: Regenerated.

2013-03-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(JDK_CHANGESET): Bring in giflib 5 support.
	(JDK_SHA256SUM): Likewise.

2013-03-12  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Add release notes for 2.3.8, 2.1.7 &
	2.2.7.

2013-03-11  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	PR1340: Simplify the rewriter, avoiding concurrency.
	* rewriter/com/redhat/rewriter/ClassRewriter.java:
	Always use the single threaded executor.

2013-02-21  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Add release notes for 2.3.7, 2.1.6 &
	2.2.6.

2013-02-05  Andrew John Hughes  <gnu.andrew@member.fsf.org>

	* Makefile.am:
	(extract-jamvm): Depend on download-jamvm.

2013-02-14  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Add release notes for 2.3.6, 2.1.5 &
	2.2.5.

2013-01-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* acinclude.m4:
	(IT_ENABLE_ZERO_BUILD): Depend on
	IT_ENABLE_CACAO and IT_ENABLE_JAMVM so that
	ENABLE_CACAO and ENABLE_JAMVM are set.  This
	makes the tests work correctly again and means
	that Zero is turned on automatically where there
	is no CACAO or JamVM and the architecture is not
	supported by a HotSpot JIT.

2013-01-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* patches/hotspot/zero/6924259-string_offset.patch:
	Remove patch missed in last but one change.
	* Makefile.am:
	(OPENJDK_VERSION): Bump to b09.
	(CORBA_CHANGESET): Update to IcedTea7 forest head.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(JAXWS): Fix paths, including both JAXWS and JAF.
	(JAXWS_COND): Removed.
	(OPENJDK_SOURCEPATH_DIRS): Add JAXWS source tree,
	required by new implementaton of java.lang.invoke
	that relies on the copy of ASM in the JAXWS tree.
	* hotspot.map: Update to IcedTea7 forest head.
	* patches/boot/ecj-diamond.patch,
	* patches/boot/ecj-multicatch.patch,
	* patches/boot/ecj-stringswitch.patch,
	* patches/boot/ecj-trywithresources.patch:
	Updated due to changes from the security patches
	and warning fixes in rmic.

2013-01-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Add 2.1.4, 2.2.4 and 2.3.4 release
	notes.

2013-01-14  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* patches/hotspot/zero/7089790-bsd_port.patch,
	* patches/hotspot/zero/7098194-macosx_port.patch,
	* patches/hotspot/zero/7116189-setnativethreadname.patch,
	* patches/hotspot/zero/7175133-string_offset.patch,
	* patches/hotspot/zero/revert_arm_debug.patch:
	Remove patches for HotSpot from 2.1.
	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch to fix inclusion of
	libffi in Zero build.  Remove ALT_HSBUILD patches.
	* acinclude.m4:
	(IT_WITH_HOTSPOT_BUILD): Use the default HotSpot in
	all cases again.
	* hotspot.map: Remove zero.  Update default to bring
	in Zero build fix.
	* patches/zero_libffi.patch: Patch to fix use
	of LIBFFI_CFLAGS and LIBFFI_LIBS in the HotSpot build.

2013-01-14  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS:
	Update with upstream OpenJDK changesets and other
	bug fixes added since the last release (2.3.3).

2013-01-14  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(add-tzdata-support): Only copy tz.properties if
	destination exists.  Do it verbosely.
	(clean-add-tzdata-support): Only remove tz.properties
	if present and do so verbosely.
	(add-tzdata-support-debug): Same as add-tzdata-support
	but for debug.
	(clean-add-tzdata-support-debug): Same as
	clean-add-tzdata-support but for debug.
	(add-tzdata-support-boot): Same as add-tzdata-support
	but for bootstrap.
	(clean-add-tzdata-support-boot): Same as
	clean-add-tzdata-support but for bootstrap.

2013-01-14  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* fsg.sh:
	Remove source code for the EC provider which
	isn't built.  Make the removals verbose so
	they appear in logs as with
	remove-intree-libraries.sh.

2013-01-04  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* patches/boot/use_target_6_for_bootstrap_classes.patch:
	Fixed build failure caused by changes in one Makefile altered by this
	patch (make/sun/rmi/rmi/Makefile).

2013-01-03  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* patches/nss-not-enabled-config.patch:
	Removed; included upstream.
	* Makefile.am:
	(OPENJDK_VERSION): Bump to b06.
	(CORBA_CHANGESET): Update to IcedTea7 forest head.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(OPENJDK_TREE): Also depend on add-nss.
	(ICEDTEA_PATCHES): Drop nss-not-enabled-config.patch
	(clean-local): Remove clean-add-nss-debug.
	(.PHONY): Remove clean-add-nss-debug and clean-add-nss-boot.
	(add-nss): Copy nss.cfg into source tree rather than build tree.
	(clean-add-nss): Matching change to cleanup rule.
	(add-nss-debug): No longer needed.
	(clean-add-nss-debug): Likewise.
	(icedtea-stage2): Remove dependence on add-nss.
	(icedtea-debug-stage2): Likewise for add-nss-debug.
	(add-nss-boot): No longer needed.
	(clean-add-nss-boot): Likewise.
	(clean-icedtea-stage1): Remove clean-add-nss-boot.
	* hotspot.map:
	Update default to latest HotSpot in IcedTea7 forest.
	* patches/nss-config.patch:
	Update due to changes upstream & addition of
	not enabled configuration to unpatched forest.

2010-09-24  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(.PHONY): Add new clean targets.  Fix name.
	(add-systemtap-boot): Add SystemTap support to the boot build.
	(clean-add-systemtap-boot): Remove SystemTap support from the boot build.
	(add-pulseaudio-boot): New target to add PulseAudio support to the boot build.
	(clean-add-pulseaudio-boot): Remove PulseAudio support from the boot build.
	(add-nss-boot): New target to add NSS support to the boot build.
	(clean-add-nss-boot): Remove NSS support from the boot build.
	(add-tzdata-support-boot): New target to add alternate timezone data support to the boot build.
	(clean-add-tzdata-support-boot): Remove alternate timezone data support from the boot build.
	(icedtea-stage1): Add new add-x-boot targets.
	(clean-icedtea-stage1): Add new clean-add-x-boot targets.

2010-09-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(.PHONY): Add clean-add-nss, clean-add-nss-debug,
	clean-add-tzdata-support and clean-add-tzdata-support-debug.
	(clean-local): Likewise.
	(icedtea): Remove NSS and tzdata support.
	(add-nss): New target to add NSS support to the build.
	(clean-add-nss): Remove NSS support from the build.
	(add-tzdata-support): New target to add alternate timezone data support to the build.
	(clean-add-tzdata-support): Remove alternate timezone data support from the build.
	(icedtea-debug): Remove NSS and tzdata support.
	(add-nss-debug): Likewise for debug.
	(clean-add-nss-debug): Likewise for debug.
	(add-tzdata-support-debug): Likewise for debug.
	(clean-add-tzdata-support-debug): Likewise for debug.
	(icedtea-stage2): Depend on add-nss and add-tzdata-support.
	(icedtea-debug-stage2): Depend on add-nss-debug and add-tzdata-support-debug.

2010-09-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(.PHONY): Add clean-add-pulseaudio and
	clean-add-pulseaudio-debug.
	(clean-local): Likewise.
	(icedtea): Remove pulse-java support and dependency.
	(add-pulseaudio): New target to add PulseAudio support to the build.
	(clean-add-pulseaudio): Remove PulseAudio support from the build.
	(icedtea-debug): Remove pulse-java support and dependency.
	(add-pulseaudio-debug): Likewise for debug.
	(clean-add-pulseaudio-debug): Likewise for debug.
	(icedtea-stage2): Depend on add-pulseaudio.
	(icedtea-debug-stage2): Depend on add-pulseaudio-debug.

2010-09-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	Move SystemTap support to a separate target.
	* Makefile.am:
	(.PHONY): Add clean-add-systemtap and
	clean-add-systemtap-debug.
	(clean-local): Likewise.
	(icedtea): Remove systemtap support.
	(icedtea-debug): Likewise.
	(icedtea-stage2): Depend on add-systemtap.
	(icedtea-debug-stage2): Depend on add-systemtap-debug.
	(add-systemtap): New target to add SystemTap support to the build.
	(add-systemtap-debug): Likewise for debug.
	(clean-add-systemtap): Remove SystemTap support from the build.
	(clean-add-systemtap-debug): Likewise for debug.

2012-12-04  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* patches/boot/ecj-opts.patch:
	Remove unused patch.
	* Makefile.am:
	(OPENJDK_VERSION): Set to b03.
	(JDK_UPDATE_VERSION): Set to u12.
	(CORBA_CHANGESET): Update to IcedTea7 forest head.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_BOOT_PATCHES): Add new patch.
	* hotspot.map:
	Update to latest HotSpot in IcedTea7 forest.
	* patches/boot/ecj-autoboxing.patch,
	* patches/boot/ecj-diamond.patch,
	* patches/boot/ecj-multicatch.patch,
	* patches/boot/ecj-stringswitch.patch,
	* patches/boot/ecj-trywithresources.patch:
	Updated to handle latest updates, mainly
	in java.lang.invoke but also in sun.print.
	* patches/boot/ecj-odd.patch:
	New patch due to Throwable being thrown without
	a throws clause; odd that this passes with javac.
	* patches/systemtap_gc.patch: Regenerated.

2012-11-29  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Updated.

2012-11-29  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR1197
	* Makefile.am:
	(JDK_CHANGESET): Updated to tip.
	(JDK_SHA256SUM): Likewise.
	* NEWS: Updated.

2012-11-29  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR1212
	* generated/sun/tools/jconsole/Version.java,
	Removed to avoid build breakage.
	* NEWS: Updated.

2012-11-07  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR1206, PR1209, PR473:
	* patches/systemtap.patch: Removed.
	* INSTALL: Update SystemTap documentation.
	* Makefile.am:
	(JDK_CHANGESET): Updated to tip.
	(JDK_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Remove systemtap.patch
	(ICEDTEA_ENV): Set UNLIMITED_CRYPTO.
	* README: Update SystemTap documentation.
	* configure.ac:
	Remove --enable-systemtap option.  Only
	issue a warning and not set
	ENABLE_SYSTEMTAP if sdt.h is not found
	or is outdated.
	* hotspot.map: Update default HotSpot to tip.
	* nss.cfg.in: Set handleStartupErrors
	to ignoreMultipleInitialisation so that our
	PKCS11 provider configuration is silently
	dropped if the user has already configured it.

2012-10-24  Lukas Berk  <lberk@redhat.com>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add patches/systemtap_gc.patch.
	(EXTRA_DIST): Add tapset/hotspot_gc.stp.in.
	(stamps/icedtea.stamp): Build tapset/hotspot_gc.stp.
	(stamps/icedtea-debug.stamp): Likewise.
	* configure.ac: Generate tapset/hotspot_gc.stp.
	* patches/systemtap_gc.patch:
	Add Garbage Collection dtrace/systemtap probes to hotspot.
	* tapset/hotspot_gc.stp.in:
	Systemtap tapset allowing use of GC probes more comfortablely.

2012-10-25  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(OPENJDK_VERSION): Bump to b09.
	(CORBA_CHANGESET): Update to IcedTea7 forest head.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_ENV): Use SYSTEM_ZLIB rather than USE_SYSTEM_ZLIB.
	* hotspot.map: Update default to head of IcedTea7
	forest HotSpot.

2012-10-24  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Add 2.1.3, 2.2.3 and 2.3.3
	releases.
	* hotspot.map: Update Zero to latest HotSpot
	from the 2.1 branch.

2012-09-25  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(OPENJDK_VERSION): Bump to b08.
	(CORBA_CHANGESET): Update to IcedTea7 forest head.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* hotspot.map: Update default to head of IcedTea7
	forest HotSpot.
	* patches/boot/ecj-diamond.patch:
	Regenerated.  Added new cases in javax.crypto.CryptoPermissions,
	javax.crypto.JceSecurityManager and java.beans.Introspector.
	* patches/boot/ecj-multicatch.patch:
	Added new case in sun.tools.jconsole.Resources.
	* patches/boot/ecj-stringswitch.patch:
	Regenerated.

2012-09-25  Xerxes Rånby  <xerxes@zafena.se>

	JamVM
	PR1155: Do not put version number in libjvm.so SONAME
	* NEWS: Updated.
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2012-09-25 revision.
	(JAMVM_SHA256SUM): Updated.

2012-09-19  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* hotspot.map:
	Update zero to head of IcedTea7 2.1 HotSpot tree.

2012-09-19  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am,
	(OPENJDK_VERSION): Bump to b07.
	(JDK_UPDATE_VERSION): Bump to u10.
	(CORBA_CHANGESET): Update to IcedTea7 forest head.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* hotspot.map: Update default to head of IcedTea7
	forest HotSpot.
	* patches/boot/ecj-diamond.patch:
	Add additional cases in sun.launcher.LauncherHelper.
	* patches/boot/ecj-trywithresources.patch:
	Add new case in sun.launcher.LauncherHelper.

2012-09-03  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Add new releases: 2.1.2, 2.2.2,
	2.3.0, 2.3.1 & 2.3.2.

2012-09-02  Matthias Klose  <doko@ubuntu.com>

	* configure.ac: Remove the Xp header and library checks.

2012-08-24  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* generated/com/sun/corba/se/impl/logging/LogStrings.properties,
	* generated/com/sun/corba/se/impl/logging/ORBUtilSystemException.java,
	* generated/com/sun/corba/se/impl/logging/ORBUtilSystemException.resource:
	Use newly generated versions from builds of
	the 2.3 forest.

2012-08-29  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(EXTRA_DIST): Add HotSpot-specific patches.

2012-08-29  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* patches/boot/jaxws-getdtdtype.patch,
	* patches/boot/pr40188.patch:
	Regenerate conditional patches.

2012-08-29  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* patches/7192804-jvisualvm.patch,
	* patches/no_diz_files.patch,
	* patches/werror-hotspot.patch,
	* patches/werror-jdk.patch,
	* patches/werror-langtools.patch:
	Dropped; in IcedTea7 HEAD.
	* Makefile.am:
	(OPENJDK_VERSION): Bump to b04.
	(JDK_UPDATE_VERSION): Bump to u8.
	(CORBA_CHANGESET): Update to IcedTea7 forest head.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Set to empty again.
	* NEWS: Add 2.4 section.
	* configure.ac: Set to 2.4pre.
	* hotspot.map: Update default to head of IcedTea7
	forest HotSpot.
	* patches/boot/ecj-diamond.patch:
	Update due to com.sun.beans.TypeResolver changes.

2012-08-23  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR1138: jvisualvm.1 should not be installed in OpenJDK builds
	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch from
	IcedTea7 HEAD.
	* NEWS: Updated.
	* patches/7192804-jvisualvm.patch:
	Don't install jvisualvm.1.

2012-08-22  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR1140: Unnecessary diz files should not be installed
	* Makefile.am:
	(ICEDTEA_PATCHES): Add new patch from
	IcedTea7 HEAD.
	* NEWS: Updated.
	* patches/no_diz_files.patch: Backported
	from IcedTea7 HEAD.  Make sure jdk doesn't
	create diz files when building with no_strip.

2012-08-22  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* INSTALL: Update with new options.
	Remove dead --with-netbeans.  Move some
	to appropriate section.
	* acinclude.m4:
	(IT_ENABLE_JAR_COMPRESSION): Set help text
	to --disable-jar-compression as default is to
	enable it.

2012-08-22  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR1137: Allow JARs to be optionally compressed by
	setting COMPRESS_JARS
	* Makefile.am:
	(ICEDTEA_ENV): Add COMPRESS_JARS="true" if
	ENABLE_JAR_COMPRESSION is set.
	* NEWS: Updated.
	* acinclude.m4: Add IT_ENABLE_JAR_COMPRESSION macro.
	* configure.ac: Include new macro.

2012-08-22  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR1095: Add configure option for -Werror
	* Makefile.am:
	(ICEDTEA_PATCHES): Add -Werror patches
	from IcedTea7 HEAD.  Drop ecj-opts patch
	as replaced by change to javac.in.
	(WERROR_STATUS): Set to true or false
	depending on if ENABLE_WERROR is set or not.
	(ICEDTEA_ENV): Use WERROR_STATUS to set
	JAVAC_WARNINGS_FATAL & COMPILER_WARNINGS_FATAL.
	* acinclude.m4:
	(IT_ENABLE_WERROR): New macro to enable -Werror.
	This is disabled by default.
	* configure.ac: Call IT_ENABLE_WERROR.
	* javac.in: Handle stripping of arguments which
	take parameters, specifically -Xmaxwarns.
	* patches/werror-hotspot.patch:
	Allow COMPILER_WARNINGS_FATAL to turn off -Werror.
	* patches/werror-jdk.patch:
	Remove cases where -Werror is forced on, allowing
	JAVAC_WARNINGS_FATAL and COMPILER_WARNINGS_FATAL
	to work correctly throughout.
	* patches/werror-langtools.patch:
	Allow JAVAC_WARNINGS_FATAL=false to turn off -Werror.
	* NEWS: Updated.

2012-08-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(ICEDTEA_BOOTSTRAP_CLASSES): Only add
	BasicDirectoryModel if addPropertyListener
	is missing.  Dispense with LACKS_SUN_AWT_TOOLKIT
	conditional.
	(rt-source-files.txt): Remove dead ICEDTEA_BOOTSTRAP_DIRS
	which has not been set for some time.
	(rt-class-files.stamp): Replace LACKS_SUN_AWT_TOOLKIT
	conditional with test of contents of ICEDTEA_BOOTSTRAP_CLASSES.
	Note; need to use grep as field contains whitespace.
	(rt.stamp): Likewise.
	* configure.ac:
	Add call to IT_CHECK_FOR_METHOD to look for
	javax.swing.plaf.basic.BasicDirectoryModel.addPropertyChangeListener.
	Improve readability using line breaks.
	* NEWS: Updated.

2012-08-15  Xerxes Rånby  <xerxes@zafena.se>
	    Robert Lougher  <rob@jamvm.org.uk>

	JamVM
	- Make JamVM work with latest OpenJDK 7
	- ARMv6 armhf: Changes for Raspbian (Raspberry Pi)
	- PPC: Don't use lwsync if it isn't supported
	- X86: Generate machine-dependent stubs for i386
	- When suspending, ignore detached threads that have died, this prevents
	a user caused deadlock when an external thread has been attached to the
	VM via JNI and it has exited without detaching
	- Add missing REF_TO_OBJs for references passed from JNI,
	this enable JamVM to run Qt-Jambi
	* NEWS: Updated.
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2012-08-15 revision.
	(JAMVM_SHA256SUM): Updated.
	(stamps/jamvm.stamp): Use --with-java-runtime-library=openjdk7

2012-08-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(ICEDTEA_BOOTSTRAP_CLASSES): Only add Matcher if
	the quoteReplacement method is absent.  Fix use of
	= instead of += with ModelMBeanInfo.
	* acinclude.m4:
	(IT_JAVAH): Explicitly set source & target.
	(IT_LIBRARY_CHECK): Likewise.
	(IT_PR40630_CHECK): Likewise.
	(IT_CHECK_JAVA_AND_JAVAC_WORK): Likewise.
	(IT_CHECK_FOR_CLASS): Likewise.
	(IT_DIAMOND_CHECK): Specify target as 7 as well.
	(IT_CHECK_FOR_METHOD): New macro to check for the
	existence of a Java method both at build and runtime.
	* configure.ac:
	Check for java.util.regex.Matcher.quoteReplacement.

2012-08-06  Mark Wielaard  <mjw@redhat.com>

	* test/tapset/jstaptest.pl (probestrings): Expect non-zero value
	for hotspot.jni.NewObjectA.return.

2012-08-03  Mark Wielaard  <mjw@redhat.com>

	* Makefile.am (check-tapset-probes): New target.
	(check-tapset-jstack): Likewise.
	(check-tapset): Depend on check-tapset-probes check-tapset-jstack.
	* test/tapset/jstaptest.pl (process_args): Add -p [$run_test_probes]
	and -j [$run_test_jstack].
	(test_jstack): Takes argument to pass to java process.
	Pass -XX:+UseCompressedOops and/or -Xmx5G.

2012-08-03  Yasumasa Suenaga  <suenaga.yasumasa@lab.ntt.co.jp>

	* tapset/jstack.stp.in (NarrowOopStruct): New global.
	(hotspot.vm_init_end): Initialize NarrowOopStruct.
	(hotspot.vm_shutdown): Delete NarrowOopStruct for pid.
	(jstack_call): Use NarrowOopStruct to calculate methodOopKlass.

2012-08-02  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(ICEDTEA_BOOTSTRAP_CLASSES): Only add
	javax.management.remote.JMXServiceURL
	and javax.management.modelmbean.ModelMBeanInfo
	if missing.
	* configure.ac: Check for
	javax.management.remote.JMXServiceURL and
	javax.management.modelmbean.ModelMBeanInfo

2012-07-27  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(download-openjdk): Fix use of dead HOTSPOT_SHA256SUM
	in downloading block.

2012-07-26  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(OPENJDK_VERSION): Bump to b20.
	(CORBA_CHANGESET): Update to IcedTea7 forest head.
	(HOTSPOT_CHANGESET): Removed.
	(JAXP_CHANGESET): Update to IcedTea7 forest head.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(HOTSPOT_SHA256SUM): Removed.
	(JAXP_SHA256SUM): Update to IcedTea7 forest head.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* hotspot.map:
	Update changesets and checksums for default
	& zero HotSpot.
	* patches/boot/ecj-diamond.patch: Add new cases
	in CORBA, com.sun.beans.TypeResolver and
	File{Input,Output}Stream.  Remove dead FileDescriptor
	cases.
	* patches/boot/ecj-trywithresources.patch:
	Remove dead FileDescriptor case.

2012-07-25  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(JDK_CHANGESET): Temporarily revert to u6-b16.
	(JDK_SHA256SUM): Likewise.
	(HS_SHA256SUM): Always set from hotspot.map
	(HS_CHANGESET): Likewise.
	(HS_URL): LIkewise.
	(ICEDTEA_PATCHES): Add additional patches for HotSpot zero.
	(ICEDTEA_BOOT_PATCHES): Use different hotspot-jdk-dependency
	patch dependent on version of HotSpot in use.
	(download-openjdk): Echo HotSpot build being used.
	* acinclude.m4:
	(IT_ENABLE_ZERO_BUILD): Use AC_DEFUN_ONCE.
	(IT_WITH_HOTSPOT_BUILD): Make default "zero" if Zero is enabled.
	* hotspot.map:
	Add default (previous configuration) and zero (from 2.1).
	* patches/boot/hotspot/zero/jdk-dependency.patch:
	Regenerated against 2.1 HotSpot.
	* patches/hotspot/zero/6924259-string_offset.patch:
	Backport so that HotSpot can work with current java.lang.String.
	* patches/hotspot/zero/7089790-bsd_port.patch,
	* patches/hotspot/zero/7098194-macosx_port.patch:
	Backported for modern SystemTap support & setnativethreadname.
	* patches/hotspot/zero/7116189-setnativethreadname.patch:
	Expose setnativethreadname.
	* patches/hotspot/zero/7175133-string_offset.patch:
	Fix jinfo with new java.lang.String.
	* patches/hotspot/zero/revert_arm_debug.patch:
	Remove definition of ps() in vmError.cpp (now defined in debug.cpp)

2012-07-13  Pavel Tisnovsky  <ptisnovs@redhat.com>

	Resolved conflict between merge jdk7u6-b16 and the fix
	7043963: AWT workaround missing for Mutter.
	* Makefile.am,
	(JDK_CHANGESET): Updated.
	(JDK_SHA256SUM): Likewise.

2012-06-29  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am,
	(OPENJDK_VERSION): Bump to b16.
	(CORBA_CHANGESET): Update to IcedTea7 forest head.
	(HOTSPOT_CHANGESET): Likewise.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(HOTSPOT_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* patches/boot/ecj-diamond.patch:
	Regenerated.  Add additional class in DevPollArrayWrapper.
	* patches/boot/xbootclasspath.patch:
	Regenerated.

2012-06-28  Omair Majid  <omajid@redhat.com>

	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioClip.java
	(getMicrosecondLength, getMicrosecondPosition)
	(setMicrosecondPosition): Use correct factor to convert seconds to
	microseconds.
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioSourceDataLine.java
	(getMicrosecondPosition): Likewise.
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioPlaybackLine.java:
	Define SECONDS_TO_MICROSECONDS.

2012-06-28  Omair Majid  <omajid@redhat.com>

	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioSourceDataLine.java
	(write): Synchronize access to writeInterrupted flag.

2012-06-28  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(OPENJDK_VERSION): Bump to b14.
	(CORBA_CHANGESET): Update to IcedTea7 forest head.
	(HOTSPOT_CHANGESET): Likewise.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(HOTSPOT_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.

2012-06-28  Omair Majid  <omajid@redhat.com>

	* NEWS: Update with fix.
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/Stream.java:
	Add new member variable contextPointer.
	* pulseaudio/src/native/org_classpath_icedtea_pulseaudio_Stream.c
	(Java_org_classpath_icedtea_pulseaudio_Stream_native_1pa_1stream_1new):
	Save j_context as contextPointer.
	(Java_org_classpath_icedtea_pulseaudio_Stream_native_1pa_1stream_1unref):
	Delete the global ref and dellocate the java context.
	(cork_callback): Don't check userdata. It is NULL.
	(Java_org_classpath_icedtea_pulseaudio_Stream_native_1pa_1stream_1cork):
	Dont allocate and pass a java_context to pa_stream_cork. It is not needed.
	* pulseaudio/unittests/org/classpath/icedtea/pulseaudio/PulseAudioClipTest.java
	(testOpenCloseLotsOfTimes): New method.

2012-06-26  Omair Majid  <omajid@redhat.com>

	* test/tapset/jstaptest.pl (get_arch_dir): Fix dir for x86.

2012-06-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Add 2.1.1 & 2.2.1 release notes.

2012-06-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(CORBA_CHANGESET): Update to forest head and
	bring in security updates.
	(HOTSPOT_CHANGESET): Likewise.
	(JAXP_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(HOTSPOT_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	* patches/boot/ecj-diamond.patch:
	Add additional cases due to 7143872.

2012-06-13  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	Apply compile-for-7-cacao-mem.patch instead of
	compile-for-7.patch when using a compiler that
	supports diamond and either USING_CACAO or BUILD_CACAO
	are set.
	* patches/boot/compile-for-7-cacao-mem.patch:
	Version of compile-for-7.patch post applying
	cacao/memory.patch.

2012-06-12  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	PR986
	* Makefile.am:
	(ICEDTEA_PATCHES): Add memory patch when
	building using CACAO as well, even if the
	result is not a CACAO build.
	* acinclude.m4:
	(IT_USING_CACAO): New macro; detects use of
	CACAO as the build VM so memory limits can
	be raised accordingly.
	* configure.ac: Call IT_USING_CACAO.
	* patches/cacao/launcher.patch:
	Move memory increase to memory.patch.
	* patches/cacao/memory.patch:
	Extend with additional cases in HotSpot and
	the JDK.

2012-03-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_FIND_COMPILER): Define only once and
	rename from IT_FIND_JAVA_COMPILER.
	(IT_FIND_ECJ): Use same form as detection
	for java, javah, jar and rmic.
	(IT_FIND_JAVAC): Likewise.
	(IT_CHECK_JAVA_AND_JAVAC_WORK): New macro to check
	java and javac actually work together to compile code
	before running other tests such as the dtdtype one.
	(IT_CHECK_FOR_CLASS): Depend on java/javac working.
	(IT_GETDTDTYPE_CHECK): Likewise.  Add -target 5.
	(IT_JAVAH): Depend on java/javac working.
	* configure.ac: Invoke IT_FIND_COMPILER rather than
	IT_FIND_JAVA_COMPILER.

2012-06-11  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(OPENJDK_VERSION): Bump to b13.
	* patches/boot/demos.patch,
	* patches/boot/ecj-diamond.patch:
	Regenerated.  Update Hashtable changes
	to use <K,V> not <Object,Object>.
	* patches/boot/ecj-multicatch.patch:
	Add additional cases in Hashtable and HashMap.
	* patches/boot/ecj-trywithresources.patch,
	* patches/boot/jaxws-jdk-dependency.patch:
	Regenerated.

2012-05-30  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* NEWS: Add 2.2 release notes.

2012-05-30  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(EXTRA_DIST): Add test/tapset.
	(clean-tests): Add clean-jtreg-reports.
	(clean-local): Remove clean-jtreg-reports.
	(clean-jtreg): Remove test/jtreg if empty.

2012-05-25  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* Makefile.am:
	(versioning): Don't add a suffix if building
	the default project, 'icedtea'.

2012-05-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(OPENJDK_VERSION): Bump to b10.
	(JDK_UPDATE_VERSION): Bump to u6.
	(CORBA_CHANGESET): Update to IcedTea7 forest head.
	(HOTSPOT_CHANGESET): Likewise.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(HOTSPOT_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(STRIP_POLICY): Changed from ALT_STRIP_POLICY
	due to upstream changes.
	* patches/boot/ecj-diamond.patch:
	Recreated, new case added in java.io.FileDescriptor.
	* patches/boot/ecj-trywithresources.patch:
	New case added (also in java.io.FileDescriptor).
	* patches/boot/hotspot-jdk-dependency.patch:
	Recreated.
	* patches/boot/use_target_6_for_bootstrap_classes.patch,
	Added new case in sun.security.action (caused timezone
	generation application to fail, presumably due to variable
	moving from private to package-private).

2012-05-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(extract-openjdk): Mirror replacement of '.' with
	'-' done by Mercurial server when creating tarball.

2012-05-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	(CORBA_CHANGESET): Bump to bring in typo fix.
	(CORBA_SHA256SUM): Likewise.
	(JDK_CHANGESET): Bump to bring in the
	digest cloning fix.
	(JDK_SHA256SUM): Likewise.

2012-05-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Sync with 2.2 branch.

2012-05-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* configure.ac: Bump to 2.3pre.
	* NEWS: Add 2.3 section.

2012-05-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/boot/corba-defs.patch:
	Removed.  Makes changes which aren't needed
	and break the build with IcedTea7.
	* Makefile.am:
	(ICEDTEA_BOOT_PATCHES): Drop corba-defs.patch.
	* patches/boot/corba-dependencies.patch:
	Reduce to just the necessary change of adding jdk
	tree dependencies to the CORBA build.  Add solaris
	too so the build with IcedTea7 works (needs
	DefaultInterface).
	* patches/boot/jaxws-jdk-dependency.patch:
	Add solaris dependency (DefaultInterface).
	* patches/boot/xbootclasspath.patch:
	Don't set JAVACFLAGS to point to non-existent rt.jar
	in {JDK_HOME}/lib.  Point to just-built langtools instead.

2011-03-02  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(icedtea): Explicitly set -j1 for the
	legacy OpenJDK build as it can't handle
	parallelism correctly.  This allows the
	main IcedTea build to be parallel while
	still allowing OpenJDK to build.
	(icedtea-debug): Likewise.
	(icedtea-ecj): Likewise.

2012-05-21  Andrew John Hughes  <gnu.andrew@redhat.com>

	(JDK_CHANGESET): Bump to bring in the
	aliasing and wrap mode fixes.
	(JDK_SHA256SUM): Likewise.

2012-05-21  Andrew John Hughes  <gnu.andrew@redhat.com>

	* AUTHORS: Add Ralph Sennhauser.

2012-02-03  Ralph Sennhauser <sera@gentoo.org>

	* Makefile.am:
	(ICEDTEA_PATCHES): Add test_gamma patch if
	WITH_PAX is set.
	(ICEDTEA_BOOT_PATCHES): Only add test_gamma patch
	if WITH_PAX is not set.
	(icedtea): Run pax-mark-vm on the just-built image.
	(icedtea-debug): Likewise.
	(icedtea-boot): Likewise.
	* acinclude.m4:
	(IT_WITH_PAX): Check for a pax command being specified.
	* configure.ac:
	Call IT_WITH_PAX.
	* patches/test_gamma.patch:
	Patch to be applied for the main OpenJDK tree when
	--with-pax is specified.  Stops the test_gamma app being
	run, which will fail as the JDK is not yet PaX marked.
	* pax-mark-vm.in:
	Script to PaX mark a JDK image.

2012-05-02  Andrew John Hughes  <gnu.andrew@redhat.com>

	Bump to jdk7u4 b13.
	* Makefile.am:
	(OPENJDK_VERSION): Set to b13.
	(CORBA_CHANGESET): Update to IcedTea7 forest head.
	(HOTSPOT_CHANGESET): Likewise.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(HOTSPOT_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_ENV): Set BUILD_CXX not BUILD_CPP
	due to build-infra changes in HotSpot.
	* patches/boot/ecj-diamond.patch:
	Add cases in UntrustedCertificates.java.
	* patches/boot/ecj-multicatch.patch: Likewise.
	* patches/boot/ecj-trywithresources.patch: Likewise.

2012-04-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(HOTSPOT_CHANGESET): Bump to bring in
	ALT_STRIP_POLICY fix.
	(HOTSPOT_SHA256SUM): Likewise.
	(ICEDTEA_ENV): Set ALT_STRIP_POLICY to
	no_strip.

2012-04-12  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(download-openjdk): Fix syntax.
	(download-cacao): Likewise.
	(download-jamvm): Likewise.

2012-04-11  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(JDK_CHANGESET): Bump to include GCC 4.7 build fixes.
	(JDK_SHA256SUM): Likewise.

2012-04-11  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(download-openjdk): Don't download unless
	enable_downloading is set.
	(download-cacao): Likewise.
	(download-jamvm): Likewise.
	* acinclude.m4:
	(IT_CHECK_FOR_DOWNLOADING): New option
	--disable-downloading.
	* configure.ac: Call IT_CHECK_FOR_DOWNLOADING.

2012-04-06  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(JDK_CHANGESET): Bump to include generalied crypto tests.
	(JDK_SHA256SUM): Likewise.

2012-04-06  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_CHECK_FOR_GTK): Work with glib >= 2.32
	by explicitly asking for gthread.

2012-03-27  Mark Wielaard  <mjw@redhat.com>

	* patches/systemtap.patch: Rewrite using just USDT1 with macros
	instead of functions for systemtap support (USDT3 is no more,
	USDT2 is Apple only).

2012-03-26  Mark Wielaard  <mjw@redhat.com>

	* test/tapset/jstaptest.pl: thread_start and thread_stop thread id
	can be any positive number.

2012-03-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/boot/pr39408.patch,
	* patches/cacao/launcher.patch:
	Regenerated.

2012-03-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/systemtap-alloc-size-workaround.patch:
	Removed; upstream.
	* Makefile.am:
	(JDK_UPDATE_VERSION): Bump to 4.
	(CORBA_CHANGESET): Update to IcedTea7 forest head.
	(HOTSPOT_CHANGESET): Likewise.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(HOTSPOT_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Drop upstreamed patch.
	* patches/boot/ant-javac.patch,
	* patches/boot/corba-defs.patch,
	* patches/boot/demos.patch:
	Regenerated.
	* patches/boot/ecj-diamond.patch,
	* patches/boot/ecj-multicatch.patch,
	* patches/boot/ecj-trywithresources.patch:
	Regenerated; additional cases added.
	* patches/boot/hotspot-jdk-dependency.patch,
	* patches/rhino.patch:
	Regenerated.
	* patches/systemtap.patch:
	Rewritten.

2012-03-23  Mark Wielaard  <mjw@redhat.com>

	* test/tapset/jstaptest.pl: Add jstack tests.

2012-03-23  Jon VanAlten  <jon.vanalten@redhat.com>

	* Makefile.am:
	Add target to run tapset tests.
	* tapset/hotspot_jni.stp.in:
	Add notes regarding required JVM option to Get<PrimitiveType>Field
	family of probe aliases.
	* test/tapset/ClassUnloadedProbeTester.java:
	Part of test coverage for hotspot.stp and hotspot_jni.stp tapsets.
	* test/tapset/JNIStapTest.c:
	Likewise.
	* test/tapset/JNITestClass.c:
	Likewise.
	* test/tapset/JNITestClass.h:
	Likewise.
	* test/tapset/JNITestClass.java:
	Likewise.
	* test/tapset/RunWrapper.java:
	Likewise.
	* test/tapset/StapJNIClassLoader.java:
	Likewise.
	* test/tapset/StapURLClassLoader.java:
	Likewise.
	* test/tapset/SystemtapTester.java:
	Likewise.
	* test/tapset/TestingRunner.java:
	Likewise.
	* test/tapset/jstaptest.pl:
	Wrapper script, compiles and runs tests for tapsets.

2012-03-16  Mark Wielaard  <mjw@redhat.com>

	* tapset/jstack.stp.in: Change symbolOopDesc to Symbol to accomodate
	S6990754 - Use native memory and reference counting to implement
	SymbolTable.

2012-03-14  Mark Wielaard  <mjw@redhat.com>

	* Makefile.am (EXTRA_DIST): Add tapset/jstack.stp.in.

2012-03-13  Mark Wielaard  <mjw@redhat.com>

	* tapset/jstack.stp.in: Wrap heap accessors in try-catch block to be
	able to report unusual frames.

2012-03-13  Mark Wielaard  <mjw@redhat.com>

	* tapset/jstack.stp.in: Use @var construct if available to pick
	target variable from the right CU (needed by newer DWARF/gcc
	versions).

2012-03-13  Mark Wielaard  <mjw@redhat.com>

	* tapset/jstack.stp.in: Index globals on pid() to support multiple
	running hotspot jstacks at the same time.

2012-03-13  Mark Wielaard  <mjw@redhat.com>

	* tapset/jstack.stp.in: Don't hard code constantPoolOopDesc_size.

2012-02-24  Deepak Bhole <dbhole@redhat.com>

	PR885: IcedTea7 does not build scripting support
	* patches/rhino.patch: Added 'script' to list of modules built.

2011-10-03  Xerxes Rånby  <xerxes@zafena.se>
	    Robert Lougher <rob@jamvm.org.uk>

	* pulseaudio/src/native/org_classpath_icedtea_pulseaudio_Stream.c
	  (Java_org_classpath_icedtea_pulseaudio_Stream_native_1pa_1stream_1get_1buffer_1attr):
	  Make code compliant to the JNI specification.
	  Enable pulseaudio to work in combination with JVM that strictly
	  implement JNI spec.

2011-10-03  Xerxes Rånby  <xerxes@zafena.se>
	    David Henningsson <david.henningsson@canonical.com>
	    Matthias Klose <doko@ubuntu.com>

	LP862286
	* pulseaudio/src/native/org_classpath_icedtea_pulseaudio_EventLoop.c
	  (context_change_callback):
	  Fix exception on trying to start PulseAudio playback on ARM.

2011-09-29  Xerxes Rånby  <xerxes@zafena.se>
	    David Henningsson <david.henningsson@canonical.com>

	LP862286
	* NEWS: Updated.
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/
	  PulseAudioDataLine.java (addStreamListeners): 
	  Fix exception on trying to start PulseAudio playback.

2011-06-20  Denis Lila  <dlila@redhat.com>

	* pulseaudio/src/native/org_classpath_icedtea_pulseaudio_Stream.c
	(SET_STREAM_ENUM): Add an underscore after java_prefix so that
	the produced string matches the names in Stream.java.

2011-06-20  Denis Lila  <dlila@redhat.com>

	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioDataLine.java
	(bufferSize): Remove.
	(getBufferSize): Return stream.getBufferSize().
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioSourceDataLine.java
	(connectLine): Improve formatting.
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioTargetDataLine.java
	(connectLine): Set up flags to adjust the latency, if needed.
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/Stream.java
	(bufAttr, bufAttrMutex): New members.
	(setBufAttr, bufferAttrCallback): New methods. They both set bufAttr.
	(getBufferSize): Return the current buffer size.
	(connectForRecording): Add a flags argument to allow callers to chose the
	flags.
	(stateCallback): When the stream is ready, set the buffer attributes to
	the actual ones used by the server.
	* pulseaudio/src/native/org_classpath_icedtea_pulseaudio_Stream.c
	(buf_attr_changed_callback): New function. 
	(Java_org_classpath_icedtea_pulseaudio_Stream_native_1pa_1stream_1new):
	Set the buffer attribute callback.

2011-06-17  Denis Lila  <dlila@redhat.com>

	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/Stream.java
	(FLAG_NOFLAGS, FLAG_START_CORKED, FLAG_INTERPOLATE_TIMING,
	 FLAG_NOT_MONOTONIC, FLAG_AUTO_TIMING_UPDATE, FLAG_NO_REMAP_CHANNELS,
	 FLAG_NO_REMIX_CHANNELS, FLAG_FIX_FORMAT, FLAG_FIX_RATE,
	 FLAG_FIX_CHANNELS, FLAG_DONT_MOVE, FLAG_VARIABLE_RATE, FLAG_PEAK_DETECT,
	 FLAG_START_MUTED, FLAG_ADJUST_LATENCY, FLAG_EARLY_REQUESTS,
	 FLAG_DONT_INHIBIT_AUTO_SUSPEND, FLAG_START_UNMUTED, FLAG_FAIL_ON_SUSPEND):
	New static long variables mirroring pa_stream_flag_t values.
	(STATE_UNCONNECTED, STATE_CREATING, STATE_READY, STATE_FAILED,
	 STATE_TERMINATED): Add the STATE_ prefix to distinguish them from
	the flag variables.
	(native_pa_stream_connect_playback, native_pa_stream_connect_record):
	Change flags parameter to long.
	(connectForPlayback, connectForRecording): Start the stream corked.
	Change formatting to make it more readable.
	* pulseaudio/src/native/org_classpath_icedtea_pulseaudio_Stream.c
	(SET_STREAM_ENUM): Renamed from SET_STREAM_STATE_ENUM, since the
	macro could have been used for any PA_STREAM constants, not just
	stream states (and indeed, we now use it for flag constants too).
	(Java_org_classpath_icedtea_pulseaudio_Stream_init_1constants):
	Initialize flag constants in addition to the stream states.
	(Java_org_classpath_icedtea_pulseaudio_Stream_native_1pa_1stream_1connect_1playback):
	Change flags parameter to jlong (from jint), remove commented out
	dead code, remove obsolete comment, and start the stream with whatever
	flags were passed in the flags parameter, instead of ignoring that
	parameter and using PA_STREAM_START_CORKED.
	(Java_org_classpath_icedtea_pulseaudio_Stream_native_1pa_1stream_1connect_1record):
	Change flags parameter to jlong (from jint), remove commented out
	dead code.

2011-06-16  Denis Lila  <dlila@redhat.com>

	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioDataLine.java
	(addStreamListeners): Remove this.notifyAll() from
	openCloseListener.update; change this.notifyAll() to
	PulseAudioDataLine.this.notifyAll() in startedListener.update.
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioTargetDataLine.java
	(read): Put fragmentBuffer null check in the synchronized block.
	(flush): Make it synchronized to avoid race condition with read().

2011-06-16  Denis Lila  <dlila@redhat.com>

	* Makefile.am: Add ContextEvent to the list of pulse audio classes that
	need javah run on them.
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/ContextEvent.java
	(Type): Remove and replace with...
	(UNCONNECTED, CONNECTING, AUTHORIZING, SETTING_NAME, READY, FAILED,
	 TERMINATED): New static long variables replacing enum Type.
	(init_constants): New native method to initialize the above variables.
	(checkNativeEnumReturn): Make sure that the input is one of the longs
	representing the type of ContextEvent.
	(type): Change type from Type to long.
	(ContextEvent): Take a long argument, instead of a Type.
	(getType): Return a long, not a Type.
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/EventLoop.java
	(status): Change from int to long.
	(native_set_sink_volume): Remove. It was unimplemented in the JNI side.
	(getStatus): Return long instead of int.
	(update): Replace int argument with long argument. Remove the switch
	statement.
	(setVolume): Remove. Unused.
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/Operation.java
	(State): Remove and replace with...
	(Running, Done, Cancelled): Static longs, enumerating the possible
	operation states.
	(init_constants): New native method to initialize the above variables.
	(checkNativeOperationState): Make sure that the input is one of the longs
	representing the operation state.
	(native_get_state): Change return type from int to long.
	(getState): Change return type to long; remove switch.
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioDataLine.java
	Remove the names of enums from the names of constants since most of them
	were changed to static longs.
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/PulseAudioMixer.java
	Same changes as in PulseAudioDataLine.java.
	* pulseaudio/src/java/org/classpath/icedtea/pulseaudio/Stream.java
	(State): Remove and replace with...
	(UNCONNECTED, CREATING, READY, FAILED, TERMINATED): New static long variables
	replacing enum Type.
	(init_constants): New native method to initialize the above variables.
	(checkNativeStreamState): Make sure that the input is one of the longs
	representing the kind of StreamState.
	(native_pa_stream_get_state): Change the return from int to long.
	(getState): Remove the switch.
	* pulseaudio/src/native/jni-common.h
	(SET_JAVA_STATIC_LONG_FIELD_TO_PA_ENUM): Macro that sets one of the java
	 static longs to the corresponding pa_constant.
	* pulseaudio/src/native/org_classpath_icedtea_pulseaudio_ContextEvent.c
	New file.
	(SET_CONTEXT_ENUM): Macro that sets the ContextEvent types.
	(Java_org_classpath_icedtea_pulseaudio_ContextEvent_init_1constants):
	Implementation of ContextEvent.init_constants.
	* pulseaudio/src/native/org_classpath_icedtea_pulseaudio_EventLoop.c
	(context_change_callback): Change the fourth argument of GetMethodID
	to "(J)V" to reflect the change in the signature of EventLoop.update.
	* pulseaudio/src/native/org_classpath_icedtea_pulseaudio_Operation.c
	(SET_OP_ENUM): Macro that sets the operation types.
	(Java_org_classpath_icedtea_pulseaudio_Operation_init_1constants):
	Implementation of Operation.init_constants.
	(Java_org_classpath_icedtea_pulseaudio_Operation_native_1get_1state):
	Change return type to jlong.
	* pulseaudio/src/native/org_classpath_icedtea_pulseaudio_Stream.c
	(SET_STREAM_ENUM): Macro that sets the stream states.
	(Java_org_classpath_icedtea_pulseaudio_Stream_init_1constants):
	Implementation of Stream.init_constants.
	(Java_org_classpath_icedtea_pulseaudio_Stream_native_1pa_1stream_1get_1state):
	Change return type to jlong.

2011-06-15  Denis Lila  <dlila@redhat.com>

	* Makefile.am: Add back the -classpath option to javah in
	building the pulse audio header files. The bootstrap javah
	doesn't recognize -J-Xbootclasspath/p: so it couldn't find
	the classfiles.

2011-06-10  Denis Lila  <dlila@redhat.com>

	* pulseaudio/*: Fix whitespace.

2011-06-10  Denis Lila  <dlila@redhat.com>

	* Makefile.am
	(stamps/pulse-java-headers.stamp): Prepend the java build directory
	to the boot class path to avoid generating headers for the system
	pulse-java classes.

2012-02-16  Xerxes Rånby  <xerxes@zafena.se>

	(HOTSPOT_CHANGESET): Add latest Zero HS22 fixes.
	(HOTSPOT_SHA256SUM): Likewise.

2012-02-15  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 2.0.1 and 2.1.0 release notes.
	* configure.ac: Bump to 2.2pre.

2012-02-14  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Update with OpenJDK fixes and
	add release date for 2.1.

2012-02-14  Andrew John Hughes  <gnu.andrew@redhat.com>

	(HOTSPOT_CHANGESET): Add latest fixes:
	7140882, 7049339 and 7091528.
	(HOTSPOT_SHA256SUM): Likewise.
	(JDK_CHANGESET): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.

2012-02-10  Xerxes Rånby  <xerxes@zafena.se>

	* Makefile.am
	(CACAO_VERSION): Updated CACAO to 2012-02-09 revision.
	(CACAO_SHA256SUM): Updated.
	(stamps/cacao.stamp): Use --with-java-runtime-library=openjdk7.
	Add -f when creating client and server symlinks to handle repeat builds.
	Link the fake libjsig.so to CACAO libjvm.so, and touch fake Xusage.txt
	to work with latest OpenJDK ALT_HOTSPOT_IMPORT_PATH functionality.
	* patches/cacao/version.patch: Removed, replaced by upstream CACAO changeset 30edcde287d9.

2012-02-08  Andrew John Hughes  <gnu.andrew@redhat.com>

	(HOTSPOT_CHANGESET): Bump to fix HotSpot merge
	issue.
	(HOTSPOT_SHA256SUM): Likewise.

2012-02-08  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	Move JDK_UPDATE_VERSION and COMBINED_VERSION
	to top of file with OPENJDK_VERSION.
	(JDK_UPDATE_VERSION): Set to 02 for u2.

2012-02-08  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(CORBA_CHANGESET): Updated.
	(HOTSPOT_CHANGESET): Likewise.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(HOTSPOT_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	* generated/java/nio/DirectByteBuffer.java,
	* generated/java/nio/DirectByteBufferR.java,
	* generated/java/nio/DirectCharBufferRS.java,
	* generated/java/nio/DirectCharBufferRU.java,
	* generated/java/nio/DirectCharBufferS.java,
	* generated/java/nio/DirectCharBufferU.java,
	* generated/java/nio/DirectDoubleBufferRS.java,
	* generated/java/nio/DirectDoubleBufferRU.java,
	* generated/java/nio/DirectDoubleBufferS.java,
	* generated/java/nio/DirectDoubleBufferU.java,
	* generated/java/nio/DirectFloatBufferRS.java,
	* generated/java/nio/DirectFloatBufferRU.java,
	* generated/java/nio/DirectFloatBufferS.java,
	* generated/java/nio/DirectFloatBufferU.java,
	* generated/java/nio/DirectIntBufferRS.java,
	* generated/java/nio/DirectIntBufferRU.java,
	* generated/java/nio/DirectIntBufferS.java,
	* generated/java/nio/DirectIntBufferU.java,
	* generated/java/nio/DirectLongBufferRS.java,
	* generated/java/nio/DirectLongBufferRU.java,
	* generated/java/nio/DirectLongBufferS.java,
	* generated/java/nio/DirectLongBufferU.java,
	* generated/java/nio/DirectShortBufferRS.java,
	* generated/java/nio/DirectShortBufferRU.java,
	* generated/java/nio/DirectShortBufferS.java,
	* generated/java/nio/DirectShortBufferU.java:
	Use versions from latest IcedTea7 forest build.
	* generated/sun/nio/cs/ext/EUC_TWMapping.java:
	Added.

2011-01-15  Damien Raude-Morvan  <drazzib@drazzib.com>

	* patches/boot/ecj-diamond.patch,
	* patches/boot/ecj-multicatch.patch,
	* patches/boot/ecj-trywithresources.patch,
	* patches/rhino.patch:
	Updated to apply against new checkout.

2011-10-27  Omair Majid  <omajid@redhat.com>

	* NEWS: Updated.
	* Makefile.am
	(HOTSPOT_CHANGESET): Updated.
	(HOTSPOT_SHA256SUM): Updated.

2011-10-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Move recent JamVM changes
	to correct section.  Sync with 2.0.

2011-10-10  Xerxes Rånby  <xerxes@zafena.se>

	JamVM
	- Implement classlibCheckIfOnLoad().
	- Make thread states JVMTI compatible.
	- Add OpenBSD/sparc to list of recognised hosts.
	- Handle 'g' when specifying memory + extra checks.
	- Make command line compatibility options table-driven.
	* NEWS: Updated.
	* patches/jamvm/gb-memory-fix.patch: Replaced by upstream,
	Handle 'g' when specifying memory + extra checks,
	changeset 5b66309e20cfd9fe1119e0c9231060a9a583d846.
	* patches/jamvm/ignore-assertions-and-verify-options.patch:
	Replaced by upstream, Make command line compatibility options
	table-driven, changeset d689b6527e26ef1098583ba39725d6e675f8b649.
	* Makefile.am
	(ICEDTEA_PATCHES): Remove upstreamed JamVM patches.
	(JAMVM_VERSION): Updated JamVM to 2011-10-07 revision.
	(JAMVM_SHA256SUM): Updated.

2011-10-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Set release date of 2.0 and
	add section for 2.1.
	* configure.ac: Bump to 2.1pre.

2011-10-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/cacao/6714758.patch:
	Removed; upstream.
	* Makefile.am:
	(ICEDTEA_PATCHES): Drop above patch.
	(extract-cacao): Use gzip not bzip2.
	(extract-jamvm): Explicitly use gzip.

2011-10-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am: Bring in security updates.
	(CORBA_CHANGESET): Updated.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	* patches/rhino.patch: Updated to work
	after 7046823 is applied.
	* NEWS: Updated.

2011-09-30  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_CHECK_FOR_GIO): Require 2.26 and
	above for GSettings.

2011-09-30  Andrew John Hughes  <gnu.andrew@redhat.com>

	Bump changesets to bring in fix which
	turns off forced -Werror.
	* Makefile.am:
	(CORBA_CHANGESET): Updated.
	(HOTSPOT_CHANGESET): Likewise.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(HOTSPOT_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.

2010-11-11  Stefan Ring  <stefan@complang.tuwien.ac.at>

	* Makefile.am: Upgrade CACAO version,
	use .tar.gz archive

2011-09-30  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Cleanup.

2011-08-30  Xerxes Rånby  <xerxes@zafena.se>

	CACAO
	- CA149: Used wrong class loader.
	- src/vm/javaobjects.cpp (java_lang_reflect_Method::invoke):
	  [OPENJDK] stack index of caller was off by one, causing many apt
	  (Annotation Processing Tool) failures.
	* NEWS: Updated.
	* Makefile.am
	(CACAO_VERSION): Updated CACAO to 2011-08-29 revision.
	(CACAO_SHA256SUM): Updated.

2011-08-09  Xerxes Rånby  <xerxes@zafena.se>

	CACAO
	- CA159: Exception handler blocks / register mixup.
	- Set thread to RUNNABLE during Thread.start.
	- Removed state-setting function call that would be done by the thread
	  itself, creating a nasty race.
	* NEWS: Updated.
	* Makefile.am
	(CACAO_VERSION): Updated CACAO to 2011-08-08 revision.
	(CACAO_SHA256SUM): Updated.

2010-11-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(CACAO_BASE_URL): Switch to using IcedTea
	server for CACAO drops too.
	(CACAO_URL): Likewise.

2011-09-30  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_BOOT_PATCHES): Only apply
	use_target_6_for_bootstrap_classes if 1.7
	bytecode is not supported by the VM.  Fixes
	bootstrap with IcedTea7.
	* acinclude.m4:
	(IT_BYTECODE7_CHECK): Check if the VM supports
	1.7 bytecode.
	* configure.ac: Call IT_BYTECODE7_CHECK.

2011-09-27  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(EXTRA_DIST): Remove patch directories that
	no longer exist.

2011-09-27  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(AC_CHECK_FOR_JDK): Look for IcedTea7 JDKs.
	Don't check for IcedTea6 JDKs when bootstrapping
	until PR716 is fixed.

2011-09-27  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR790: Include JAXP, JAF and JAXWS sources directly
	in OpenJDK tree, removing the need for drop tarballs.
	* INSTALL: Remove drop zip options.
	* Makefile.am:
	(JAXP_CHANGESET): Updated to bring in JAXP sources.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_CHANGESET): Likewise for JAXWS.
	(JAXWS_SHA256SUM): Likewise.
	(JAXWS_DROP_URL): Removed.
	(JAXWS_DROP_ZIP): Likewise.
	(JAXWS_DROP_SHA256SUM): Likewise.
	(JAF_DROP_URL): Likewise.
	(JAF_DROP_ZIP): Likewise.
	(JAF_DROP_SHA256SUM): Likewise.
	(JAXP_DROP_URL): Likewise.
	(JAXP_DROP_ZIP): Likewise.
	(JAXP_DROP_SHA256SUM): Likewise.
	(JAXWS): Fix path to point into source tree.
	(NEED_JAXWS_SRC): Removed; always available now.
	(OPENJDK_BOOT_TREE): Remove reference to patch-jaxws.
	(ICEDTEA_BOOT_PATCHES): Move dtdtype patch to here.
	(ICEDTEA_ENV): Drop ALT_DROPS_DIR.
	(.PHONY): Drop clean-drops.
	(download): Drop download-drops.
	(clean-download): Drop clean-drops.
	(download-jaxp-drop): Removed.
	(clean-download-jaxp-drop): Likewise.
	(download-jaf-drop): Likewise.
	(clean-download-jaf-drop): Likewise.
	(download-jaxws-drop): Likewise.
	(clean-download-jaxws-drop): Likewise.
	(download-drops): Likewise.
	(clean-drops): Likewise.
	(extract): Drop clean-extract-jaxws.
	(extract-jaxws): Removed.
	(clean-extract-jaxws): Removed.
	(clean-clone-boot): No more patch-jaxws stamp.
	(patch-jaxws): Removed.
	(clean-patch-jaxws): Removed.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_WITH_JAXP_DROP_ZIP): Likewise.
	(IT_WITH_JAF_DROP_ZIP): Likewise.
	(IT_WITH_JAXWS_DROP_ZIP): Likewise.
	* configure.ac: Don't call drop macros.
	* patches/boot/jaxws-getdtdtype.patch:
	Updated to apply to openjdk-boot tree.

2011-09-27  Mark Wielaard  <mark@klomp.org>

	* acinclude.m4: Add devel package suggestions for epoll/xattr
	check failure.

2011-09-27  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	Always quote using '[' and ']' in macro calls.
	(IT_CHECK_FOR_JPEG): Replace quotation marks
	with '[' and ']'.
	(IT_CHECK_FOR_GIF): Likewise.
	(IT_CHECK_FOR_CUPS): Likewise.
	(IT_CHECK_FOR_SYSCALLS): Likewise.

2011-09-27  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_CHECK_FOR_SYSCALLS): Include checks
	for required headers: sys/epoll.h and
	attr/xattr.h.

2011-09-26  Xerxes Rånby  <xerxes@zafena.se>
	    Mark David Dumlao  <madumlao@gmail.com>

	JamVM
	- Skip Java-reflection-related DelegatingClassLoaders,
	  enables JamVM to run NetBeans.
	- Generic JNI stubs for common JNI method signatures.
	- Fix memory heap arguments in terms of gigabytes.
	* NEWS: Updated.
	* patches/jamvm/gb-memory-fix.patch: New patch contributed by
	  Mark David Dumlao.
	* patches/jamvm/jmm_GetLongAttribute_201.patch:
	  Replaced by upstream, Tidy-ups,
	  changeset 106ffbb35fb9c185ba8c649441036d00e44c6a32.
	* Makefile.am
	(ICEDTEA_PATCHES): Apply new JamVM patch, remove upstreamed JamVM patch.
	(JAMVM_VERSION): Updated JamVM to 2011-09-24 revision.
	(JAMVM_SHA256SUM): Updated.

2011-09-21  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR717: Remove all non-bootstrap non-conditional
	patches.
	* patches/6592792.patch,
	* patches/6733959.patch,
	* patches/6755943.patch:
	Remove unused patches.
	* patches/alpha-fixes.patch,
	* patches/alt-jar.patch,
	* patches/cacao/arch.patch,
	* patches/clean-crypto.patch,
	* patches/debian/uname.patch,
	* patches/disable-intree-ec.patch:
	Moved upstream.
	* patches/javafiles.patch:
	Moved to boot.
	* patches/jtreg-httpTest.patch,
	* patches/jvmtiEnv.patch,
	* patches/lc_ctype.patch,
	* patches/override-redirect-metacity.patch,
	* patches/params-cast-size_t.patch:
	Moved upstream.
	* patches/parisc-opt.patch: Obsolete.
	* patches/parisc.patch,
	* patches/samejvm-safe.patch,
	* patches/security-updates.patch,
	* patches/security/6592792.patch,
	* patches/security/6733959.patch,
	* patches/security/6755943.patch,
	* patches/sh4-support.patch,
	* patches/signed-types.patch:
	Moved upstream.
	* patches/sources.patch: Obsolete.
	* patches/sparc-ptracefix.patch,
	* patches/sparc-trapsfix.patch,
	* patches/systemtap-gcc-4.5.patch,
	* patches/tests-jdk.patch,
	* patches/update-bootclasspath.patch,
	* patches/use-idx_t.patch:
	Moved upstream.
	* Makefile.am:
	(JDK_CHANGESET): Bring in upstreamed patches.
	(JDK_SHA256SUM): Likewise.
	(CORBA_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(HOTSPOT_CHANGESET): Likewise.
	(HOTSPOT_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Set to empty, bar conditional
	additions.
	(ICEDTEA_BOOT_PATCHES): Add javafiles.patch.
	* patches/boot/javafiles.patch:
	Only needed for bootstrapping to ensure
	all classes are included.
	* patches/nss-config.patch,
	* patches/nss-not-enabled-config.patch:
	Updated against upstream disable-intree-ec.
	* NEWS: Updated.

2011-09-21  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(JDK_CHANGESET): Include Damian's compilation fix
	for building without USE_SYSTEM_CUPS.
	(JDK_SHA256SUM): Likewise.

2011-09-21  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ICEDTEA_ENV): Set COMPILE_AGAINST_SYSCALLS
	if USE_SYSCALL_COMPILATION is set.
	* acinclude.m4:
	(IT_CHECK_FOR_SYSCALLS): Add --enable-compile-against-syscalls
	which checks for various syscalls (epolling, extended attributes,
	*at).
	* configure.ac: Call IT_CHECK_FOR_SYSCALLS.

2011-09-21  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(JDK_CHANGESET): Bump to bring in latest
	GConf->GIO fix for proxy detection.
	(JDK_SHA256SUM): Likewise.
	(ICEDTEA_ENV): Set USE_SYSTEM_CUPS, CUPS_LIBS,
	CUPS_CFLAGS, USE_SYSTEM_GTK, GTK_LIBS, GTK_CFLAGS,
	USE_SYSTEM_GIO, GIO_LIBS, GIO_CFLAGS, USE_SYSTEM_FONTCONFIG,
	FONTCONFIG_LIBS, FONTCONFIG_CFLAGS.
	* acinclude.m4,
	(IT_CHECK_FOR_GTK): Add --enable-system-gtk and detect
	Gtk+ if enabled.
	(IT_CHECK_FOR_GIO): Likewise for --enable-system-gio.
	(IT_CHECK_FOR_FONTCONFIG): Likewise for --enable-system-fontconfig.
	(IT_CHECK_FOR_CUPS): Detect both CUPS headers and libraries,
	and set CUPS_LIBS.
	* configure.ac: Remove old CUPS detection.
	Add calls to IT_CHECK_FOR_GTK, IT_CHECK_FOR_GIO,
	IT_CHECK_FOR_FONTCONFIG and IT_CHECK_FOR_CUPS.

2011-09-09  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(JDK_CHANGESET): Bring in fix for another
	duplicate gboolean definition.
	(JDK_SHA256SUM): Likewise.

2011-09-08  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(JDK_CHANGESET): Bring in fix for duplicate
	gboolean definition.
	(JDK_SHA256SUM): Likewise.

2011-09-06  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/hotspot-gcc-pr36917.patch:
	Redundant, was removed from IcedTea6.
	* patches/libraries.patch,
	* patches/linker-libs-order.patch,
	* patches/pr261.patch:
	Updated and recreated in the IcedTea7 forest.
	* Makefile.am:
	(JDK_CHANGESET): Updated.
	(JDK_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Remove above.
	(ICEDTEA_ENV): Set ZLIB_LIBS, ZLIB_CFLAGS,
	USE_SYSTEM_ZLIB, JPEG_LIBS, JPEG_CFLAGS,
	USE_SYSTEM_JPEG, PNG_LIBS, PNG_CFLAGS,
	USE_SYSTEM_PNG, GIF_LIBS, GIF_CFLAGS,
	USE_SYSTEM_GIF.
	* NEWS: Mention new system library provision
	and cleanup ordering.  Mention fix for PR770.
	* acinclude.m4:
	(IT_CHECK_FOR_ZLIB): New macro to check for zlib.
	(IT_CHECK_FOR_JPEG): Likewise for libjpeg.
	(IT_CHECK_FOR_PNG): Likewise for libpng.
	(IT_CHECK_FOR_GIF): Likewise for giflib.
	* configure.ac:
	Remove old AC_CHECK_LIB calls for jpeg, gif
	and zlib and PKG_CHECK_MODULES call for libpng.
	Add calls to new macros above.
	* remove-intree-libraries.sh.in:
	Make removal of zlib, libpng, giflib and libjpeg
	files dependent on whether or not the system versions
	are used (the default).

2011-09-05  Xerxes Rånby  <xerxes@zafena.se>

	JamVM
	- armhf: ensure stack is 8 byte aligned.
	* NEWS: Updated.
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2011-09-03 revision.
	(JAMVM_SHA256SUM): Updated.

2011-09-02  Xerxes Rånby  <xerxes@zafena.se>

	JamVM
	- Add support for armhf.
	* NEWS: Updated.
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2011-08-31 revision.
	(JAMVM_SHA256SUM): Updated.

2011-08-19  Xerxes Rånby  <xerxes@zafena.se>

	JamVM
	- LP827463: Fix OpenJDK enclosingMethodInfo().
	- "Fix" handling of CLI bootclasspath options.
	- Fix for StackTraceElement checkin.
	- Fix typo in definition of ACC_MIRANDA.
	- Intern strings when creating a StackTraceElement.
	* NEWS: Updated.
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2011-08-19 revision.
	(JAMVM_SHA256SUM): Updated.

2011-08-15  Xerxes Rånby  <xerxes@zafena.se>

       JamVM
       - Ignore assertions and verify options.
       * NEWS: Updated.
       * patches/jamvm/ignore-assertions-and-verify-options.patch: New patch.
       * Makefile.am: Apply JamVM patch.

2011-08-10  Xerxes Rånby  <xerxes@zafena.se>

	JamVM
	- PR772: jtreg LocalOnlyTest sends SIGQUIT to all processes on exit.
	* NEWS: Updated.
	* patches/jamvm/jmm_GetLongAttribute_201.patch: New patch.
	* Makefile.am: Apply JamVM patch.

2011-08-09  Xerxes Rånby  <xerxes@zafena.se>

	JamVM
	- Remove empty clobber.
	- Use dots instead of slashes in classname for exception.
	- Correct thrown exception by bootstrap loader.
	* NEWS: Updated.
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2011-08-08 revision.
	(JAMVM_SHA256SUM): Updated.

2011-08-03  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Updated with changes from
	Pavel's HotSpot update.

2011-08-03  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(JDK_CHANGESET): Updated to bring in
	libpng 1.5 and src.zip fixes.
	(JDK_SHA256SUM): Likewise.
	* NEWS: Updated.

2011-08-03  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	Apply explicit-inner-class-headers patch as required.
	* acinclude.m4: Test for PR classpath/45526
	explicitly instead of assuming it is present
	when the other bugs are (not true with current
	Classpath CVS).
	* patches/boot/explicit-inner-class-headers.patch:
	Split out from javah.patch so as to apply when other
	bugs aren't present.
	* patches/boot/javah.patch:
	Remove above patch.

2011-08-03  Pavel Tisnovsky  <ptisnovs@redhat.com>

	Brought in fix #7073913 in src/share/vm/runtime/os.cpp
	which caused random segfaults due to buffer
	overflow and incorrect usage of int variable
	instead of char (byte) one.  Also brought in
	7068051, 7044738 and 7070134 fixes for HotSpot
	loop bugs.
	* Makefile.am:
	(HOTSPOT_CHANGESET): Updated.
	(HOTSPOT_SHA256SUM): Likewise.

2011-08-02  Xerxes Rånby  <xerxes@zafena.se>

	JamVM
	- Put parsing of -cp and -classpath options back in.
	- Fix threading of references list during compaction.
	- Further fix to freeClassData for native methods.
	- Fix class GC with classes containing Miranda methods.
	- Propogate initialisation errors to top-level.
	* NEWS: Updated.
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2011-08-01 revision.
	(JAMVM_SHA256SUM): Updated.

2011-07-29  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR717: All non-bootstrap patches in IcedTea7
	should be in the forest or dropped
	PR767: Annotation Processing Filer.getResource()
	always throws FileNotFoundException
	* patches/demos.patch:
	Moved to IcedTea7 forest.
	* patches/gcc-suffix.patch:
	Recreated more generically in the forest
	using BUILD_GCC/BUILD_CPP/HOST_GCC/HOST_CPP
	to set the names of the appropriate binaries.
	* patches/headers.patch:
	Recreated in forest using FT2_CFLAGS and FT2_LIBS
	for passing FreeType cflags and libraries from
	pkg-config.
	* patches/jpegclasses.patch:
	Removed; the com.sun.jpeg classes should not be
	in 7.
	* patches/memory-limits.patch,
	* patches/print-lsb-release.patch:
	Moved to IcedTea7 forest.
	* patches/sunsrc.patch: Obsolete, dropped as
	in IcedTea6.
	* patches/text-relocations.patch:
	Moved to IcedTea7 forest.
	* Makefile.am:
	(JDK_CHANGESET): Updated to bring in
	above patches.
	(JDK_SHA256SUM): Likewise.
	(HOTSPOT_CHANGESET): Likewise.
	(HOTSPOT_SHA256SUM): Likewise.
	(LANGTOOLS_CHANGESET): Bring in fix
	for PR767.
	(LANGTOOLS_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Remove above patches.
	(ICEDTEA_ENV): Set FT2_CFLAGS, FT2_LIBS,
	BUILD_GCC and BUILD_CPP.
	* patches/cacao/arch.patch: Recreated
	against new forest.
	* NEWS: Updated.

2011-07-28  Andrew John Hughes  <gnu.andrew@redhat.com>

	Bring in new JDK build cleanups and
	HotSpot fixes for Zero/Shark.
	* Makefile.am:
	(JDK_CHANGESET): Updated.
	(JDK_SHA256SUM): Likewise.
	(HOTSPOT_CHANGESET): Likewise.
	(HOTSPOT_SHA256SUM): Likewise.
	(ICEDTEA_BOOT_PATCHES): Add new patch.
	* patches/boot/ecj-diamond.patch,
	* patches/boot/ecj-stringswitch.patch:
	Updated with new cases.
	* patches/boot/use_target_6_for_bootstrap_classes.patch:
	New patch.  Force source/target to 6
	rather than 7 when building classes needed
	by the bootstrap tools.

2011-07-20  Marc Schoenefeld <mschoene@redhat.com>
	    Pavel Tisnovsky  <ptisnovs@redhat.com>

	* Makefile.am:
	(HOTSPOT_CHANGESET): Update regression test
	hotspot/7020373: added missing source used
	to create the reproducer.
	(HOTSPOT_SHA256SUM): Likewise

2011-07-17  Mark Wielaard  <mark@klomp.org>

	* Makefile.am (CORBA_SHA256SUM): Updated for new icedtea hg server
	settings.
	(HOTSPOT_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.

2011-07-13  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(bootstrap-directory-stage1): Only use
	javah script to ignore -X options if unsupported.
	* acinclude.m4:
	(IT_JAVAH): Extend to check whether javah supports
	-Xbootclasspath and set JAVAH_SUPPORTS_X_OPTIONS if
	so.

2011-07-13  Andrew John Hughes  <gnu.andrew@redhat.com>

	Bump to b147.
	* Makefile.am:
	(OPENJDK_VERSION): Bumped to b147.
	(CORBA_CHANGESET): Updated.
	(HOTSPOT_CHANGESET): Likewise.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(HOTSPOT_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(JAXWS_DROP_ZIP): Likewise.
	(JAXWS_DROP_SHA256SUM): Likewise.
	(JAXP_DROP_ZIP): Likewise.
	(JAXP_DROP_SHA256SUM): Likewise.
	(bootstrap-directory-stage1): Use our
	script for javah.
	* configure.ac:
	Generate script for javah.
	* javah.in: Filter -X commands from javah.
	* patches/boot/ecj-autoboxing.patch:
	Updated to apply against b147.
	* patches/boot/ecj-diamond.patch,
	* patches/boot/ecj-stringswitch.patch:
	Likewise and add new cases.

2011-07-12  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(CORBA_SHA256SUM): Updated after removal of
	.hg_archival.txt which causes checksum breakage.
	(HOTSPOT_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.

2011-07-08  Xerxes Rånby  <xerxes@zafena.se>

	JamVM: Is self-hosting.
	* patches/jamvm/remove-sun.misc.Perf-debug-code.patch: New patch.
	* Makefile.am:
	(ICEDTEA_PATCHES): Apply new patch when building JamVM.
	* HACKING: Updated.
	* NEWS: Updated.

2011-07-05  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR icedtea/751:
	(ICEDTEA_BOOT_PATCHES): Make application of
	javah.patch dependent on javah presenting
	with bug 40188.

2011-07-05  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR icedtea/751
	* Makefile.am:
	(ICEDTEA_BOOT_PATCHES): Include compile-for-7
	patch if javac supports diamond.  This makes
	the HotSpot build use source/target 7, allowing
	it to compile the JDK code it depends on.
	* javac.in: Add -XDignore.symbol.file=true
	when using javac to avoid numerous proprietary
	warnings.
	* patches/boot/compile-for-7.patch:
	Set SOURCE_LANGUAGE_VERSION/TARGET_CLASS_VERSION
	use 7 in HotSpot instead of 6.
	* patches/boot/hotspot-jdk-dependency.patch:
	Include the *nix-specific code in solaris/classes.

2011-06-29  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_FIND_JAVA): Check that the binary is also
	a regular file as well as executable.
	(IT_FIND_JAVAH): Likewise.
	(IT_FIND_JAR): Likewise.
	(IT_FIND_RMIC): Likewise.
	(IT_FIND_NATIVE2ASCII): Likewise.

2011-06-28  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am,
	(HOTSPOT_CHANGESET): Update to bring in Linux 3 fix..
	(HOTSPOT_SHA256SUM): Likewise.

2011-06-27  Xerxes Rånby  <xerxes@zafena.se>

	JamVM
	- Make classlib init functions consistent + warnings.
	- Correctly implement sun.misc.Unsafe freeMemory().
	- Move lazy-loading to init function.
	- Fix various warnings with -Wall.
	- PrintThreadsDump needs "self" as argument.
	- CopyMemory, etc. handle negative or truncation in length.
	- Extra sun.misc.Unsafe functions.
	- Ignore options for jtreg tests.
	- Enable shutdownVM to be called with OpenJDK classlib.
	- Initial implementation of JVM_FindClassFromBootLoader.
	- Fix callJNIMethod on i386 with -fomit-frame-pointer.
	- Fix backwards cache conflict resolution code.
	- Unify command line options parsing.
	- Remove debug printf.
	* NEWS: Updated.
	* Makefile.am
	(ICEDTEA_PATCHES): Remove upstreamed JamVM patch.
	(JAMVM_VERSION): Updated JamVM to 2011-06-13 revision.
	(JAMVM_SHA256SUM): Updated.
	(stamps/jamvm.stamp):
	Add -f when creating client symlink to handle repeat builds.
	Link the fake libjsig.so to JamVM libjvm.so to work
	with latest OpenJDK ALT_HOTSPOT_IMPORT_PATH functionality.
	* patches/jamvm/ignore-unknown-options.patch: Removed.
	Replaced by upstream, unify command line options parsing,
	changeset 1b248439e88ae6cbd1471addc49e2666b8964ced.

2011-06-27  Xerxes Rånby  <xerxes@zafena.se>

	* Makefile.am:
	(stamps/patch-fsg.stamp): Depend on stamps/extract.stamp.
	Unbreak JamVM and CACAO builds by fixing the dependency chain.

2011-06-24  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/rmi_amd64.patch:
	Removed, upsteam (OpenJDK).
	* patches/testenv.patch:
	Removed, upstream (IcedTea forest).
	* Makefile.am:
	(OPENJDK_VERSION): Bumped to b143.
	(CORBA_CHANGESET): Updated.
	(HOTSPOT_CHANGESET): Likewise.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(HOTSPOT_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(JAXWS_DROP_ZIP): Likewise.
	(JAXWS_DROP_SHA256SUM): Likewise.
	(JAXP_DROP_ZIP): Likewise.
	(JAXP_DROP_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Drop rmi_amd64 and testenv patch.
	* generated/sun/nio/ch/SocketOptionRegistry.java:
	Use version from latest build.
	* patches/boot/ecj-autoboxing.patch,
	* patches/boot/ecj-diamond.patch,
	* patches/boot/ecj-multicatch.patch,
	* patches/boot/ecj-trywithresources.patch:
	Extended with new cases introduced since b136.
	* patches/boot/jar.patch:
	Recreated against b143.
	* patches/boot/revert-6941137.patch:
	Updated for b143.
	* patches/boot/symbols.patch: Likewise.
	* patches/libraries.patch: Likewise.
	* patches/linker-libs-order.patch: Likewise.

2011-06-06  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* Makefile.am:
	Changed sha256 sums to fix the build issue.

2011-05-28  Matthias Klose  <doko@ubuntu.com>

	PR 704
	* Makefile.am (ADD_ZERO_EXTRA_BUILD_ENV): Filter-out distribution
	specific jamvm patches.
	(ADD_ZERO_CONFIGURE_ARGS): Filter-out --with-javac.
	(stamps/add-zero.stamp, stamps/add-zero-debug.stamp): Update build target.

2011-05-27  Xerxes Rånby  <xranby@zafena.se>

	* NEWS: Fix previous commits news entry.

2011-05-27  Xerxes Rånby  <xranby@zafena.se>

	JamVM
	- Fix leak of native thread structure.
	- Consistent naming for classlib functions.
	- Add extra includes to get rid off compiler warning.
	- Rework OpenJDK storage of native thread structure.
	- Implement remaining OpenJDK Array reflection interface.
	* NEWS: Updated.
	* Makefile.am
	(JAMVM_VERSION): Updated JamVM to 2011-04-28 revision.
	(JAMVM_SHA256SUM): Updated.

2011-05-27  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS: Add 2.0.
	* configure.ac: Bump to 2.0pre.

2011-05-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* NEWS:
	Updated with changes since 1.13
	and added URL key from IcedTea6.
	* configure.ac: Bump to 1.14 proper.

2011-05-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(ENDORSED_DIR): Removed.
	(ICEDTEA_BOOT_PATCHES): Add xsltproc.patch
	(ICEDTEA_ENV_BOOT): Set XSLT.  Don't
	set ICEDTEA_ENDORSED_DIR or ENDORSED.
	(bootstrap-directory-stage1): Don't link
	xalan2, xerces2 or xalan2 serialiser.
	* acinclude.m4:
	(IT_FIND_XALAN2_JAR): Removed.
	(IT_FIND_XALAN2_SERIALIZER_JAR): Likewise.
	(IT_FIND_XERCES2_JAR): Likewise.
	* configure.ac:
	Replace calls to IT_FIND_XALAN2_JAR,
	IT_FIND_XALAN2_SERIALIZER_JAR and
	IT_FIND_XERCES2_JAR with call to
	IT_FIND_TOOL for xsltproc.
	* patches/boot/xsltproc.patch:
	Patch jvmti.make in HotSpot to use
	xsltproc instead of Java's XSLT
	when bootstrapping.
	* patches/headers.patch:
	Remove addition of $(ENDORSED) to
	jvmti.make.

2011-05-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	Fix make distcheck.
	* Makefile.am:
	(EXTRA_DIST): Remove hotspot/default/*.patch.
	Add jamvm/*.patch.
	(clean-extract-hotspot): Remove remnants of
	the attempt to symlink the HotSpot directory.
	(clean-add-jamvm): Check jvm.cfg exists
	and use full path.
	(clean-add-jamvm-debug): Likewise for debug mode.

2011-05-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_FIND_JAVAH): Add 'fi' missed in merge.

2011-05-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_WITH_CORBA_SRC_ZIP): Add missing $.
	(IT_WITH_JAXP_SRC_ZIP): Likewise.
	(IT_WITH_JAXWS_SRC_ZIP): Likewise.
	(IT_WITH_JDK_SRC_ZIP): Likewise.
	(IT_WITH_LANGTOOLS_DROP_ZIP): Likewise.

2011-02-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_CHECK_WITH_CACAO_SRC_ZIP): Add missing $.
	(IT_CHECK_WITH_JAMVM_SRC_ZIP): Likewise.
	(IT_WITH_OPENJDK_SRC_ZIP): Likewise.
	(IT_WITH_HOTSPOT_SRC_ZIP): Likewise.
	(IT_WITH_JAXP_DROP_ZIP): Likewise.
	(IT_WITH_JAF_DROP_ZIP): Likewise.
	(IT_WITH_JAXWS_DROP_ZIP): Likewise.

2011-05-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_WITH_CORBA_SRC_ZIP): Invert
	AM_CONDITIONAL test to get correct behaviour.
	(IT_WITH_JAXP_SRC_ZIP): Likewise.
	(IT_WITH_JAXWS_SRC_ZIP): Likewise.
	(IT_WITH_JDK_SRC_ZIP): Likewise.
	(IT_WITH_LANGTOOLS_DROP_ZIP): Likewise.

2011-02-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_CHECK_WITH_CACAO_SRC_ZIP): Invert
	AM_CONDITIONAL test to get correct behaviour.
	(IT_CHECK_WITH_JAMVM_SRC_ZIP): Likewise.
	(IT_WITH_OPENJDK_SRC_ZIP): Likewise.
	(IT_WITH_HOTSPOT_SRC_ZIP): Likewise.
	(IT_WITH_JAXP_DROP_ZIP): Likewise.
	(IT_WITH_JAF_DROP_ZIP): Likewise.
	(IT_WITH_JAXWS_DROP_ZIP): Likewise.

2011-02-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_ENABLE_JAMVM): Renamed from IT_CHECK_ENABLE_JAMVM.
	(IT_WITH_JAMVM_SRC_ZIP): Renamed form IT_CHECK_WITH_JAMVM_SRC_ZIP.
	(IT_ENABLE_CACAO): Renamed from IT_CHECK_ENABLE_CACAO.
	(IT_WITH_CACAO_HOME): Renamed form IT_CHECK_WITH_CACAO_HOME.
	(IT_WITH_CACAO_SRC_ZIP): Renamed form IT_CHECK_WITH_CACAO_SRC_ZIP.
	(IT_WITH_CACAO_SRC_DIR): Renamed form IT_CHECK_WITH_CACAO_SRC_DIR.
	(IT_WITH_GCJ): Renamed from IT_CHECK_WITH_GCJ.
	(IT_WITH_HOTSPOT_BUILD): Renamed from IT_CHECK_WITH_HOTSPOT_BUILD.
	(IT_WITH_HG_REVISION): Renamed from IT_CHECK_WITH_HG_REVISION.
	(IT_WITH_TZDATA_DIR): Renamed from IT_CHECK_WITH_TZDATA_DIR.

2011-05-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_WITH_CORBA_SRC_ZIP): Treat
	--without option as equivalent to unspecified.
	(IT_WITH_JAXP_SRC_ZIP): Likewise.
	(IT_WITH_JAXWS_SRC_ZIP): Likewise.
	(IT_WITH_JDK_SRC_ZIP): Likewise.
	(IT_WITH_LANGTOOLS_DROP_ZIP): Likewise.

2011-02-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_CHECK_WITH_CACAO_SRC_ZIP): Treat
	--without option as equivalent to unspecified.
	(IT_CHECK_WITH_JAMVM_SRC_ZIP): Likewise.
	(IT_WITH_OPENJDK_SRC_ZIP): Likewise.
	(IT_WITH_HOTSPOT_SRC_ZIP): Likewise.
	(IT_WITH_JAXP_DROP_ZIP): Likewise.
	(IT_WITH_JAF_DROP_ZIP): Likewise.
	(IT_WITH_JAXWS_DROP_ZIP): Likewise.

2011-05-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_WITH_CORBA_SRC_ZIP): Check zip exists
	and is a regular file.  Use a single AM_CONDITIONAL.
	(IT_WITH_JAXP_SRC_ZIP): Likewise.
	(IT_WITH_JAXWS_SRC_ZIP): Likewise.
	(IT_WITH_JDK_SRC_ZIP): Likewise.
	(IT_WITH_LANGTOOLS_SRC_ZIP): Likewise.

2011-02-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_CHECK_WITH_CACAO_SRC_ZIP): Check zip exists
	and is a regular file.  Use a single AM_CONDITIONAL.
	(IT_WITH_OPENJDK_SRC_ZIP): Likewise.
	(IT_WITH_HOTSPOT_SRC_ZIP): Likewise.
	(IT_WITH_JAXP_DROP_ZIP): Likewise.
	(IT_WITH_JAF_DROP_ZIP): Likewise.
	(IT_WITH_JAXWS_DROP_ZIP): Likewise.

2011-02-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	Make java, javah, rmic and jar macros more
	idiot-proof like the new native2ascii macro.
	(IT_FIND_JAVA): Improve output, check file
	exists and is executable and look for alternatives
	on the path if not.
	(IT_FIND_JAVAH): Likewise.
	(IT_FIND_JAR): Likewise.
	(IT_FIND_RMIC): Likewise.
	(IT_FIND_NATIVE2ASCII): Invert executable test
	for clarify.

2011-05-25  Andrew John Hughes  <gnu.andrew@redhat.com>

	* INSTALL:
	Fix references to openjdk/build/<os>-<arch>
	to reference openjdk.build.

2011-02-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* INSTALL: Mention --with-alt-jamvm-src-zip.
	* acinclude.m4:
	(IT_CHECK_WITH_JAMVM_SRC_ZIP): Use a single
	AM_CONDITIONAL.  Check that the specified value
	is a valid file using test.

2011-02-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* INSTALL:
	Update with native2ascii option and JamVM.
	Mention --without-hotspot-build in HotSpot
	documentation.

2011-02-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	Use more accurate ENABLE_CACAO rather
	than WITH_CACAO.
	* Makefile.am:
	Replace WITH_CACAO throughout.
	* acinclude.m4: Likewise.

2011-02-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR497: Mercurial revision detection not very reliable
	* acinclude.m4:
	(IT_OBTAIN_HG_REVISIONS): Use hg id rather
	than hg tip.

2011-02-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR103: Usage of native2ascii during bootstrap.
	* Makefile.am:
	(bootstrap-directory-ecj): Symlink native2ascii.
	* NEWS: Updated.
	* acinclude.m4:
	(IT_FIND_NATIVE2ASCII): Added.
	* configure.ac: Call IT_FIND_NATIVE2ASCII.

2011-05-23  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	(IT_LOCATE_NSS): Add --enable-nss logic.
	* configure.ac:
	Move --enable-nss logic to IT_LOCATE_NSS macro.
	Call IT_LOCATE_NSS macro.

2011-05-23  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* test/jtreg/excludelist.jdk.jtx:
	Added LocaleEnhanceTest to a JTreg exclude list,
	because the test base class can not be used
	in IcedTea due to questionable licence.

2011-05-22  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(replace-hotspot): Revert to copying not
	linking; breaks the build in strange ways.

2011-05-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	* acinclude.m4:
	Rename top-level IT_FIND_JAVAC
	to IT_FIND_JAVA_COMPILER.
	* configure.ac:
	Call IT_FIND_JAVA_COMPILER not
	IT_FIND_JAVAC.

2011-05-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(extract-hotspot): Use absolute path when
	creating symbolic link.

2011-05-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(extract): Depend on extract-hotspot and
	sanitise-hotspot.
	(extract-jaxws): Depend on sanitise-openjdk
	rather than extract-openjdk to get the
	complete version.
	(remove-intree-libraries): Likewise.
	(generated): Remove dependencies.  Doesn't
	require anything.
	(patch-fsg): Depend on sanitise-openjdk.
	(icedtea-boot): Depend on generated.

2011-05-20  Andrew John Hughes  <gnu.andrew@redhat.com>

	Ensure all our macros have an IT_ prefix.
	* acinclude.m4:
	(IT_WITH_VERSION_SUFFIX): Renamed from WITH_VERSION_SUFFIX.
	(IT_WITH_PROJECT): Renamed from WITH_PROJECT.
	(IT_WITH_CORBA_SRC_ZIP): Renamed from WITH_CORBA_SRC_ZIP.
	(IT_WITH_JAXP_SRC_ZIP): Renamed from WITH_JAXP_SRC_ZIP.
	(IT_WITH_JAXWS_SRC_ZIP): Renamed from WITH_JAXWS_SRC_ZIP.
	(IT_WITH_JDK_SRC_ZIP): Renamed from WITH_JDK_SRC_ZIP.
	(IT_WITH_LANGTOOLS_SRC_ZIP): Renamed from WITH_LANGTOOLS_SRC_ZIP.
	(IT_ENABLE_HG): Fix dependence of IT_WITH_PROJECT.
	* configure.ac: Use renamed macros throughout.

2011-02-21  Andrew John Hughes  <gnu.andrew@redhat.com>

	Ensure all our macros have an IT_ prefix.
	* acinclude.m4:
	(IT_SET_OS_DIRS): Renamed from SET_OS_DIRS.
	(IT_FIND_JAVAC): Renamed from FIND_JAVAC.
	(IT_FIND_JAVA): Renamed from FIND_JAVA.
	(IT_WITH_OPENJDK_SRC_DIR): Renamed from WITH_OPENJDK_SRC_DIR.
	(IT_FIND_ECJ_JAR): Renamed from FIND_ECJ_JAR.
	(IT_CHECK_GCC_VERSION): Renamed from AC_CHECK_GCC_VERSION.
	(IT_FIND_JAVAH): Renamed from FIND_JAVAH.
	(IT_FIND_JAR): Renamed from FIND_JAR.
	(IT_FIND_RMIC): Renamed from FIND_RMIC.
	(IT_WITH_OPENJDK_SRC_ZIP): Renamed from WITH_OPENJDK_SRC_ZIP.
	(IT_WITH_ALT_JAR_BINARY): Renamed from WITH_ALT_JAR_BINARY.
	(IT_FIND_XALAN2_JAR): Renamed from FIND_XALAN2_JAR.
	(IT_FIND_XALAN2_SERIALIZER_JAR): Renamed from FIND_XALAN2_SERIALIZER_JAR.
	(IT_FIND_XERCES2_JAR): Renamed from FIND_XERCES2_JAR.
	(IT_FIND_RHINO_JAR): Renamed from FIND_RHINO_JAR.
	(IT_DISABLE_OPTIMIZATIONS): Renamed from DISABLE_OPTIMIZATIONS.
	(IT_FIND_TOOL): Renamed from FIND_TOOL.
	(IT_ENABLE_ZERO_BUILD): Renamed from ENABLE_ZERO_BUILD.
	(IT_SET_SHARK_BUILD): Renamed from SET_SHARK_BUILD.
	(IT_CHECK_ENABLE_CACAO): Renamed from AC_CHECK_ENABLE_CACAO.
	(IT_CHECK_WITH_CACAO_HOME): Renamed from AC_CHECK_WITH_CACAO_HOME.
	(IT_CHECK_WITH_CACAO_SRC_ZIP): Renamed from AC_CHECK_WITH_CACAO_SRC_ZIP.
	(IT_CHECK_WITH_GCJ): Renamed from AC_CHECK_WITH_GCJ.
	(IT_CHECK_WITH_HOTSPOT_BUILD): Renamed from AC_CHECK_WITH_HOTSPOT_BUILD.
	(IT_WITH_HOTSPOT_SRC_ZIP): Renamed from WITH_HOTSPOT_SRC_ZIP.
	(IT_WITH_JAXP_DROP_ZIP): Renamed from WITH_JAXP_DROP_ZIP.
	(IT_WITH_JAF_DROP_ZIP): Renamed from WITH_JAF_DROP_ZIP.
	(IT_WITH_JAXWS_DROP_ZIP): Renamed from WITH_JAXWS_DROP_ZIP.
	(IT_ENABLE_HG): Renamed from ENABLE_HG.
	(IT_CHECK_WITH_HG_REVISION): Renamed from AC_CHECK_WITH_HG_REVISION.
	(IT_CHECK_WITH_TZDATA_DIR): Renamed from AC_CHECK_WITH_TZDATA_DIR.
	(IT_FIND_NUMBER_OF_PROCESSORS): Fix use of FIND_TOOL.
	(IT_OBTAIN_HG_REVISIONS): Fix dependence on WITH_OPENJDK_SRC_DIR.
	* configure.ac: Use renamed macros throughout.

2011-05-18  Andrew John Hughes  <gnu.andrew@redhat.com>

	PR714: Forwardport replace-hotspot support.
	* Makefile.am:
	(.PHONY): Add clean-extract-hotspot and
	clean-sanitise-openjdk.
	(extract-openjdk): Remove deletion of hotspot
	directory which won't appear from an OpenJDK
	root tarball.  Fix typo: openjdk/langtools.
	(clean-extract-openjdk): Add new dependencies.
	(extract-hotspot): Handle extracting HotSpot as
	a separate target.
	(clean-extract-hotspot): Cleanup for extract-hotspot.
	(sanitise-openjdk): Handle chmod and running of
	fsg.sh as a separate target.
	(clean-sanitise-openjdk): Cleanup for sanitise-openjdk.
	* NEWS: Updated.

2011-05-05  Xerxes Rånby  <xranby@zafena.se>

	CACAO threadlist & threadobject improvements.
	* NEWS: Updated.
	* Makefile.am
	(CACAO_VERSION): Updated to latest CACAO revision.
	(CACAO_SHA256SUM): Updated.

2011-03-26  Xerxes Ranby  <xerxes@zafena.se>

	JamVM: Handle overflow in getPhysicalMemory().
	* NEWS: Updated.
	* Makefile.am
	(JAMVM_VERSION): Updated to latest JamVM revision.
	(JAMVM_SHA256SUM): Updated.

2011-03-24  Xerxes Ranby  <xerxes@zafena.se>

	JamVM: Base default min and max heap size on physical memory.
	* NEWS: Updated.
	* Makefile.am
	(JAMVM_VERSION): Updated to latest JamVM revision.
	(JAMVM_SHA256SUM): Updated.

2011-03-21  Xerxes Ranby  <xerxes@zafena.se>

	JamVM: Fix reflective array access.
	* NEWS: Updated.
	* Makefile.am
	(JAMVM_VERSION): Updated to latest JamVM revision.
	(JAMVM_SHA256SUM): Updated.

2011-03-17  Xerxes Ranby  <xerxes@zafena.se>

	CACAO: Update to latest CACAO revision and remove upstreamed pathes.
	Update contains the following new CACAO improvements:
	Fixes build for newer gcc (at least 4.4) on PPC64, breaks older gcc.
	CA123: LD_LIBRARY_PATH and java.library.path.
	CA143: don't hang with invalid locale.
	CA144: aligned patchers on x86_64.
	CA148: support for LCMP bytecode.
	CA152: Calling Policy.setPolicy with a new Policy object
	has no effect on the DefaultSecurityManager.
	CA156: uncaughtExceptionHandler doesn't work with OpenJDK 6 b21.
	* NEWS: Updated.
	* Makefile.am: Remove upstreamed CACAO patches.
	(CACAO_VERSION): Updated to latest CACAO revision.
	(CACAO_SHA256SUM): Updated.
	* patches/cacao/arm-arch-defines.patch: Deleted.
	* patches/cacao/arm-memory-barrier.patch: Deleted.
	* patches/cacao/ignore-unknown-options.patch: Deleted.

2011-03-17  Xerxes Ranby  <xerxes@zafena.se>

	JamVM: Update to latest JamVM revision and remove upstreamed pathes.
	Update contains the following new JamVM improvements:
	Handle O_DELETE in JVM_Open
	Minor performance improvement on ARM
	First set of changes to support JamVM/OpenJDK on MacOS X
	Minor memory leak (missing free)
	Handle integer overflow on i386/amd64
	* NEWS: Updated.
	* Makefile.am: Remove upstreamed JamVM patches.
	(JAMVM_VERSION): Updated to latest JamVM revision.
	(JAMVM_SHA256SUM): Updated.
	* patches/jamvm/arm-interp_cflags-marm.patch: Deleted.
	* patches/jamvm/mips64el.patch: Deleted.

2011-03-13  Xerxes Ranby  <xerxes@zafena.se>
	    Robert Loughter  <rob@jamvm.org.uk>

	JamVM: Compile interp using -marm to work on ARM Thumb2 systems.
	* Makefile.am: Add new JamVM patch.
	* patches/jamvm/arm-interp_cflags-marm.patch: New patch.

2011-03-11  Xerxes Ranby  <xerxes@zafena.se>

	JamVM: mips
	* NEWS: Updated.
	* Makefile.am: Add new JamVM patch.
	(JAMVM_VERSION): Updated to latest JamVM revision.
	(JAMVM_SHA256SUM): Updated.
	* patches/jamvm/mips64el.patch: New patch.

2011-03-11  Xerxes Ranby  <xerxes@zafena.se>

	CACAO PR157: ARM SMP Assertion thinlock failed.
	* NEWS: Updated.
	* Makefile.am: Add new CACAO patch.
	* patches/cacao/arm-memory-barrier.patch: New patch.

2011-03-04  Xerxes Ranby  <xerxes@zafena.se>

	CACAO: Ignore all unknown options.
	* Makefile.am: Add CACAO patch.
	* patches/cacao/ignore-unknown-options.patch: Added.

2011-03-03  Xerxes Ranby  <xerxes@zafena.se>

	JamVM: Ignore all unknown options.
	* Makefile.am: Replaced JamVM patch.
	* patches/jamvm/ignore-more-XX-options.patch: Removed.
	* patches/jamvm/ignore-unknown-options.patch: Added.

2011-03-02  Xerxes Ranby  <xerxes@zafena.se>

	* patches/jamvm/ignore-more-XX-options.patch:
	Make JamVM ignore more unrecognised options that fail on jtreg.
	-esa, -Xbatch, -Xcomp, -Xverify:all, -XX:+AggressiveOpts,
	-XX:-BlockLayoutRotateLoops, -XX:CompileCommand=, -XX:CompileOnly=,
	-XX:CompileThreshold, -XX:+DeoptimizeALot, -XX:+DoEscapeAnalysis,
	-XX:HeapBaseMinAddress, -XX:+IgnoreUnrecognizedVMOptions, -XX:-Inline,
	-XX:-InlineObjectHash, -XX:InlineSmallCode=, -XX:LoopUnrollLimit=,
	-XX:-LoopUnswitching, -XX:MaxInlineSize=, -XX:+OptimizeFill,
	-XX:+PrintCompilation, -XX:-ProfileInterpreter, -XX:+ScavengeALot,
	-XX:+UnlockDiagnosticVMOptions, -XX:-UseCompressedOops,
	-XX:+UseCompressedOops, -XX:+UseConcMarkSweepGC, -XX:UseSSE= and
	-XX:+VerifyBeforeGC

2011-02-27  Xerxes Ranby  <xerxes@zafena.se>

	JamVM: Fix configure --enable-jamvm full bootstrap build.
	* NEWS: Updated.
	* Makefile.am:
	(JAMVM_VERSION): Updated to latest JamVM revision.
	(JAMVM_SHA256SUM): Updated.

2011-02-24  Xerxes Ranby  <xerxes@zafena.se>

	PR640: JamVM fails to build - Unrecognised option: -XX:ThreadStackSize.
	* NEWS: Updated.
	* Makefile.am (ICEDTEA_PATCHES):
	Add JamVM patches if BUILD_JAMVM are defined.
	* patches/jamvm/ignore-more-XX-options.patch: New JamVM patch.

2011-02-24  Xerxes Ranby  <xerxes@zafena.se>

	* Makefile.am (stamps/download-cacao.stamp):
	Fix warning, check if the CACAO_SRC_ZIP file exist
	before trying to rename it.
	(stamps/download-jamvm.stamp): Likewise for JAMVM_SRC_ZIP.
	(stamps/download-openjdk.stamp):
	Likewise for OPENJDK_SRC_ZIP and HOTSPOT_SRC_ZIP.

2011-02-23  Xerxes Ranby  <xerxes@zafena.se>

	JamVM: configure --with-jamvm-src-zip
	* NEWS: Updated.
	* Makefile.am (stamps/download-jamvm.stamp):
	Link in jamvm source zip dependent on USE_ALT_JAMVM_SRC_ZIP
	* acinclude.m4 (IT_CHECK_WITH_JAMVM_SRC_ZIP): New macro.
	(USE_ALT_JAMVM_SRC_ZIP): New conditional.
	(ALT_JAMVM_SRC_ZIP): New variable.
	* configure.ac: Call IT_CHECK_WITH_JAMVM_SRC_ZIP.

2011-02-23  Xerxes Ranby  <xerxes@zafena.se>

	* Makefile.am: (JAMVM_BASE_URL): Switch to using IcedTea
	server for JamVM drops too.
	(JAMVM_VERSION): Updated to latest JamVM revision.
	(JAMVM_SHA256SUM): Updated.

2011-02-23  Xerxes Ranby  <xerxes@zafena.se>

	JamVM: Try --with-additional-vms=jamvm topping!
	* NEWS: Updated.
	* Makefile.am (stamps/add-jamvm.stamp): New make target.
	(clean-add-jamvm): Likewise.
	(stamps/add-jamvm-debug.stamp): Likewise.
	(clean-add-jamvm-debug): Likewise.
	(.PHONY): Add clean-add-jamvm and clean-add-jamvm-debug.
	(stamps/icedtea-stage2.stamp): Add stamps/add-jamvm.stamp.
	(clean-icedtea-stage2): Add clean-add-jamvm.
	(stamps/icedtea-debug-stage2.stamp):
	Add stamps/add-jamvm-debug.stamp.
	(clean-icedtea-debug-stage2): Add clean-add-jamvm-debug.
	* acinclude.m4 (IT_CHECK_ADDITIONAL_VMS):
	Set add_vm_jamvm if jamvm are found.
	(BUILD_JAMVM): Add check for add_vm_jamvm.
	(ADD_JAMVM_BUILD): New conditional dependent on add_vm_jamvm.

2011-02-22  Xerxes Ranby  <xranby@zafena.se>

	Fix icedtea-boot build with --enable-jamvm
	(stamps/icedtea-boot.stamp): Add stamps/jamvm.stamp

2011-05-20  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* Makefile.am:
	(HOTSPOT_CHANGESET): Test enhancement - make the test compatible with
	OpenJDK7/IcedTea7, disabling printing unnecessary information to error
	output.
	(HOTSPOT_SHA256SUM): Likewise

2011-05-19  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* Makefile.am:
	(JDK_CHANGESET): Fixed behaviour of regression test
	PrintAllXcheckJNI.java, added check if test frame is really initialized
	to avoid exception thrown when BufferedImage is created.
	(JDK_SHA256SUM): Likewise

2011-05-18  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(clean-jamvm): Don't remove clean-extract-jamvm.stamp
	here; use its own target.
	(clean-extract-jamvm): Added.

2011-02-22  Xerxes Ranby  <xerxes@zafena.se>

	JamVM: Taste the New --enable-jamvm Flavour!
	* NEWS: Updated.
	* Makefile.am (JAMVM_VERSION): New variable.
	(JAMVM_SHA256SUM): Likewise.
	(JAMVM_BASE_URL): Likewise.
	(JAMVM_URL): Likewise.
	(JAMVM_SRC_ZIP): Likewise.
	(JAMVM_IMPORT_PATH): Likewise.
	(ICEDTEA_BUILD_TARGET):
	Build only jdk if jamvm are enabled.
	(ICEDTEA_DEBUG_BUILD_TARGET): Likewise.
	(ICEDTEA_ENV): Set ALT_HOTSPOT_IMPORT_PATH to JAMVM_IMPORT_PATH
	if jamvm are enabled.
	(PRODUCT_NAME): Make -version report IcedTea6 Runtime Environment
	if jamvm are enabled.
	(JDK_DERIVATIVE_NAME): Only show IcedTea version
	if jamvm are enabled.
	(stamps/download-jamvm.stamp): New make target.
	(clean-download-jamvm): Likewise.
	(stamps/extract-jamvm.stamp): Likewise.
	(stamps/jamvm.stamp): Likewise.
	(clean-jamvm): Likewise.
	(.PHONY): Add clean-jamvm.
	(stamps/download.stamp): Add stamps/download-jamvm.stamp.
	(clean-download): Add clean-download-jamvm.
	(stamps/extract.stamp): Add stamps/extract-jamvm.stamp.
	(clean-extract): Add clean-jamvm.
	(stamps/icedtea.stamp): Add stamps/jamvm.stamp.
	(download-jamvm): Alias to stamps/download-jamvm.stamp.
	(jamvm): Alias to stamps/jamvm.stamp.
	* configure.ac (IT_CHECK_ENABLE_JAMVM): Use new macro.
	* acinclude.m4:
	(ENABLE_ZERO_BUILD): Do not use zero if jamvm are enabled.
	(IT_CHECK_ENABLE_JAMVM): New macro.
	(BUILD_JAMVM): New conditional.
	(ENABLE_JAMVM): New conditional.

2011-05-18  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* Makefile.am:
	(JDK_CHANGESET): Include fix of regression test
	sun/net/www/protocol/file/DirPermissionDenied.sh
	(JDK_SHA256SUM): Likewise.
	(HOTSPOT_CHANGESET): Include fix of regression
	test runtime/6929067/Test6929067.sh
	(HOTSPOT_SHA256SUM): Likewise

2011-05-18  Andrew John Hughes  <gnu.andrew@redhat.com>

	* scripts/update_tarballs.sh:
	Pass $DOWNLOAD_DIR through to
	gen_changeset_and_sha256sums.sh.

2011-05-18  Andrew John Hughes  <gnu.andrew@redhat.com>

	* scripts/gen_changeset_and_sha256sums.sh,
	* scripts/update_tarballs.sh:
	Add scripts to ease updating changeset IDs
	and checksums.

2011-05-18  Denis Lila  <dlila@redhat.com>

	* Makefile.am:
	(JDK_CHANGESET): Updated to backout OpenJDK6 fix
	of 6664512 and include Mutter fix.
	(JDK_SHA256SUM): Likewise.

2011-05-18  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(bootstrap-directory-stage1): Link tools.jar
	if available.  Otherwise, link to existing rt.jar.

2011-05-16  Pavel Tisnovsky  <ptisnovs@redhat.com>

	* test/jtreg/README:
	Updated.
	* test/jtreg/com/sun/javatest/regtest/Path.java:
	Added.
	* test/jtreg/com/sun/javatest/regtest/Action.java:
	* test/jtreg/com/sun/javatest/regtest/CompileAction.java:
	* test/jtreg/com/sun/javatest/regtest/RegressionSecurityManager.java:
	Corrected JTreg harness - this tool now accepts "process" flag for
	"compile" tag.

2011-05-04  Andrew John Hughes  <gnu.andrew@redhat.com>

	* remove-intree-libraries.sh: Renamed.
	* INSTALL: Updated with new option.
	* Makefile.am:
	(JDK_CHANGESET): Updated to get LCMS patches.
	(JDK_SHA256SUM): Likewise.
	(ICEDTEA_ENV): Set USE_SYSTEM_LCMS, LCMS_LIBS
	and LCMS_CFLAGS if building with system LCMS.
	* acinclude.m4:
	(IT_CHECK_FOR_LCMS): Provide the --enable-system-lcms
	option, enabled by default.
	* configure.ac:
	Call IT_CHECK_FOR_LCMS.
	* remove-intree-libraries.sh.in:
	Delete LCMS source code only if system version is
	being used.

2011-05-04  Andrew John Hughes  <gnu.andrew@redhat.com>

	Move to using icedtea servers.
	* Makefile.am:
	(CORBA_SHA256SUM): Updated.
	(HOTSPOT_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(ICEDTEA_PREFIX): Added to avoid hardcoding
	the prefix for the root directory.
	(ICEDTEA_HG_URL): Updated to use icedtea.classpath.org
	(extract-openjdk): Use $(ICEDTEA_PREFIX) in
	place of 'jdk7'.

2011-05-03  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/hotspot/default/gcc-suffix.patch,
	* patches/hotspot/default/headers.patch,
	* patches/hotspot/default/memory-limits.patch,
	* patches/hotspot/default/params-cast-size_t.patch,
	* patches/hotspot/default/parisc-opt.patch,
	* patches/hotspot/default/sparc-ptracefix.patch,
	* patches/hotspot/default/sparc-trapsfix.patch,
	* patches/hotspot/default/text-relocations.patch,
	* patches/hotspot/default/use-idx_t.patch:
	Remove unneeded hotspot/default positioning.
	* Makefile.am: Remove $(HSBUILD) prefixing on
	patches.
	* patches/gcc-suffix.patch,
	* patches/headers.patch,
	* patches/memory-limits.patch,
	* patches/params-cast-size_t.patch,
	* patches/parisc-opt.patch,
	* patches/sparc-ptracefix.patch,
	* patches/sparc-trapsfix.patch,
	* patches/text-relocations.patch,
	* patches/use-idx_t.patch:
	Moved from hotspot/default or merged with existing
	patches.

2011-05-03  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/boot/icedtea-jaxp-dependency.patch,
	* patches/boot/icedtea-jopt.patch,
	* patches/boot/icedtea-pr39408.patch,
	* patches/boot/icedtea-pr40188.patch,
	* patches/boot/icedtea-pr40616.patch,
	* patches/debian/icedtea-uname.patch,
	* patches/hotspot/default/icedtea-gcc-suffix.patch,
	* patches/hotspot/default/icedtea-headers.patch,
	* patches/hotspot/default/icedtea-memory-limits.patch,
	* patches/hotspot/default/icedtea-params-cast-size_t.patch,
	* patches/hotspot/default/icedtea-parisc-opt.patch,
	* patches/hotspot/default/icedtea-sparc-ptracefix.patch,
	* patches/hotspot/default/icedtea-sparc-trapsfix.patch,
	* patches/hotspot/default/icedtea-text-relocations.patch,
	* patches/hotspot/default/icedtea-use-idx_t.patch,
	* patches/icedtea-6592792.patch,
	* patches/icedtea-6733959.patch,
	* patches/icedtea-6755943.patch,
	* patches/icedtea-alpha-fixes.patch,
	* patches/icedtea-alt-jar.patch,
	* patches/icedtea-clean-crypto.patch,
	* patches/icedtea-demos.patch,
	* patches/icedtea-disable-intree-ec.patch,
	* patches/icedtea-gcc-suffix.patch,
	* patches/icedtea-headers.patch,
	* patches/icedtea-hotspot-gcc-pr36917.patch,
	* patches/icedtea-javafiles.patch,
	* patches/icedtea-jpegclasses.patch,
	* patches/icedtea-jvmtiEnv.patch,
	* patches/icedtea-lc_ctype.patch,
	* patches/icedtea-libraries.patch,
	* patches/icedtea-linker-libs-order.patch,
	* patches/icedtea-nss-config.patch,
	* patches/icedtea-nss-not-enabled-config.patch,
	* patches/icedtea-override-redirect-metacity.patch,
	* patches/icedtea-pr261.patch,
	* patches/icedtea-print-lsb-release.patch,
	* patches/icedtea-pulse-soundproperties.patch,
	* patches/icedtea-rhino.patch,
	* patches/icedtea-rmi_amd64.patch,
	* patches/icedtea-samejvm-safe.patch,
	* patches/icedtea-security-updates.patch,
	* patches/icedtea-signed-types.patch,
	* patches/icedtea-sources.patch,
	* patches/icedtea-sparc-trapsfix.patch,
	* patches/icedtea-sunsrc.patch,
	* patches/icedtea-systemtap.patch,
	* patches/icedtea-testenv.patch,
	* patches/icedtea-tests-jdk.patch,
	* patches/icedtea-text-relocations.patch,
	* patches/icedtea-update-bootclasspath.patch,
	* patches/security/icedtea-6592792.patch,
	* patches/security/icedtea-6733959.patch,
	* patches/security/icedtea-6755943.patch:
	Remove 'icedtea-' prefix.
	* Makefile.am:
	(ICEDTEA_PATCHES): Remove 'icedtea-' prefix.
	* patches/6592792.patch,
	* patches/6733959.patch,
	* patches/6755943.patch,
	* patches/alpha-fixes.patch,
	* patches/alt-jar.patch,
	* patches/boot/jaxp-dependency.patch,
	* patches/boot/jopt.patch,
	* patches/boot/pr39408.patch,
	* patches/boot/pr40188.patch,
	* patches/boot/pr40616.patch,
	* patches/clean-crypto.patch,
	* patches/debian/uname.patch,
	* patches/demos.patch,
	* patches/disable-intree-ec.patch,
	* patches/gcc-suffix.patch,
	* patches/headers.patch,
	* patches/hotspot-gcc-pr36917.patch,
	* patches/hotspot/default/gcc-suffix.patch,
	* patches/hotspot/default/headers.patch,
	* patches/hotspot/default/memory-limits.patch,
	* patches/hotspot/default/params-cast-size_t.patch,
	* patches/hotspot/default/parisc-opt.patch,
	* patches/hotspot/default/sparc-ptracefix.patch,
	* patches/hotspot/default/sparc-trapsfix.patch,
	* patches/hotspot/default/text-relocations.patch,
	* patches/hotspot/default/use-idx_t.patch,
	* patches/javafiles.patch,
	* patches/jpegclasses.patch,
	* patches/jvmtiEnv.patch,
	* patches/lc_ctype.patch,
	* patches/libraries.patch,
	* patches/linker-libs-order.patch,
	* patches/nss-config.patch,
	* patches/nss-not-enabled-config.patch,
	* patches/override-redirect-metacity.patch,
	* patches/pr261.patch,
	* patches/print-lsb-release.patch,
	* patches/pulse-soundproperties.patch,
	* patches/rhino.patch,
	* patches/rmi_amd64.patch,
	* patches/samejvm-safe.patch,
	* patches/security-updates.patch,
	* patches/security/6592792.patch,
	* patches/security/6733959.patch,
	* patches/security/6755943.patch,
	* patches/signed-types.patch,
	* patches/sources.patch,
	* patches/sparc-trapsfix.patch,
	* patches/sunsrc.patch,
	* patches/systemtap.patch,
	* patches/testenv.patch,
	* patches/tests-jdk.patch,
	* patches/text-relocations.patch,
	* patches/update-bootclasspath.patch:
	Relocated versions of above.

2011-05-03  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(JDK_CHANGESET): Bumped to include
	7038711 which fixes build on RHEL5.
	(JDK_SHA256SUM): Likewise.

2011-05-02  Omair Majid  <omajid@redhat.com>

	Remove obsolete information about the plugin and netx
	* INSTALL,
	* README: Remove references to plugin and webstart.
	* configure.ac: Do not check for plugin.

2011-04-29  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/boot/icedtea-dyn.patch:
	Dropped; java.lang.invoke now compiled in
	bootstrap mode.
	* patches/icedtea-demo-swingapplet.patch:
	Dropped, upstream.
	* patches/icedtea-tools.patch;
	Dropped, obsolete.
	* Makefile.am:
	(OPENJDK_VERSION): Bump to b136.
	(CORBA_CHANGESET): Updated.
	(HOTSPOT_CHANGESET): Likewise.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(HOTSPOT_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(JAXP_DROP_ZIP): Likewise.
	(JAXP_DROP_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Dropped removed patches.
	(ICEDTEA_BOOT_PATCHES): Drop icedtea-dyn.patch
	and add ecj-autoboxing.patch.
	* patches/boot/ecj-autoboxing.patch:
	New patch to avoid trying to cast to primitive types
	from Object.
	* patches/boot/ecj-diamond.patch,
	* patches/boot/ecj-stringswitch.patch,
	* patches/boot/ecj-trywithresources.patch:
	Remove additional cases introduced in b131-b136.
	* patches/boot/fontconfig.patch,
	* patches/boot/jar.patch,
	* patches/boot/xbootclasspath.patch,
	* patches/cacao/arch.patch,
	* patches/debian/icedtea-uname.patch,
	* patches/hotspot/default/icedtea-gcc-suffix.patch,
	* patches/hotspot/default/icedtea-params-cast-size_t.patch,
	* patches/icedtea-libraries.patch,
	* patches/icedtea-rhino.patch,
	* patches/icedtea-update-bootclasspath.patch,
	* patches/sh4-support.patch:
	Updated to apply against b136.

2011-04-21  Omair Majid  <omajid@redhat.com>

	* patches/bytebuffer-compact.patch: Drop patch. It only contained
	stylistic changes.
	* Makefile.am: Do not apply dropped patch.

2011-04-21  Omair Majid  <omajid@redhat.com>

	* patches/cacao/ignore-tests.patch: Update to apply on new sources.
	* patches/cacao/launcher.patch: Likewise.

2011-04-21  Omair Majid  <omajid@redhat.com>

	* Makefile.am (clean-add-cacao): Fix typo.

2011-04-20  Omair Majid  <omajid@redhat.com>

	* Makefile.am (stamps/remove-intree-libraries.stamp): Typo in file name.

2011-04-19  Omair Majid  <omajid@redhat.com>

	* patches/boot/test_gamma.patch: Skip test_gamma for shark too.

2011-04-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(JDK_CHANGESET): Include security fixes
	from 2011/02/15.
	(JDK_SHA256SUM): Likewise.

2011-04-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(HOTSPOT_CHANGESET): Incorporate ARM interpreter
	code removal, JSR 292 Zero support and merge issue fix.
	(HOTSPOT_SHA256SUM): Likewise.

2011-04-19  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(HOTSPOT_CHANGESET): Incorporate Zero/Shark fixes
	and security fix.
	(HOTSPOT_SHA256SUM): Likewise.

2011-04-18  Andrew John Hughes  <gnu.andrew@redhat.com>

	* Makefile.am:
	(JDK_CHANGESET): Remove unneeded import in Rhino patch.
	(JDK_SHA256SUM): Likewise.

2011-04-18  Andrew John Hughes  <gnu.andrew@redhat.com>

	* patches/icedtea-freetypeversion.patch:
	Moved upstream.
	* patches/icedtea-jdk-use-ssize_t.patch:
	No longer applicable (patched file was
	part of HPI which is now gone).
	* .hgignore: Don't hide scripts.
	* Makefile.am:
	(OPENJDK_VERSION): Bump to b130.
	(CORBA_CHANGESET): Updated.
	(HOTSPOT_CHANGESET): Likewise.
	(JAXP_CHANGESET): Likewise.
	(JAXWS_CHANGESET): Likewise.
	(JDK_CHANGESET): Likewise.
	(LANGTOOLS_CHANGESET): Likewise.
	(OPENJDK_CHANGESET): Likewise.
	(CORBA_SHA256SUM): Likewise.
	(HOTSPOT_SHA256SUM): Likewise.
	(JAXP_SHA256SUM): Likewise.
	(JAXWS_SHA256SUM): Likewise.
	(JDK_SHA256SUM): Likewise.
	(LANGTOOLS_SHA256SUM): Likewise.
	(OPENJDK_SHA256SUM): Likewise.
	(JAXWS_DROP_ZIP): Likewise.
	(JAXWS_DROP_SHA256SUM): Likewise.
	(JAXP_DROP_ZIP): Likewise.
	(JAXP_DROP_SHA256SUM): Likewise.
	(ICEDTEA_PATCHES): Drop above patches.
	(ICEDTEA_BOOT_PATCHES): Add multicatch
	and trywithresources patches.
	(.PHONY): Add clean-remove-intree-libraries.
	(extract): Depend on remove-intree-libraries.
	(clean-extract-openjdk): Depend on clean-remove-intree-libraries.
	(remove-intree-libraries): Run a script to remove
	intree copies of libjpeg, zlib, libpng and giflib.
	(clean-remove-intree-libraries): Remove the stamp.
	(versioning): Don't alter the original file as it may
